Introduction

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Welcome

Introduction ››

What is CADPower?

CADPower is a pure-productivity tool for the .dwg CAD user. It provides you with over 400+ Lisp routines and tools that you always wanted but found missing. It is designed to super-charge and boost productivity for just

any AutoCAD / BricsCAD user. CADPower is designed from user feedback and used today by over 2000+ organizations all over the world.

It is not a stand-alone software and needs either BricsCAD, AutoCAD, ZWCAD or ARES Commander as its host .dwg CAD platform.

Of these four platforms, we have tested it extensively on AutoCAD and BricsCAD. The last two platforms - ZWCAD and ARES Commander are recent additions, supported from V22 of CADPower.


A brief history of CADPower

Introduction ››

The First Version Launch (spawned from GeoTools)

By 2011, there were enough general purpose tools in GeoTools to justify a new product that would still be a productivity tool but had nothing to do with geographic data. In other words, we felt the need for a tool for every CAD user. CADPower was born as a sub-set of GeoTools in the year 2011. Today, it is an independently run and marketed product and has no connection to GeoTools.

CADPower Today

CADPower is available today in English, Spanish, German and Portuguese (Brazil) languages, for the AutoCAD, BricsCAD, ZWCAD and ARES Commander platforms.


What's New in V21

Introduction ››

What's New in V21?

The best way to tell you of all new features in V21 is to point you to our blog articles, which cover all minor and major updates of CADPower (and our GeoTools software as well) closely.

  • GeoTools-CADPower V 21.0 Released: AutoCAD 2021 Compatible

  • GeoTools-CADPower V 21.01 Update

  • GeoTools-CADPower V 21.02 Update: More Improvements!

  • GeoTools-CADPower V 21.03 Update

  • GeoTools-CADPower V 21.04 Update

  • GeoTools-CADPower V 21.05 Update, German Language Ribbons, Data Extraction from XREF

  • GeoTools-CADPower V 21.06 Update: Improvements to Parcel labeling, Data Extraction & More

  • GeoTools-CADPower V 21.07 Update: Excel Import Tools Strengthened Again

  • GeoTools-CADPower V 21.08 Update: Network License Improvements, Template Labeling

  • GeoTools-CADPower V 21.09 Update

CADPower grows throughout its life-cycle, every week. It is not a software that waits a year to release a bunch of new features.


What's New in V22

Introduction ››


What's New in V23

Introduction ››


Getting Started

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Supported CAD Platforms

Getting Started ››

Supported host CAD platforms

CADPower runs on AutoCAD and BricsCAD platforms.

Supported AutoCAD versions

CADPower runs on AutoCAD versions 2012 to 2023

It requires the full version of AutoCAD and does not run on the LT platform.

Supported BricsCAD versions

CADPower runs on BricsCAD versions 18 and above: all flavors of BricsCAD are supported.

98% of CADPower run on the Lite versionBricsCAD, a handful of functions using the 3d modeler, REGION tools and advanced doslib require Pro or above.

CADPower is best used under the Windows operating systems. Although it does run on Linux and Mac as well, we have not tested it enough on these platforms.It is an ongoing exercise.


System requirements

Getting Started ››

CADPower runs on its host CAD platforms - AutoCAD or BricsCAD. The system requirements for AutoCAD or BricsCAD apply to CADPower as well.


Readme File

Getting Started ››


Overview

Overview ››

What is CADPower?

CADPower is an add-on program to help you boost your productivity with AutoCAD, BricsCAD, ZWCAD or ARES Commander. It helps you work smarter, faster and eliminates various bottlenecks you face using your chosen plain CAD software.

CADPower was created with the general CAD user in mind, and has tools that benefit almost all categories of CAD users. It is a domain-neutral productivity software. However, some of the workflow tools are inspired by the requirements of specifc industry segments like AEC, Manufacturing and similar.

Tool Categories

Polyline Tools | Conversion Tools
Export Tools | Draw Tools
Build Tools | Annotation Tools
Blocks Tools | Text Tools
Extended Entity Data Tools | BOM-BOQ Tools
Modeler Tools | Viewport Tools
Miscellaneous Tools | Selection Tools
Inquiry Tools | Layer Tools
FREEWARE-By-CADPower | More Options

CADPower organizes its feature tools in different functional categories as shown above.

General Modes of Operation - User Interface

CADPower commands can be selected from either the pull-down menu, the ribbon menu, toolbars, right-click context menus or simply typed on the command line.

  • All CADPower commands start with CP_

CADPower pull-down menu

CADPower ribbons

CADPower Toolsbars

Using command-line to key in the command name

Command-line names for each of the CADPower commands are shown in the status bar at the bottom of your screen when you highlight a CADPower command in the pull-down or toolbar menu. The command names are also shown in this manual in front of the command description.

Compatibility with Scripts

Many CADPower commands are designed to function both with a dialog box interface (DBI) as well as command line interface (CLI) for automated scripts processing. Dialog box driven command display equivalent command line options when called through a script. To find out how each command will operate in command-line, you can turn on the command line mode in CADPower -> Settings command. If you find any command you want that is not yet working in script mode, please let us know and we will fix that for you on priority mode.

Results of command operations

CADPower commands which operate on a set of selected objects produce desired results and these results are always placed in active selection set. The active selection set can be accessed using the "previous" or "p" option during any Select objects: prompt. The last processed CADPower selection is preserved in memory until it is overwritten by the next GeoTools command or if other commands process the active selection and modify/delete the objects contained in them

Object selection methods

Many of the CADPower commands require a user selection of objects to be made. GeoTools provides several methods by which this selection can be built. Each time an object selection is required, CADPower displays a generic dialog box (see below) labeled "Build Selection Set".

[Properties] section

Objects can be filtered on the basis of their types or layer / block names or a combination where applicable. Depending on which of these are checked, the appropriate selection mode is applied. You can graphically indicate the object property to be used by picking one "sample" object by clicking on the Pick One button at the bottom of the Properties section.

[Current Selection Values] section

Once you have selected which property to use, you can specify the values for these named objects in two ways - they can be manually typed into the edit boxes under this section labeled Objects, Layers and Blocks or can be selected from a list of available names in the current drawing document by choosing the appropriate buttons in the Names in Drawing section.

If you have to manually type in more than one name, separate them with a comma in between. Wildcards can be used to specify names.

You can choose to apply the current selection criteria (filters) to the entire drawing or to selected objects only. Accordingly, the Scan entire drawing or Scan selected objects
option must be used.

Apply

Exits the dialog box by placing the current selection in the active [previous] selection set. If another CADPower command has invoked this dialog box, then the command continues after the selection is made. If it is called independently through the CADPower-->Selection-->Build Selection Set (CP_ MAKESEL) command, the resulting selection set will be placed as active [previous] selection and can be accessed by using the "p" option in response to the Select Objects prompt.

Model Space and Paper Scale

CADPower commands are tested and designed to work with model space objects only. Many of the CADPower commands may work correctly with paper space objects also but this is not tested extensively and not supported by the developers. If a CADPower command is not working as stated, it could be because of some paper space objects in the selection. If this is suspected, check the appropriate boxes in the Search Options section to ensure that your selection searches for objects from model space only.


Polyline Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Polyline Tools

Polyline Tools ››

Toolbar : Polyline Tools (CP)
Menu : CADPower -> Polyline Tools -> Join -> Join 3D Polylines
CmdLine : CP_3DJ

The CP_3DJ command joins 3D segments (lines or polylines) and combines them into a 3D polyline. The PEDIT command does not allow joining of 3D segments. This command fills the need by allowing the Join subcommand to be applied on 3D polyline segments or lines. The segments to be joined must be exactly touching each other.

Once the command has been issued, the prompts that follow are similar to the PEDIT command. You are prompted to select polylines. If a line has been selected, you are prompted to convert it into a polyline. Then you select the objects to join. All touching segments are joined to the first segment resulting in a joined 3D Polyline.

Select 3d polylines/lines to join (or ENTER to select by layer[s]):
Select objects: (do so)

If you are selecting multiple layers for processing, CP_3DJ will join them individually in their respective layers. They will not be joined across different layers except if they are selected explicitly from the command line.

Toolbar : Polyline Tools (CP)
Menu : CADPower -> Polyline Tools -> Join -> Automated join 2D Polylines
CmdLine : CP_PLJOIN

Automatically fuses (joins) all selected line or polyline objects together. The objects should be touching each other at their ends.

Watch:

Toolbar : Polyline Tools (CP)
Menu : CADPower -> Polyline Tools -> Join -> Join Conneted Lines/Polylines
CmdLine : CP_JOINCONNECTED

Description Pending

Toolbar : Polyline Tools (CP)
Menu : CADPower-> Polyline-> Change 2d->3d->2d-> 2D-to-3D
CmdLine : CP_CH2D3D

Converts all the selected 2D Polylines to 3D polylines. A 3D polyline can hold different Z values in each of its vertex. The new 3D polylines thus formed will look exactly like the 2D polylines except that internally they are 3D and therefore can hold Z values.

The standard object selection dialog appears and allows polylines and lines to be selected. Click Apply and all the 2D polylines are converted into 3D polylines. The original 2D polyline will be erased.

Tech Info: CP_CH2D3D changes the DXF Group Code 70 of each polyline, adds the 8 bit and recreates a 3D polyline. The 3D polyline thus created has the 3D flag set. The 3D polyline acquires new handles but any extended entity data in the 2D polyline will be transferred to the 3D polyline.

Watch:

Toolbar : Polyline Tools (CP)
Menu : CADPower -> Polyline Tools -> Change 2d->3d->2d -> 3D-to-2D
CmdLine : CP_CH3D2D

Converts all selected 3D polylines and lines into 2D polylines and lines. Depending on the setting of the PLINETYPE variable, the 2D polylines thus formed will be either heavy weight polylines or light weight polylines.

While creating the 2d polylines, you can specify the constant elevation that the 2d polylines should acquire.

The following options are possible:

Set to 0.0
Lowest Z of each 3d polyline
Highest Z of each 3d polyline
First vertex elevation
Average of all vertices (default)

The standard object selection dialog appears and allows polylines and lines to be selected.

Click Apply and the all the 3D polylines and lines are converted into 2D polylines. The original 3D polyline will be erased.

Tech Info: CP_CH3D2D changes the DXF Group Code 70 of each polyline, removes the 8 bit and recreates a 2D polyline. The 2D polyline acquires new handles but any extended entity data in the 3D polyline will be transferred to the 2D polyline.

Watch:

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> Vertex Management-> Delete Vertex
CmdLine : CP_DELVX

Allows picking a polyline vertex and deleting it in one step. A handy shortcut resulting in much fewer mouse clicks than using the PEDIT EDIT VERTEX NEXT....

Watch:

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> Vertex Management-> Insert Vertex
CmdLine : CP_INSVX

Pick any point along a polyline and add a vertex at the picked location. A handy shortcut resulting in much fewer mouse clicks than using the Pedit->Edit Vertex->Next.....

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Vertex Management -> Densify polylines
CmdLine : CP_DENSIFY

The CP_DENSIFY command is command can be used to add extra vertices to the polylines, i.e. 2D or 3D based on the "Number of segments" and "Length of segment"

Densify Method

Number of segments: Densifies or adds vertices with specified number of segments.
Length of segment: Densifies or adds vertices with specified length i.e. distance between each vertices.

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Vertex Management -> Weed (remove) collinear vertices from polylines
CmdLine : CP_REM_LINVERTS

The CP_REM_LINVERTS command removes vertices which are collinear. Any three vertices which fall in a straight line are said to be collinear and will be be removed.

Mark locations of removed vertices with points: Checking this box marks points at the location where the linear vertices were removed.

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Vertex Management -> Place points or blocks along polyline vertices
CmdLine : CP_PL_PLACE

This command places a point or a block at each vertex of a polyline/line. Useful for many mapping and utility applications.

What to place?:

Points: Choosing this option allows to place points on vertices of Pline/Line. On specified layer.

Blocks: Choosing this option allows to place block on vertices of Pline/Line. On specified layer.

Block Name: Clicking on the button "Block Name" allows to select the block for insertion.
(Note: You can select one block at a time)

Insertion Settings:

Scale Factor: Allows to enter the required scale factor for the block.

Rotation Angle: Allows to enter the required rotation angle for the block.

Which layer to place?:

Source: Choosing this option places the block/point in source object layer.

Current: Choosing this option places the block/point in current layer.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Vertex Management-> Add/Remove redundant closing vertex in polyline
CmdLine : CP_FIXCLOSED

The CP_FIXCLOSED command helps to add or remove the redundant last vertex of a closed polyline. In other words, this command adds or removes the duplication of the last vertex in closed polylines, which may sometimes be desirable and sometimes not.

Add Closing Vertex

Adds a redundant "last" vertex to closed polylines. This duplicates the first and last vertex of a closed polyline. The new vertex is added only if the distance between the first and last vertex is greater than the closing tolerance specified in the dialog box above.

Remove Closing Vertex

Removes the last vertex from the polyline if the distance between the first and last vertex is less than the value specified in the dialog box above.s

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Vertex Management -> Delete single vertex polylines
CmdLine : CP_DELSVP

The CP_DELSVP command deletes a single vertex or zero-length polyline from the selected objects. Unlike the CP_0LEN2PNT command which creates a point at every location of a zero-length polyline, this command will delete it from the drawing.

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> Vertex Management-> Multiple Vertex Editor
CmdLine : CP_MVEDIT

The CP_MVEDIT command is used to edit multiple vertex positions from multiple selected polylines, lines and arcs.

With the CP_MVEDIT command, you can move multiple vertices from many objects at once in the X, Y, Z, XY, YZ, XZ or XYZ directions while keeping the other coordinate unchanged. Think of this as a tool similar to the XYZ point filters in AutoCAD and BricsCAD, but applied across multiple objects and multiple selected points of a polyline, line or arc.

The CP_MVEDIT command was originally intended to provide basic vertex editing tools based on fixed X, Y and Z movements. In V 17.01, we extended the functionality by adding simple dynamic movements which allowed interactive movement on the screen while the user could see the results graphically.

In this update, we have further enhanced it and this tool can now be used for several size, area and proximity simulation studies.

A new option called 'DynamicCustom' which was added in V 17.01 has been further improved.

The following options are now available in this command:

  • TowardsEachOther (moves both picked vertices towards each other)
  • AwayFromEachOther (moves both picked vertices away from each other)
  • FixFirst-MoveSecond (keeps first point fixed and moves the second point away)
  • FixSecond-MoveFirst (keeps second point fixed and moves the first point away)
  • Length [EqualAdjust] (adjusts length by moving both points either towards or away from each other)
  • Length [FixFirst-MoveSecond] (adjusts length by keeping first point fixed and second point away from first)
  • Length [FixSecond-MoveFirst] (adjusts length by keeping second point fixed and first point away from second)
  • RotateCenter (rotate around the center, the segment formed by two points)
  • Rotate [AroundFirstPt] (rotate the 2-point segment around the first point) - WIP
  • Rotate [AroundSecondPt] (rotate the 2-point segment around the second point) - WIP

The basic editing premise is that you pick two points on the polyline to edit, and apply an editing operation as described above.

The editing operations are based on relative movements, with directional constraints applied. Each iteration of the movement results in a new shape of the polyline which changes the area as well as perimeter. This is shown on the screen interactively so that you can stop the simulation when the desired results are achieved. There is also a 'Reverse' option provided which can be used to quickly reverse the simulation direction. This is useful when you are near the intended final result but need to go back and forth to get the perfect geometry.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Vertex Management -> Specify a new start point for closed polylines
CmdLine : CP_NEWSTART

The CP_NEWSTART command allows to specify a new start point for closed polylines. Use this to change the start point of closed polylines without changing the polyline geometry. The new point specified must fall on the polyline and the nearest vertex is taken as the start point and the polyline is re-constructed

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Vertex Management -> Tweak polyline vertex
CmdLine : CP_TWEAKPOLY

CP_TWEAKPOLY command is usedl to tweak, tweeze or pinch out a vertex from the polyline. The CP_TWEAKPOLY command extracts a new vertex, pulled out from the polyline, unlike grip-editing which allows you to move existing ones.

The pictures below will make is clear what this command does.

The many shades of CP_TWEAKPOLY in operation.

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Part Editing -> Extract part of polyline
CmdLine : CP_PARTEXTRACT

The CP_PARTEXTRACT command is useful to extract part of a polyline. You will be asked to pick two points that fall on the polyline and all the segments in between the two picked points will be extracted and a new polyline will be created on the current layer.

Note: Polylines which have been curve fit using the Fit or Spline option cannot be used by this command. If there are arc segments in the polyline, they will be replaced with their straight line joins.

Watch:

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> Part Editing-> Move part of polyline
CmdLine : CP_PARTCOPY

The CP_PARTCOPY command is useful to copy a part of a polyline. You will be asked to pick two points that fall on the polyline and a polyline will be created between these two points and you will be asked to move this polyline and place it at a new location.

Note: Polylines which have been curve fit using the Fit or Spline option cannot be used by this command. If there are arc segments in the polyline, they will be replaced with their straight line joins.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Part Editing -> Offset part of polyline
CmdLine : CP_PARTOFFSET

The CP_PARTOFFSET command is useful to offset part of a polyline. You will be asked to pick two points that fall on the polyline and all the segments in between the two picked points will be offset using the standard AutoCAD OFFSET command.

Note:
1) Polylines which have been curve fit using the Fit or Spline option cannot be used by this command.
2) If there are arc segments in the polyline, they will be replaced with straight line segments.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Part Editing -> Stretch part of polyline
CmdLine : CP_PARTSTRETCH

The CP_PARTSTRETCH command is useful to stretch a portion of a polyline. You will be asked to pick two points that fall on the polyline and all the segments in between the two picked points will be stretched to a new location. Once the new polyline is created a line is drawn connecting the stretched and un-stretched portions of the polyline.

Note: Polylines which have been curve fit using the Fit or Spline option cannot be used by this command. If there are arc segments in the polyline, they will be replaced with their straight line joins.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Part Editing -> Mirror part of polyline
CmdLine : CP_PARTMIRROR

The CP_PARTMIRROR command is useful to mirror only a portion of a polyline. You will be asked to pick two points that fall on the polyline and all the segments in between the two picked points will be flipped (mirrored) with the two picked points as the axis of mirroring. The polyline is updated with the new geometry and retains its handle, Xdata etc.

Note: Polylines which have been curve fit using the Fit or Spline option cannot be used by this command. If there are arc segments in the polyline, they will be replaced with their straight line joins.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Part Editing -> Rotate part of polyline
CmdLine : CP_PARTROTATE

The CP_PARTROTATE command is useful to rotate only a portion of a polyline. You will be asked to pick two points that fall on the polyline and all the segments in between the two picked points will be rotated using the first point as the base point. The polyline is updated with the new geometry and retains its handle, Xdata etc.

Note: Polylines which have been curve fit using the Fit or Spline option cannot be used by this command. If there are arc segments in the polyline, they will be replaced with their straight line joins.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Part Editing -> Reshape part of polyline
CmdLine : CP_PARTRESHAPE

The CP_PARTRESHAPE command can be used to re-shape or, in other words, re-digitize part of a polyline. You will be asked to pick two points on a polyline and will be prompted to pick the new locations of the points in between. The source polyline will then be updated and the newly digitized points will be used instead of the old set of points between the two source points.

Toolbar : Polyline Tools
Menu : CADPower-> Polyline Tools -> Inquiry Statistics -> Compute detailed polyline statistics
CmdLine : CP_PL_STAT

The CP_PL_STAT command generates detailed statistics from a selected polyline. The statistics is resported in three different areas:

  • On the command line

  • As a CAD Table

  • As CSV files whch can be opened in Excel.

Create output file: Check this option if you want the output from this command to be exported to CSV file which is the native format for Excel.

The contents of the CSV file has been expanded to include the following:

Vertex #,X-Coord,Y-Coord,Z-Coord,SegmentLength,Radius,Inc.Angle,Direction,SegmentSlope(%),SegmentSlope(degs),Azimuth(Bearing)

Browse: Click on this button to select an output file to save the polyline statistics listing

Create tabular output: Creates the polyline statistics in a tabulated form

Table Type: Choose the table type here. The options are CAD Table, Text Table or None.

Treat polyline as elevation view: Checking this option causes the polyline to be treated as elevation view. In other words, the X and Y of the two vertices of the polyline are treated as measurements in the Z plane and the difference between the Y values is taken as the actual elevation difference between the points.

Hide dialog box and run CP_PL_STAT with current settings next time: Checking this option causes CP_PL_STAT to run the next time without dialog box. You will be prompted to only select the polyline to compute statistics and the program operates with the current settings as last set. This setting enables users to run the command quickly without having to navigate through the dialog box each time. The setting remains in place for the current CAD session unless it is reset using the CP_SHOWDLG command.

Table Text Height: Specify the required text height for the contents of table.

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Inquiry Statistics -> Compute summed polyline areas from selected layers
CmdLine : CP_LAYERAREA

The CP_LAYERAREA command displays the total summed area and length of all polylines in selected layer(s).

Select layers: Clicking on this button displays the complete list of layers in the drawing. From this list, you can select the layers for which you want the total summed areas to be displayed and these will be displayed each time the command starts.

Create table of layers areas: Checking this box generates a table of Area, Length and Color of selected layers as shown below.

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> Inquiry Statistics-> Compute Lengths
CmdLine : CP_LENGTH

Adds up the lengths of selected lines, polylines, splines, circles and arcs. Displays both horizontally projected length and actual slope length where applicable.

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> Inquiry Statistics-> Compute summed areas of closed polylines
CmdLine : CP_CALCAREA

The CP_CALCAREA command sums up the areas of all closed polylines, splines and circles. The area report uses the current unit settings as set in the Area Annotation Settings (see below). The area can also be annotated at the centroidal locations in the form of text objects.

Annotation parameters:

Create area annotation: This option enables creation of area annotation text.

Create annotation at each centroid: This option creates each polyline area annotation at its individual centroid position.

Add units suffix after each area annotation: This option adds the area suffix at the end of each annotation in the drawing. The suffix is never added in the table as well as in the CSV export.

Add Polygon numbering before each annotation: This option creates a polygon numbering before each area annotation. The polygon numbering starts from 1 and is placed in brackets thus (1)

Create table of centroid coordinates/area: This option creates a table of the centroid coordinates (X, Y, Z), the area and the point number.

Text Height: Specify the text height here.

Precision: Specify the decimal precision to be used for the coordinates and the area annotation.

Export coordinates to CSV file: Checking this option creates a CSV export.

Area Annotation parameters:

DWG units: Specify the drawing units here. The options available are mm, cm, in, meters and yards.

Area Units: Specify the units in which the area must be reported. Available options are dwg, sq.mm, sq.cm, sq.in, sq.ft, sq.m, sq.yards, acres, hectares, sq.km, sq.mi, cents and kattah.

Annotation Layer: Specify the layer in which the annotation is to be created.

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> Inquiry Statistics-> Display info. about polyline bulge (arc segments)
CmdLine : CP_BULGE

Polylines that have arc segments in them and those which are curved fitted use bulge value to represent their curvature. These bulge values are stored in the polyline object itself. The CP_BULGE command helps to print out the bulge values at each of the vertex. This can be useful in various debugging situations.

Command: bulge
Select a polyline:
Bulge at vertex 1 is 0.0894 and Radius is 324.302
Bulge at vertex 2 is 0.1412 and Radius is 133.308
Bulge at vertex 3 is 0.0910 and Radius is 262.438
Bulge at vertex 4 is -0.0778 and Radius is 356.879
Bulge at vertex 5 is -0.0477 and Radius is 448.144
Bulge at vertex 6 is -0.0398 and Radius is 642.951

The CP_BULGE command creates POINT objects at each bulge location, in a temporary layer.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Inquiry Statistics -> Search entities via handles
CmdLine : CP_FINDHND

Description Pending

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Inquiry Statistics -> Measure distance between two points on curve
CmdLine : CP_MEASURE2POINTS

Description Pending

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> More Editing -> Express PEDIT
CmdLine : CP_XV

Express Pedit allows a faster and quicker way to access some of the Pedit Edit Vertex commands like Move, Insert and Break. Additionally, it also provides extra commands like polyline statistics - slope length, horizontal projected length, X, Y and Z coordinate extents and number of vertices.

Select vertex on polyline:
Next / Previous / Move / Z / Insert / Break / Statistics / Settings / eXit <Next>:

Use Next and Previous to navigate through the vertices of the polyline. The current vertex is always shown with a cross attached to it.

Move allows specifying a new location for the current vertex.

Z allows the elevation of the current point to be set

Insert allows a new vertex to be added between the current vertex and the next vertex.

Break allows the polyline to be broken at the current point. Saves some keystrokes as compared to the Pedit command.

Statistics: Generates detailed polyline statistics

Settings allows specifying whether the Move and Insert sub-commands take the Z value from the new location or inherit it from the current vertex elevation.

An example of the statistical information is shown below:

Slope length:22719.1175 Projected horizontal length:22718.4936
Max. X-coordinate:2025286.6092 Min. X-coordinate:2010210.0148
Max. Y-coordinate:924910.0082 Min. Y-coordinate:913590.4827
Max. Z-coordinate:212.5000 Min. Z-coordinate:45.6000
Number of vertices:15

Press any key to continue.

Tech Info: Make sure that the entire polyline is visible on screen.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> More Editing -> Multiple PEDIT
CmdLine : CP_MPEDIT

This is a global Pedit command applied to multiple polylines. The PEDIT command operates on one polyline at a time. CP_MPEDIT can be used to select multiple polylines and process them. It offers the following commands: Open, Close, Fit, Spline, Decurve, Convert to polylines and Change Widths etc.

If the Convert to polylines option is chosen, CP_MPEDIT will allow selection of lines, arcs and circles as input data.

If Change Width option is chosen, CP_MPEDIT will allow selection of polylines, lines, arcs and circles as input data.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> More Editing -> Change widths
CmdLine : CP_CHW

The CP_CHW command is useful to change the widths of selected lines, polylines, arcs or circles. Non-polyline objects will be converted to polylines.

Specify the width to set in the width-control dialog box and select the objects to process through the object selection dialog box.

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> More Editing-> Explode polylines with width
CmdLine : CP_XP_WPL

The CP_XP_WPL command allows Linear polylines with widths to be exploded and to retain the geometry of the original polyline. The exploded objects will be created as lines.

Layer to place

Source: Explodes the polyline and places the result in the layer in which it was created (source layer)

Current: Explodes the polyline and places the result in the layer which is current

Specify: Explodes the polyline and places the result in the layer selected by the user

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object after exploding

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> More Editing -> Specify segment lengths in polylines
CmdLine : CP_SEGLENSET

The CP_SEGLENSET command is used to specify a new segment length for each of the segments of the polyline. The command will highlight each segment of the polyline one by one in red color and ask for a new segment length. On entering the new length, the polyline is updated such that the segment gets the specified length.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> More Editing -> Delete segment from polyline
CmdLine : CP_SEGDEL

The CP_SEGDEL command is used for deleting one or more than one segment from polyline.

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> More Editing -> Align polyline edges
CmdLine : CP_ALIGNPOLY

The CP_ALIGNPOLY command is used for align one polyline with another based on its edge.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Flip -> Flip (Reverse) direction
CmdLine : CP_FLIP

Reverses the direction of the polyline vertices. This command preserves the handle (see below for conditions) as well as any extended entity data that is stored with the polyline or with each or any of its vertices (in case of heavy weight polylines).

Direction Control:

Clockwise:
Choosing this option flips all counter-clockwise polylines to clockwise

CounterClockwise:
Choosing this option flips all clockwise polylines counter-clockwise

Interchange: Reverses the direction of all selected polylines irrespective of whether they are clockwise or counterclockwise.

Low to High Z:
Reverses the direction of the polylines whose last vertex elevation (Z value) is higher than the first vertex elevation (Z value).

High to Low Z:
Reverses the direction of the polylines whose last vertex elevation (Z value) is lower than the first vertex elevation (Z value).

Display graphically:
Displays the polyline direction graphically by drawing leader arrows along the polyline segments. Does not slip the polyline.

Retain same object handle for reversed polylines:
Choosing this option ensures that the reversed polylines have the same handle as the original polyline. This takes longer time to process and it does not work on polylines having arc segments. The object handle is always preserved for 3d polylines irrespective of whether the option above is chosen or not. In case of 2D polylines, the object handles will not be preserved unless this option is set. Switching this option off can greatly improve the process speed especially for long polylines.

Hide dialog box and run CP_FLIP with current settings:
By clicking this option, you can run CP_FLIP any number of times in the current session without the dialog box. You will be prompted to only select the polylines to flip and the program operates with the settings last set. The setting remains in place for the current CAD session unless it is reset using the CP_SHOWDLG command.

Tech Info: The extended entity data in the objects will always be retained.

Watch:

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> Flip-> Flip (Mirror) arc segments of polyline
CmdLine : CP_PLARCMIRROR

The CP_PLARCMIRROR command flips (mirrors) ONLY the arc segments of a polyline with arcs. This can be a useful tool to flip the direction of polyline arcs in many mapping situations where arced polylines are used to show vegetaion symbols. In particular, this command may be used to fix the polyline arc direction if it has been generated incorrectly by the CP_VEGLINE command in CADPower.

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Fillet -> Enhanced fillet command
CmdLine : CP_FILLETPOLY

The CP_FILLETPOLY command allows filleting to be done between two polylines. The two segments of the polyline nearest to the ends picked will be filletted according to the specified radius.

The command is now offered as a replacement for the standard fillet command, which has several short-comings. For example, the AutoCAD/BricsCAD fillet command does not work correctly under the following situations:
a. Fillet between an ARC and a polyline object
b. Fillet between a LINE and polyline that has arc segments near the fillet end.
c. Fillet between an ARC and polyline that has arc segments near the fillet end.

The CP_FILLETPOLY command processes all of the cases in (a), (b) and (c) above successfully.

Fillet Radius: Specify the radius to be applied for filleting across all the segments of the multiple selected polylines.

Command: filletpoly

Select first polyline: <do so>
Select second polyline: <do so>

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Fillet -> Fillet multiple polylines
CmdLine : CP_MFILLET

The CP_MFILLET command allows multiple polylines to be filleted at once with the Fillet Polyline option.

Fillet Radius: Specify the radius to be applied for filleting across all the segments of the multiple selected polylines.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Others -> Offset closed polylines Inwards/Outwards
CmdLine : CP_INOUTOFFSET

The CP_INOUTOFFSET allows multiple closed polylines to be offsetted INwards or OUTwards with one single command.

Command: CP_INOUTOFFSET
Select Objects: (select polylines to offset)
Offset direction: [ Inwards/Outwards ] <Outwards>: (Type Inwards or Outwards)
Horizontal offset distance : <1.0000>: (Enter horizontal distance to offset)

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Others -> Explode Splined
CmdLine : CP_XPSPL

This command is used to explode splined and fitted polylines. Upon selecting the splined or fitted polylines, they are exploded into their line or arc segment and then joined back to produce a "plain" polyline with line or arc segments. This command is useful to many geographic and surveying users who require a non-splined non-fitted polyline for many design purposes.

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> Others-> Control polyline linetypes
CmdLine : CP_FLOW_LT

In AutoCAD / BricsCAD , polylines can be set with a flag to determine if flowing linetypes are enabled or not. When flowing linetypes are enabled, the linetype pattern and scale are applied continuously across even small length segments thereby generating the linetype correctly. If this flag is disabled, the linetype pattern is applied each time at the start of a new segment. This may cause improper representation of the linetype in a polyline with very short segments. This command provides a means to set or remove flowing linetypes from selected polylines.

Toolbar : Polyline Tools
Menu : CADPower-> Polyline-> Others-> Zoom to polyline
CmdLine : CP_ZPOLY

Pick a polyline and zoom to the lower left and upper right extents.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Others -> Fix lines/polylines with different UCS
CmdLine : CP_FIXUCS

The CP_FIXUCS command allows entities which have been created or placed in a different non-parallel UCS to be brought back to the WCS. All efforts are made to reposition entities at the same physical position as before. However, it is possible that some entities may not always map back correctly. Use your judgement and discretion to accept the results of this tool. Currently, lines, polylines and text objects are supported and can be tranformed from UCS to WCS..

Layer to place

Source: Creates the new polyline and places it in the layer in which it was created (source layer)

Current: Creates the new polyline and places it in the current layer

Specify: Creates the new polyline and places it in the layer specified by the user

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object

Watch:

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Others -> Draw linear polylines from arced polylines
CmdLine : CP_LINPOLY

The CP_LINPOLY command is used to create a linear polyline from an arced polyline. It creates a polyline by joining each vertex of the arced polyline with a straight line. The arced section is thus replaced with a straight line (arc-chord). The CP_LINPOLY command has an option to run without the dialog box selector.

Toolbar : Polyline Tools
Menu : CADPower -> Polyline Tools -> Others -> Acquire Neighboring polyline elevations
CmdLine : CP_POLYGETZ

CP_POLYGETZ command can be used to perform elevation transfer operations from one polyline [target] to another [source] based on specific criteria.

When you start this command, you are asked to select a source and target polyline. Once this is done, you get a dialog box as shown, specify the required Search Tolerance and choose the required operation.

Create a vertex on source polyline nearest to each vertex on target polyline:

In this method, for each vertex of the target polyline, a 3D point nearest to it on the source polyline is determined. The source polyline is then replaced with a new polyine created using all such points which are essentially the nearest points (on the source polyline) of vertices of the target polyline. Therefore, this method results in the source polyline having exactly the same number of points as the target polyline but in the XY region of the nearest point on source polyline and the elevations belonging to the nearest target polyline vertex.

Populate existing source polyline vertex elevations from nearest point on target polyline:

In this method, each vertex elevation of the source polyline is replaced with the elevation of a point on the target polyline which happens to be the nearest point to it [the source polyline vertex]. In other words, this will result in the number of vertices of the source polyline to be the same but its elevation can change based on the target polyline elevations.

Watch:


Conversion Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Conversion Tools

Conversion Tools ››

Toolbar : Conversion Tools
Menu : CADPower-> Conversion-> Lines/Polyline/Arc/Splines-> Convert arced polylines to linear segment polylines
CmdLine : CP_PLARC2PL

Converts arc segments in polylines or ARC objects to polylines with linear interpolated segments. The arc section is approximated by connecting with a number of straight line segments. The linear segment of the original polyline is left as it is. The arc approximation (interpolation) can be done by any one of the three methods:

Angular
In this case, sampling is done at the specified angular interval (in degrees) along the arc segment. This is useful when you want to replace an arc or circle with linear segments at every fixed angular interval like 5 or 10 degrees. This method is usually not preferred to deal with polyline arc segments in surveyed horizontal curves where it is desirable to adopt either of the other two parameters described below.

Chord Length
This is the maximum allowable chord length during the interpolation of the arcs.

Chord Perpendicular (crown distance)
This is the maximum crown distance of the chord that is allowable during the arc interpolation. The crown distance is the distance from the midpoint of the chord to the arc.

Layer to place:

Source: Choosing this option places the converted polylines in source object layer.

Current: Choosing this option places the converted polylines in current layer.

Delete original objects: Checking this box deletes the original objects.

Toolbar : Conversion Tools
Menu :CADPower-> Conversion-> Lines/Polyline/Arc/Splines-> Convert linear polyline to arc (arced) polylines
CmdLine : CP_PLINE2ARC

The CP_PLINE2ARC command converts linear segment polylines into arc objects or polyline with arcs. If you have polylines defined with a number of points connected by linear segments and would like to approximate it with an arc segment that connects every n th vertex, then CP_PLINE2ARC is the command to use. An arc is defined by three points.

Create arc for each polyline segment: Checking this box creates arc between each segment of polyline which will be useful to prepare data for many CNC applications where you need to provide the input as arc instead of polyline geometry.

Number of vertices between arc points: Specify the number of vertices to skip between arc points.

Output Mode: Specifies the type of output object to be created. This can be either an ARC object or polyline with arc segments.

ARC objects: Choosing this type causes the output to be ARC objects.

Polyline arcs: Choosing this type creates polyline object with arced segments.

Layer to place

Source: Choosing this option places the result in the layer in which it was created (source layer)

Current: Choosing this option places the result in the current layer

Specify: Choosing this option allows to specify the layer in which the resultant object to be placed

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (polyline) after converting into arc

Toolbar : Conversion Tools
Menu : CADPower -> Conversion -> Lines/Polyline/Arc/Splines-> Convert lines and arcs to polylines
CmdLine : CP_LINE2PL

The CP_LINE2PL command is used to convert LINE, ARC and CIRCLE objects into polyline objects. The dialog box allows options to create either a light weight or heavy weight polyline out of the source objects.

Toolbar : Conversion Tools
Menu : CADPower -> Conversion -> Lines/Polyline/Arc/Splines -> Convert splines to polylines
CmdLine : CP_SPL2PL

It is possible to use the CP_SPL2PL command to convert splines to polylines in three different ways.

Join Fit points: This option joins all the Fit points (DXF Code 11) of a spline and creates a polyline out of it.

Join Control points: This option joins all the Control (DXF Code 10) points of a spline and creates a polyline out of it.

Re-create spline geometry (DXF method): This method is the most precise and attempts to re-create the geometry of the spline as closely as possible. It works by creating the DXF output of the spline object in Release 12 format and then imports it in again as a polyline. With long polylines, this may occasionally cause AutoCAD/BricsCAD to become unstable and even crash. Please ensure that you save your drawing prior to running this command.

Interpolate by inter-vertex distance: This method allows specifying a distance between the two vertices of the polyline that will be created.

Vertex distance: Specify the vertex distance here. Every polyline vertex will be spaced apart by this amount.

Layer to place

Source: Choosing this option places the result in the layer in which it was created (source layer)

Current: Choosing this option places the result in the current layer

Specify: Choosing this option allows to specify the layer to place the resultant object

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (Spline) after converting to polyline

Watch:

Toolbar : Conversion Tools
Menu : CADPower-> Conversion-> Lines/Polyline/Arc/Splines-> Convert polylines to splines
CmdLine : CP_PL2SPL

Converts polylines to splines. The defining vertices of the polylines are used as the Spline Fit points.

Layer to place

Source: Choosing this option places the result in the layer in which it was created (source layer)

Current: Choosing this option places the result in the current layer

Specify: Choosing this option allows to specify the layer to place the resultant object

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (Polyline) after converting to spline

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Line/Polyline/Arc/Spline -> Line 2 XLINE
CmdLine : CP_LINE2XLINE

The CP_LINE2XLINE is a quick tool to define an XLINE along an existing line entity.

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Polyline/3D Face/Mesh -> Convert polylines to 3DFaces
CmdLine : CP_PL23DFACE

The CP_PL23DFACE command creates 3dface objects out of any 3 or 4-sided 2d/3d polyline objects.

Watch:

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Polyline/3D Face/Mesh -> Convert polylines to Polyface mesh
CmdLine : CP_PL2PFACE

The CP_PL2PFACE command converts polylines (2d & 3d) into polyface mesh objects. The polyface mesh thus created has only one face which is defined by the plane formed by joining the vertices of the polyline in order.

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Polyline/3D Face/Mesh -> Convert 3DFaces to polylines
CmdLine : CP_3DF2PL

The CP_3DF2PL command creates a 3d polyline from the vertices of selected 3dface objects

Layer to place

Source: Choosing this option places the result in the layer in which it was created (source layer)

Current: Choosing this option places the result in the current layer

Specify: Choosing this option allows to specify the layer in which the resultant object should be placed

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (3DFace) after converting to polyline.

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Polyline/3D Face/Mesh -> Convert 3DFaces to polyface mesh
CmdLine : CP_3DF2PFACE

TThe CP_3DF2PFACE command creates a 3d polyface mesh object from 3dface objects.

Layer to place

Source: Choosing this option places the result in the layer in which it was created (source layer)

Current: Choosing this option places the result in the current layer

Specify: Choosing this option allows to specify the layer in which the resultant object should be placed

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (3DFace) after converting into polyface mesh object

Toolbar : Conversion Tools
Menu : CADPower-> Conversion-> Polyline/3DFace/Mesh-> Polyface mesh to Polylines
CmdLine : CP_PFACE2PL

The CP_PFACE2PL command is used to convert a polyface object into polylines.

Create invisible edges also - This option includes invisible polyface edges in the resulting polylines.

Layer to place

Source: Choosing this option places the result in the layer in which it was created (source layer)

Current: Choosing this option places the result in the current layer

Specify: Choosing this option allows to specify the layer in which the resultant object should be placed

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (Polyface) after converting to polyline

Toolbar : Conversion Tools
Menu : CADPower-> Conversion-> More Conversion-> Convert Blocks/Shapes/Text/Circle to points
CmdLine : CP_BLKSHP2P

Creates a point at the insertion point of every shape, block or text object in the selection set. Optionally, the source objects can be deleted.

Tech Info: If there is any extended entity data or object table data in the source objects, they will be transferred to the points.

Layer to place

Source: Choosing this option creates points in the source layer
Current: Choosing this option places the points in the current layer

Specify: Choosing this options allows to specify the layer in which the points will be created

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (block/shape) after creating the points.

Toolbar : Conversion Tools
Menu : CADPower -> Conversion -> More Conversion -> Convert Points/Text/Circle to block/shapes
CmdLine : CP_P2BLKSHP

Replaces all selected point objects with Blocks or Shapes.

Tech Info: If there is any extended entity data or object table data in the source objects, they will be transferred to the new target objects.

Replace with:

Block: Choosing this option allows to replace selected points with block.

Shape: Choosing this option allows to replace selected points with shape.

Insertion Settings:

Scale Factor: Allows to enter the required scale factor for the block/shape.

Rotation Angle: Allows to enter the required rotation angle for the block/shape.

Block Name: The "Blocks" button allows selecting the block for insertion.

Shape Name: Enter the shape name to insert

Layer to place

Source: Choosing this option creates block/shape in the source layer

Current: Choosing this option places the result in the current layer

Specify: Choosing this option allows to specify the layer in which block/shape is to be created

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (point) after creating the block/shape

Toolbar : Conversion Tools
Menu : CADPower -> Conversion -> More Conversion -> Convert Zero lengths to POINTs
CmdLine : CP_0LEN2PNT

CP_0LEN2PNT converts all zero length objects into Points so that they can be easily identified and handled. The program accepts both lines, polylines and 3dfaces.

Often, because of a programming error or an improper import from other CAD systems or during processing of 3dface information for modeling purposes, zero length lines, polylines and 3dfaces get created. These objects are mostly redundant and do not contribute to the data in any way.

The standard object selection dialog box appears and allows the selection of polylines, lines and 3dfaces.
The elevation of the point object is the average of all the vertices.

Source: Choosing this option places the points in source object layer

Current: Choosing this option places the points in current layer.

Specify: Choosing this option allows to specify the layer for placing the points.

Label-name: Displays the selected layer name.

Select: Pops-up the Select Label Layer dialog box for choosing the required layer.

Delete original objects: Deletes the original zero length objects after converting them into points.

Tech Info: The points created will acquire new handles but any extended entity data in the source objects will be transferred to the points.

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> More Conversion -> Attribute to X-Data
CmdLine : CP_ATT2XD

The CP_ATT2XD command converts block attributes to extended entity data directly in one single process.

Watch:

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> More Conversion -> Ellipse to Circles
CmdLine : CP_ELLIPSE2CL

Description Pending

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Polyline Types -> Heavy-Weight to Light-Weight
CmdLine : CP_CH_H2L

Description Pending

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Polyline Types -> Light-Weight to Heavy-Weight
CmdLine : CP_CH_L2H

Description Pending

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Scale Z values
CmdLine : CP_SCALE_Z

Description Pending

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Change Properties ByLayer-to-ByEntity
CmdLine : CP_BL2BE

Description Pending

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Flatten - Convert to 0.0 elevation
CmdLine : CP_FLATTEN

Description Pending

Toolbar : Conversion Tools
Menu : CADPower -> Conversion Tools -> Units change
CmdLine : CP_UNITCONV

Description Pending


Export Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Export Tools

Export Tools ››

Toolbar : Export Tools
Menu : CADPower -> Export -> Import/Export points and lines
CmdLine : CP_IMPEX

The CP_IMPEX command allows point and linear objects to be exported to a variety of ASCII Text formats or imported from ASCII files. You need to specify before-hand whether you are exporting or importing linear features or point features. These two feature types cannot be mixed during an import or export operation.

A point feature includes points, blocks, shapes and text. A linear feature includes lines, polylines and splines. Curve-fitted polylines will be processed with only their defining control points. In other words, the curve-fit points will be ignored.

General Options: The General options section covers parameters like file name / format etc which are applicable for both import and export operations.

ASCII file Format: The data format to be used can be selected from the drop-down list box. This can be either of the following formats:

  • NE
  • NEZ
  • NEZD
  • PEN
  • PNE
  • PENZ
  • PNEZ
  • PNEZD
  • EN
  • ENZ
  • ENZD
  • PENZD
  • DNEZ
  • Other

where,
P - Point Number
N - Northing (X coordinate of the point)
E - Easting (Y coordinate of the point)
Z - Elevation (Z coordinate of the point)
D - Description (A short text attribute describing the point)
Other - This will allow user defined object formats to be used.

Stacked fields (one per line): Selecting this box allows P, E, N, Z and D to be on separate lines one below the other instead of being on one single line separated by a delimiter.

Ignore lines starting with: During Import operations, a comment character can be specified to enable lines starting with that character to be ignored. Exporting of data can be done based on delimited fields or column-wise. Accordingly, you can set a delimiter character or specify the start column positions in the ‘Column widths’ dialog.

Export Options: These settings relate to exporting of data from AutoCAD / BricsCAD.

Object descriptions to use: This section specifies the object description that can be used by each of the object types. The basic properties of objects like layer-name, block/shape name, attribute values (for blocks) or object data (if AutoCAD Map is running) can be specified. This will go into the Description field.

Import Options: These settings relate to import of ASCII data into AutoCAD / BricsCAD.

Create point features as: Point features can be created as points, blocks or text objects. The descriptions of incoming point features can be used as layer names, point numbers or stored as block attributes / object data as applicable.

Process geographic coordinates in D-M-S format: A new option has been added in the 'Import' section to recognize and process points as geographic coordinates in the (Degree-Minute-Second (DMS) format).

If this option is checked, all incoming coordinate data is checked if it fits the format of DMS and it is accordingly processed into the X or Y coordinate value of the point.

Supported DMS formats are: 12 56 27.3287 (degrees-minutes-seconds) or 12 56.45 (degrees and minutes)

Multiple description import: makes possible for text files containing additional description data to be imported into the drawing as attributes, object data or plain text. Until now, only one description field was possible via the format descriptor PENZD,.. etc. Now, you can bring in as many and all of the descriptions into the DWG

Watch:

Toolbar : Export Tools
Menu : CADPower -> Export -> Export CSV file
CmdLine : CP_CSVEXPORT

The CP_CSVEXPORT command is a quick tool to export columns of text data into CSV file. The command asks you to pick selections of text entities column by column and export the same into a CSV file.

CP_CSVEXPORT is entirely command-line driven with no dialog boxes. It asks the user for the CSV file name, delimiter and the direction in which the text objects must be sorted. In addition to "Up", "Down", "Left" and "Right", there is also an option called "Selection" which allows you to export in the same order in which the selection was made.

Toolbar : Export Tools
Menu : CADPower -> Export -> Multiple drawings export in various formats
CmdLine : CP_MULTEXPORT

The CP_MULTEXPORT command allows you to select multiple DWG files and export them in various formats. The following formats are supported in different versions of AutoCAD / BricsCAD as listed below :

AutoCAD 2004, 2005, 2006
------------------------
3D Studio (3DS)
Metafile (WMF)
ACIS (SAT)
Bitmap (BMP)
Lithography (STL)
Encapsulated PS (EPS)

AutoCAD 2007
------------
3D DWF (DWF)
Metafile (WMF)
ACIS (SAT)
Bitmap (BMP)
Lithography (STL)
Encapsulated PS (EPS)

AutoCAD 2008
------------

3D DWF (DWF)
Metafile (WMF)
ACIS (SAT)
Bitmap (BMP)
Lithography (STL)
Encapsulated PS (EPS)
V8 DGN (DGN)

AutoCAD 2009
------------
3D DWF (DWF)
3D DWFx (DWFx)
Metafile (WMF)
ACIS (SAT)
Bitmap (BMP)
Lithography (STL)
Encapsulated PS (EPS)
V7 DGN (DGN)
V8 DGN (DGN)

Toolbar : Export Tools
Menu : CADPower-> Export-> Export 3Face objects into SMS 2DF file format
CmdLine : CP_3DF2DM

The Surface Water Modeling System (SMS) is a comprehensive environment for one-, two-, and three-dimensional hydrodynamic modeling. See http://www.ems-i.com for more info on this product. The 2DM file format is used by this software

CADPower provides the CP_3DF2DM command as a tool to quickly export 3dfaces from AutoCAD / BricsCAD into the SMS 2DM file, which can then be imported into SMS.

Toolbar : Export Tools
Menu : CADPower-> Export-> Import 2DM files as 3dface objects
CmdLine : CP_IMPORT2DM

The CP_IMPORT2DM command is used to import an Surface Water Modeling System (SMS) 2DM file into AutoCAD / BricsCAD and create 3dfaces out of them.

Toolbar : Export Tools
Menu : CADPower -> Export -> Insert image(s) as OLE objects
CmdLine : CP_INSOLE

Description Pending

Toolbar : Export Tools
Menu : CADPower -> Export -> Convert image(s) to OLE objects
CmdLine : CP_CONVERT2OLE

Description Pending

Toolbar : Export Tools
Menu : CADPower -> Export -> Export DWF
CmdLine : CP_EXPORT2DWF

Description Pending

Toolbar : Export Tools
Menu : CADPower -> Export -> Multiple PDF Plot
CmdLine : CP_MULTIPLEPDFEXPORT

Watch:


Draw Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Draw Tools

Draw Tools ››

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Tapered Lines
CmdLine : CP_CREATETAPER

The CP_CREATETAPER command is used to create tapered polylines (with specified widths at each end) OR convert existing lines, polylines and arcs into tapered polylines.

Note: CP_CREATETAPER command can convert only two vertex polyline/arc into tapered polyline/arc.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Draw Slot
CmdLine : CP_SLOT

The CP_SLOT command is useful for quickly drawing a slot with specified center point, width, length and rotation angle.

Note: The slot is rotated about its centroid.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Draw Helix
CmdLine : CP_HELIX

Draws a helical curve, with the helix parameters as shown in the dialog box above.

Resolution: Specify the number of tesselations (SURFTAB1) in one circle of the helix

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Draw a parabolic curve
CmdLine : CP_PARABOLA

The CP_PARABOLA command draws a parabolic curve. You should specify the start and end points of the parabola and the vertex point and a parabolic curve is fitted between them

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Draw an involute curve
CmdLine : CP_INVOLUTE

The CP_INVOLUTE command draws an involute curve.

Grain Tolerance: The grain tolerance is the angle interval in degrees at which the points of the involute curve is computed.

Start angle: The start angle defines the AutoCAD / BricsCAD angle (direction) at which the involute curve begins.

Angle to trace: The angle to trace defines the angle in degrees through which the involute curve should be traced.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Draw a tube
CmdLine : CP_TUBE

The CP_TUBE command creates a 3DSOLID tube with specified center point, inner radius, outer radius and height.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Draw a truncated cone
CmdLine : CP_TRUNCCONE

The CP_TRUNCCONE command creates a 3DSOLID truncated cone with specified bottom radius, top radius and height.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Draw a perpendicular line
CmdLine : CP_PERP

The CP_PERP command draws a perpendicular line from the picked point on a curve.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Draw a rectangle with diagonals
CmdLine : CP_DBOX

This is a quick command to draw a rectangle with diagonals. Pick the two corners of the rectangle and optionally specify the rotation angle at which to align the rectangle

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Extend lines to a boundary
CmdLine : CP_XLINES

The CP_XLINES is used to draw lines from a selected point to a horizontal, vertical or inclined boundary line..

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Draw tangents to curves
CmdLine : CP_TANCURVE

The CP_TANCURVE command provides a quick way to draw tangents to curves like arcs, polylines, splines etc. Tangents can be drawn at the ends of the curve or at the picked point on the curve with a fixed or specified length as shown in the dialog box.

Note: The “Intersect” option under “Tangent Length” is not yet implemented.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Equation of a Line
CmdLine : CP_LINEEQ

The CP_LINEEQ command is for your kids, or for a one-off mathematical task. It plots the equation of a line as per the formula y=mX + B. You have to specify the values for the constants M and B, the start and end limits for your X values, and an increment value for X. The equation of the line is plotted as a polyline, and is labeled with the equation parameters y=mx + b.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Construction Grid
CmdLine : CP_CGRID

The CP_CGRID command creates a construction grid with labels. It has the option of creating Horizontal, Vertical, Inclined or Bi-Directional grid interactively (at pick points) or automatically (to fill a rectangular space). It is also possible to create interactive and automatic circular grids also.

In interative mode, the distance or angular inputs can be provided which specify the spacing between the grid lines. For example, while drawing rectangular grids, it is possible to draw the next grid line by entering the perpendicular distance from the last drawn grid line. A positive value draws to the right of the first defining grid line and a negative value draws to the left of the grid line. Similarly, while drawing interactive circular grids, it is now possible to enter the next grid line relative to the last grid line by specifying the distance from the inner grid point or the outer grid point. A value of '50i' indicates a distance of 50 from the inner point while '100o' indicates 100 distance from the outer grid point. Angular alignments also can be created. For example, entering '20a' creates the next grid line at an angle of 20 degrees clock-wise to the last drawn grid line. '-20a' would draw it counter-clockwise.

There are also options to create cross-grid points in interactive circular mode. Cross grid points also can be created by pick or by entering distances from inner or outer grid points as indicated above.

Watch:

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Geometry -> Rectangle with dimensions
CmdLine : CP_RECTLB

The CP_RECTLB command creates a rectangle and places a 'Length' X 'Breadth' annotation inside it. You can specify a primary drawing unit as well as additional alternate units and have the annotation appear in either one or both units. This is a 'quick and dirty tool' to draw and place measurements on rectangular spaces in m, mm, cm, ft, inches, yards or combinations of any of these two units to create a multi-units dimension. Additionally, options exist to annotate imperial units in the style 6' 6" or as 6.5 ft. This is a handy tool for architects and engineers. The 'DimExternal' and 'DimInternal' options have been implemented. It is now possible to create the dimensions of the rectangle either outside (as horizontal and vertical dimensions) or Inside (as aligned dimensions).
.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> CAD Objects -> Enhanced, easy 3D points command
CmdLine : CP_EASY3DPOINT

CP_EASY3DPOINT allows 3d point objects to be created easily. It mimics the POINT command but allows the elevation value to be entered at each point pick prompt.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> CAD Objects -> Enhanced, easy 3D polyline drawing tool
CmdLine : CP_EASY3DPOLY

CP_EASY3DPOLY allows 3d polylines to be constructed easily by providing an easy-to-use interface that allows for elevation values of each point to be entered without having to use .xyz osnap filters. Imagine you are digitizing the values of a surveyed path which is in 3d and available only in paper form. This command allows each point to be picked and the Z value entered in an easy manner. Or if you estimating the elevations of each point based on nearby objects, this command can be used very effectively.

Command: CP_easy3dpoly

Draw 3d polyline with elevation prompts.
From point: (pick a point)
Enter vertex elevation <0.00>: 5.6

Close/Undo/Auto:<Endpoint of line>:a
Enable Automatic elevation increment/decrement? [ Yes/No ] <No>:y

Enter increment[+]/decrement[-] value <1.00>:

[-1.00, CurZ=6.60] Close/Undo/Auto:<Endpoint of line>:
[-1.00, CurZ=7.60] Close/Undo/Auto:<Endpoint of line>:
[-1.00, CurZ=8.60] Close/Undo/Auto:<Endpoint of line>:
[-1.00, CurZ=9.60] Close/Undo/Auto:<Endpoint of line>:

The CP_EASY3DPOLY command can also automatically calculate the elevation for subsequent points based on a constant increment or decrement from the current elevation. The current elevation and the current increment of decrement setting can be viewed in real-time while running this command.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> CAD Objects -> Enhanced, easy 3DFace drawing tool
CmdLine : CP_EASY3DFACE

The CP_EASY3DFACE command allows a quick and easy way to create 3DFACE objects by allowing elevation values of the 3dFACE vertices to be entered directly without having to use .xyz osnap filter.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> CAD Objects -> Enhanced, easy 3DSpline drawing tool
CmdLine : CP_EASY3DSPLINE

The CP_EASY3DSPLINE command allows a quick and easy way to create 3d Spline objects by allowing elevation values of the vertices to be entered directly without having to use .xyz osnap filter.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Symbology -> Roughen a linear object
CmdLine : CP_ROUGHEN

Pick a linear object (line or polyline) and roughen it. The roughened line contains randomly created zig-zags on either side of the center line

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Symbology -> Pattern Placer
CmdLine : CP_PATTERNPLACER

The CP_PATTERNPLACER command is used to arrange a pattern inside a polygonal boundary in a row-wise manner. The command works with blocks. You must first create a block that represents one motif of the repeating pattern. The motif must be drawn in a direction facing the CAD 0.0 degree direction (east) and the insertion point must be at the left hand center of the motif. The 0.0 degree direction of the motif becomes the flow direction when the pattern is generated on a repeated basis along the row. An X and Y offset is specified to denote where the next row will be positioned (alignment with reference to the adjacent row). Another distance parameter indicates the distance between the two motifs along the row.

Toolbar : Draw Tools

Menu : CADPower -> Draw -> Symbology -> Create Block table
CmdLine : CP_BLOCKTABLE

Creates a preview of blocks in a table.

Toolbar : Draw Tools

Menu : CADPower -> Draw -> Symbology -> Create Layer table
CmdLine : CP_LAYERTABLE

Creates a preview of layers in a table.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Rule-Based -> Draw 3D polylines with automatically incrementing / decrementing elevations
CmdLine : CP_DRAWPOLYINCRDECR

The CP_DRAWPOLYINCRDECR command is used to create new 3d polylines by automatically incrementing or decrementing vertex elevations. Alternatively, you can specify existing 3d polylines and have their z values automatically incremented or decremented.

3d polyline creation options

Create New: Starts the 3d polyline digitizing command and enables new polylines to be created with incrementing or decrementing elevations.
Update existing: Select existing 3d polylines and update their vertex elevations incrementing or decrementing.

Starting Z value: Specify the starting Z value of the first vertex of the polyline.
Increment/Decrement value: Specify the elevation value to increment or decrement.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Rule-Based -> Draws a rectangular box at the current screen extents
CmdLine : CP_BOXSCREEN

The CP_BOXSCREEN command creates a closed polyline representing the extents of the current viewport.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Rule-Based -> Draws bounding box around selected object(s)
CmdLine : CP_BOUNDENT

The CP_BOUNDENT command draws a rectangular bounding box (closed polyline) representing the extents of all selected objects.

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Rule-Based -> Draw a polyline by joining points in sorted order
CmdLine : CP_SORTEDPOLY

The CP_SORTEDPOLY command draws a polyline through selected points sorted in Positive X, Negative X, Positive Y or Negative Y direction.

Sort Order

Increasing X values : Choosing the option draws the polyline in increasing (positive) X direction.
Increasing Y values : Choosing the option draws the polyline in increasing (positive) Y direction.
Decreasing X values : Choosing the option draws the polyline in decreasing (negative) X direction.
Decreasing Y values : Choosing the option draws the polyline in decreasing (negative) Y direction.

Watch:

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Rule-Based -> Draw arc-ends to arc-center connections in arcs / polyarcs
CmdLine : CP_SHOWPLARCS

Layer to place:

Source: Choosing this option draws arc-ends to arc-center connections in the source layer

Current: Choosing this option draws arc-ends to arc-center connections in the current layer

Specify: Choosing this option allows specifying the layer in which the arc-ends to arc-center connections to be drawn

Select: Clicking on Select button pops up the Select Layer dialog box.

Delete original objects: Checking this box deletes the original source object after drawing arc-ends to arc-center connections

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Rule-Based -> Draw Hole Table
CmdLine : CP_HOLETABLE

It is now possible to create a hole-table (or hole-chart) in CADPower and export the same into Excel via CSV files.

Hole tables (also known as hole chart) specify the position of holes (or any point of interest, like a punched shape (like polygon) or a placed block (with attributes) within a reference frame (usually a rectangle, but can be any geometry [closed polygon]) and create a table within the drawing and optoinally export the same into an Excel-compatible CSV file.

The holes (or points of interest) are represented as rows in the table and X, Y offset dimensions and other properties of the holes as columns. Circles, points, blocks (with or without attributes) can be represented in a hole-table. A hole-table is a list of coordinates of a 'hole' or 'point of interest' (measured from a specified origin) and serves as a guide for punching operations. Typical properties that can be captured in the hole-table are X & Y coordinates, diameter (for circular holes), block names and/or attribute values.

The Hole table is created as a TABLE object and uses the current TABLE stype properties.

This command also produces a quantity table that quantifies all holes by diameter, all blocks by names and attributes by values and lists the quantities as well. You can use the CP_HOLETABLE tool in many imaginable ways in various situations, and not just as a hole-table as applied to manufacturing.

In addition to creating hole table, this command also creates a Quantity Table. The Quantity table lists all the holes of the same diameter and quantifies them in a table. Similarly, all unique block names and attribute values in the selection are counted and listed in the Quantity table. This helps to identify and quantify the holes in a sheet, be it represented by circles or blocks with an attribute describing the hole.

The output fom the CP_HOLETABLE command

The input data for the CP_HOLETABLE command

Related command: CP_BOM ( CADPower -> BOM/BOQ Tools -> Create Bill of Materials/Quantities): You can use the CP_BOM command to directly import a hole-table CSV file from Excel using the 'Import Table only' option.

Watch:

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Rule-Based -> Draw CAM Profile
CmdLine : CP_CAM_PROFILE

Description Pending

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Rule-Based -> Draw tool cutting path around a closed boundary
CmdLine : CP_CURVEANALYZER

Description Pending

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Rule-Based -> Draw nested boundary
CmdLine : CP_NESTEDBOUNDARY

Description Pending

Toolbar : Draw Tools
Menu : CADPower -> Draw -> Rule-Based -> Draw closed polylines to an exact area
CmdLine : CP_POLYAREACREATE

The CP_POLYAREACRATE command creates a closed polyline (polygon) of an exact area. For example, if you have drawn the shape of your polygon but want to scale it up or down such that it measures to an exact area, you can use this command.

The command scales the polygon up or down by a specified amount until the exact area is reached. No more manual trial and error by painstaking methods. This command finds use in many patterning and land parcel planning workflows where you need to create a pre-defined shape of polygon to an exact area. There is both manual as well as automatic method of polygon creating.

.

Clash Detection: Often, when you increase the area of a polygon by incremental amounts, it is necessary to stop when an adjoining polygon boundary is reached. This is enabled by Clash Detection. When enabled, the command stops when the polygon touches a neighboring polygon, line or arc boundary. At this point, you have the option to change the anchor point and re-scale the polygon in a different direction or accept the existing one and exit the command.


Build Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Build Tools

Build Tools ››

Toolbar : Build Tools
Menu : CADPower -> Build -> Offset -> Multiple-Offset relative/absolute
CmdLine : CP_MOFFSET

The CP_MOFFSET command is used to offset the selected object multiple number of times. In Relative mode, the offset distances are calculated relative to the last object that was offset.

Toolbar : Build Tools
Menu : CADPower -> Build -> Offset -> Multiple Offset - Absolute
CmdLine : CP_MOFFSETA

The CP_MOFFSETA command is used to offset the selected object multiple number of times. In Absolute mode, the OFFSET distances are calculated from the first object that was chosen for offset.

Toolbar : Build Tools
Menu : CADPower -> Build -> Offset -> Offset and delete original
CmdLine : CP_OFFSET

The CP_OFFSET command is used to offset an object and delete the original object. This is a quick way to displace an object sideways. Use this command when you wish to save yourself the bother of deleting the original object.

Toolbar : Build Tools
Menu : CADPower -> Build -> Offset -> Offset 3D polylines
CmdLine : CP_3DOFFSET

The CP_3DOFFSET command is used to offset 3d polylines in the same manner as 2d polylines. 3D polyline can be offset both horizontally and vertically. This can be a very useful in several civil engineering design situations that require the offsetted polyline to be elevated or lowered by a fixed amount relative to the source polyline.

Watch:

Toolbar : Build Tools
Menu : CADPower -> Build -> Offset -> Offset single segment of polyline
CmdLine : CP_SEGOFFSET

The CP_SEGOFFSET command is useful to offset a single segment from a polyline. You will be asked to pick the segment and it will be offset using the standard OFFSET command.

Note: If you pick a segment which contains arc segments, the offsetting segment will be the straight line joining the two points and not the arc. Fitted and Splined polylines cannot be used by this command.

Toolbar : Build Tools
Menu : CADPower -> Build -> Offset -> Multiple variable polyline segment offset
CmdLine : CP_MVOFFSET

The CP_MVOFFSET command allows individual polyline segments to be offsetted by different user-specified distances. One of the places where this command can be useful is in designing lots where each side needs to be offset by differing amounts to satisfy the frontage, clearance and other requirements.

In the example above, the polyline segments (shown with vertex numbering) are offsetted by amounts of 10.0, 25.0, 30.0, 30.0 amd 25.0 respectively. The command sequence is shown below.

The Side to Offset is to be specified relative to the first segment of the polyline.

Command: CP_mvoffset
Select a polyline:
Pick side to offset:
Enter offset distance <10.00>:

Offset segment [Next/Previous/eXit]:n
Enter offset distance <10.00>: 25
Offset segment [Next/Previous/eXit]:n
Enter offset distance <10.00>: 30
Offset segment [Next/Previous/eXit]:n
Enter offset distance <10.00>: 30
Offset segment [Next/Previous/eXit]:n
Enter offset distance <10.00>: 25
Offset segment [Next/Previous/eXit]:x

Toolbar : Build Tools
Menu : CADPower -> Build -> Create a boundary (closed polygon) around a point
CmdLine : CP_BOUNDARY

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> Create centroid marks inside closed polygons
CmdLine : CP_CREATECENTROID

The CP_CreateCentroid command is used to create centroidal marks inside closed polylines, splines and circles.

Layer to create in:

Source: Creates the centroidal marks in the source layer( i.e the layer in which the closed polylines reside).
Current: Create all the centroidal marks in the current layer
Specify: Choosing this option allows specifying the layer in which the centroidal marks will be created.
Select: Clicking on Select button pops up the Select Layer dialog box.

Object to create: Specifies the type of object to create.

ACAD Point: An AutoCAD/BricsCAD point object is created at the centroidal location of each closed polyline.
Running Text Number: A Text string is created which is incremented by 1 each time for the next polygon being annotated with centroidal marks.
Fixed Text string: A fixed text string value is used for the annotation of the centroidal mark. The value of this text string is specified in the edit box provided for it.

Start Number: Specify the start number to be used for the annotation, if the Running Number Text option was chosen.
Format Width: Specify the required format width. This will prefix Zero before the running number text such that the string length is atleast equal to the format width specified.
Fixed Text string value: Specify the value of the fixed text string to use for annotations.
Text Height: Enter the height for marking the Text string or Running number text.

Ensure that the centroidal point always falls physically inside polygon: If this option is checked and if the centroidal falls outside the polygon, it will be moved to a location physically inside the polygon.

The CP_CreateCentroid command has an option to run without the dialog box selector. To enable this, you much check the option within the dialog box which says "Hide dialog box and run CP_CreateCentroid in command-line mode next time". This setting is not saved in registry and revets back to dialog box mode when your CAD is re-started.

Watch:

Toolbar : Build Tools
Menu : CADPower -> Build -> Measure multiple object
CmdLine : CP_MEASUREMANY

The CP_MEASUREMANY command applies the MEASURE command on a multiple selection of objects. You will be prompted for all inputs as required by the MEASURE command. In addition, CP_MEASUREMANY command also provides the option to place points/blocks at the start and end of the curve.

Watch:

Toolbar : Build Tools
Menu : CADPower -> Build -> Easy solids extruder
CmdLine : CP_EXTRUDER

The CP_EXTRUDER command is useful to create extruded 3d solids in an easy and intuitive manner. This command internally uses the EXTRUDE command but provides a better and easy interface to setup the command parameters.

Cross Section pattern: Specify the type of cross section pattern to use for the extrusion. Pre-defined shapes like Rectangle, Circle and an n-sided Polygon can be specified by their parameters. If Custom option is chosen, the user is prompted to select a closed 2d object which will be used as the cross section and extruded through the path curve

Toolbar : Build Tools
Menu : CADPower -> Build -> Join nearest ends of lines / polylines
CmdLine : CP_JNE

The CP_JNE command is used to join the nearest ends of two selected lines, arcs, splines and/or polylines with a connecting line and optionally join all the three into one single polyline.

Command: Select first object: (do so)
Select second object: (do so)
Join all segments together? [ Yes/No ] <Yes>:

It is possible to create a connection between the nearest ends of any selected entities, but joining them together into one object is possible only if they are all 2d etities or all 3d entities. It is not possible perform a mixed join of 2d and 3d entities.

Toolbar : Build Tools
Menu : CADPower -> Build -> Copy and then Rotate
CmdLine : CP_CPROT

The CP_CPROT command is used to combine both Copy and Rotate operations in one command.

Toolbar : Build Tools
Menu : CADPower -> Build -> Move and then Rotate
CmdLine : CP_MVROT

The CP_MVROT command is used to combine both Move and Rotate operations in one command.

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Data Manager
CmdLine : CP_DATAMAN

The CP_DATAMAN command is used to define a simple XDATA based database which operates entirely inside your CAD drawing. All data is stored in XDATA attached to entities and the database definition is provided in a simple INI file.

A sample structure of the INI file looks like this. Explanation about the syntax is provided after each section.

[*RECORD]
Name=BAR_INFO
Type=XDATA
FIELD=Section,String,1000
FIELD=Weight per unit length,Real,1000.0
FIELD=Cost per unit length,Real,500.0
FIELD=Supplier,String,Tata
FIELD=Photo,Link,(none)
[*RECORD_END]

The [*RECORD]....[*RECORD_END] section defines the database strcture. It is defined with lines having <Parameter>=<Value> syntax.

The 'Name' parameter specifies the database name (or the XDATA application name).

The 'Type' parameter indicates the type of database. In this case, it is 'XDATA'. In future, additional database types like 'ATTRIBUTES' etc will be introduced.

[*FIELD_VALUES]
Name=Section
Values=ISMB 200
Values=ISMB 300
Values=ISMC 400
[*FIELD_VALUES_END]

The [*FIELD_VALUES]....[*FIELD_VALUES_END] section defines the fields structure. This is also defined with <Parameter>=<Value> syntax.

The 'Name' parameter specifies the Field Name.

The 'Values' parameter defines the commonly used values for the field. These will appear in a pull-down menu when the CP_DATAMAN command is run.

There will be multiple [*FIELD_VALUES] section in the INI file, as many as the number of fields. However, it is not mandatory to define the [*FIELD_VALUES]. If this section is not defined for a field, there will be no pull-down menu options while entering data for the field.

The CP_DATAMAN command now supports an additional data type which allows files on the disk, server or cloud to be attached to selected objects. Using this option, you can create a link between an external file and your CAD entities. There is also a 'Show' option which allows to display the linked file automatically by launching the application with which it is associated.

For example, in the [RECORD] section above, the FIELD Photo is defined as a Link type. This means that it will offer Browse and Show buttons to select a file to be linked with the object and display it using the associated application.

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Attach Data
CmdLine : CP_ATTACHDATA

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Detach Data
CmdLine : CP_DETACHDATA

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Edit Data
CmdLine : CP_EDITDATA

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Copy Object Data
CmdLine : CP_COPYDATA

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Import Object Data from CSV files
CmdLine : CP_LABELDATA

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Query Object Data
CmdLine : CP_QUERYDATA

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Export CADPower Object Table Data to ASCII (CSV) files
CmdLine : CP_CPOD_EXPORT

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Import Object Data from CSV files
CmdLine : CP_CPOD_IMPORT

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Create tabular CAD data from object table data
CmdLine : CP_CPOD_TABLEDATA

Description Pending

Toolbar : Build Tools
Menu : Build -> CADPower Object Data Management -> Copy and Paste from Excel
CmdLine : CP_EXCELCOPYPASTE

Description Pending

Toolbar : Build Tools
Menu : Build -> CADPower Object Data Management -> Create attributed block / object table from Excel
CmdLine : CP_EXCEL2ATTBLK

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Query and Insert data from Excel sheet
CmdLine : CP_EXCELQUERY

CP_EXCELQUERY dialog

The CP_EXCELQUERY command is a multi-purpose command to read a specified sheet from XLSX files and query the data based on rows and columns, match them with CAD data using logical conditions and generate tables or MTEXT or attributed block with the returned information.

The use-case for this: What is the problem it solves?

You have an Excel sheet and you have a CAD drawing. You need to match the content in the Excel sheet based on your CAD data and pull out relevant information. This command has the solution.

There are two sets of information that you need to specify in this main dialog box.

The first set pertains to the XLSX workbook name and the SheetName where you need to look for the data.

Next, you need to specify the rows and columns you want to search.

The first item in this list is the location of the Title row: usually Excel sheets have the title info specified in one of the rows. You need to specify that row number here.

In the Search Column and Search Row sections, you need to specify a row or column name that you want to quick-search. The results are displayed instantly in a popup window opened by the Show buttons and copied to clipboard and/or placed as MTEXT or attributes block on the drawing. There is a Search Cell option also to retrieve the value of a single cell.

The TitleRow Info from the Excel sheet

The results of a queried column

The results of a query from XLSX displayed as table in CAD

The next section is called Data Feeders where you can get CAD data from selected object(s) or enter your own independent search data.

Data from your drawing can either come from an AutoCAD Map Object table, CADPower object data or from inherent CAD properties like Length, Area, block attribute, text value, radius, elevation, color, rotation angle etc. The complete list of CAD properties that you can use are shown in the image below:

CAD properties that can be queried from XLSX

The next set of information you need to provide is about the CAD entity that you want to use for query. Clicking on the Select button allows you to pick an entity that will offer its internal CAD properties or attached object table or attribute data for query. You need to make the right selections from the Data Feeders and get the property value that you want to query.

You can also specify logical operators on the data and perform the query based on whether you want an exact match, less than or greater than or not equal to the value (for integer and real values). For string values, you can search based on their case, or even partial search and so on.

All the search conditions you specify here will be taken into consideration when searching the XLSX data.

Excel data read in and displayed as table

Excel data read in and displayed as MTEXT

Watch:

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Transfer block attributes to CADPower object table data
CmdLine : CP_CPOD_ATT2OD

Descrption Pending


Annotation Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Annotation Tools

Annotation Tools ››

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Label points
CmdLine : CP_IDXYZ

The CP_IDXYZ command labels picked points with X, Y, Z, XY or XYZ coordinate values. A number of formatting options can be specified as shown in the dialog above.

Watch:

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Label polyline vertices
CmdLine : CP_VXLABEL

This command places text labels along polyline, line, 3dfaces and spline vertices. The following types of labels can be created for each vertex.

Annotate Using:

X co-ordinate value:
The X co-ordinate of each vertex is written as a text label next to each vertex.

Y co-ordinate value:
The Y co-ordinate of each vertex is written as a text label next to each vertex.

Elevations (Z):
The elevation of each vertex is written as a text next to each vertex.

XY co-ordinate value:
The x and y co-ordinates of each vertex is written as a text label next to each vertex.

XYZ co-ordinate value:
The x, y and z co-ordinates of each vertex is written as a text label next to each vertex.

Running Number:
The vertex count starting from the beginning is written (this initial count can be set by the user)

Cumulative Slope Distance from start:
The cumulative slope distance from the first vertex is computed and written next to each vertex (the initial starting distance can be set by the user).

Cumulative Horizontal Distance from start:
The cumulative horizontal distance from the first vertex is computed and written next to each vertex (the initial starting distance can be set by the user).

Prefix Options:

Prefix with X=, Y=, Z= Choosing this option places the prefixes, X=, Y=, Z= before each coordinate value
Prefix with E=, N=, H= Choosing this option places the prefixes, E=, N=, H= before each coordinate value
No prefix (co-cordinates only) No prefixes are written, only co-ordinates values are written
Prefix with M=, P=, H= Choosing this option places the prefixes, M=, P=, H= before each coordinate value. This is Portuguese notation for Easting and Northing.

Label first and last points only:
Places labels on the first and last points of polylines only. Useful if the polyline is too dense and you do not want lables at every point.

Reset vertex numbering for every line/polyline:
Starts vertex numbering from the specified start value for every polyline or line. If this option is not checked, vertex numbering continues incrementing across each polyline.

Apply elevation check before labeling.
Checking this box makes a check for the elevation between specified range and labels only those vertices which fall between the range

From [elevation]
If Apply elevation check before labeling is chosen then the From [elevation] box allows you to enter the start elevation for range check.

To [elevation]
If Apply elevation check before labeling is chosen then the To [elevation] box allows you to enter the end elevation for range check.

Starting Station Number:
If Running Number is chosen as the label option above, then this option allows the first station number to be set. You may want to set this to a number higher than 1 if this polyline is being labeled in succession to another polyline which was preceding it.

Starting Station Distance:
If Cumulative Distance from start is chosen as the label option above, then this option allows the first station distance to be set. You may want to set this to a number higher than 0.0 if this polyline is being labeled in succession to another polyline which was preceding it.

Label Text Height:
Specifies the label text height.

Rotation Angle:
Specifies the rotation angle for text.

Horizontal Text Offset from vertex:
Specifies the offset distance in the horizontal (X) direction in CAD units from the vertex position at which you want the label to appear.

Vertical Text Offset from vertex:
Specifies the offset distance in the vertical (Y) direction in CAD units from the vertex position at which you want the label to appear.

Precision for x,y,z coordinates:
Specifies the X, Y and Z coordinates precision independently. They must be separated by commas. For example, entering the coordinates
precision as 2,2,1 will display the coordinates with 2 decimal places in X, 2 in Y and 1 in Z.

Label-name: Displays the selected layer name.
Select: Pops-up the Select Label Layer dialog box for choosing the required layer.

Watch:

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Label polyline segments
CmdLine : CP_SEGLABEL

This command writes the segment distance annotation along each segment of the polyline.

What to label?

Distances: Choosing this option places the inter-vertex distance as the label text.

Bearing: Choosing this option places the surveyor’s bearing between two vertices as the label text.

Slope: Choosing this option places the segment slope annotation as the label text.

Distances@Slope: Choosing this option creates the annotation in the format - ‘Distance @ Slope'

Distances@Bearing: Choosing this option creates the annotation in the format 'Distance @ Bearing'

Running Number: Choosing this option allows to label the segments as sequential numbers

Labelling Formats:

Distances: Clicking this option opens up a distances format dialog box. This allows the distances to be annotated in various ways.

Slope: Displays distances as actual slope distances.

Horizontal: Displays distances as horizontally projected values.

Apply Segment length check before labeling: Checks the length of the segment and if it falls within the specified range only, they will be labelled.

Bearing: Clicking this option opens up a bearing format dialog box. This allows the bearings to be annotated in various ways.

Decimal Degrees: Writes the whole circle bearing in decimal degrees.

Deg/Min/Sec (000-00-00): Writes the bearing in degrees, minutes and seconds in the DDD-MM-SS format.

0d00'00': Writes the whole circle bearing in deg, min and sec format.

0º00'00": degree-minute-second format in the style D°M'S".

N 0d00'00' E: Writes the bearing in surveyors units.

Radians: (0.000r) Writes the whole circle bearing in radians

Gradients: (0.000g) Writes the whole circle bearing in gradients (One gradient=1/400th of a circle)

Slope: Clicking this option, opens up a slope format dialog box. This allows the slopes to be annotated in various ways

As percentage: Choosing this option causes the grade annotation to be created as a percentage. For example, uphill grades are created as "2% Up" and downhill grades are created as "2% Down".

As decimal: Choosing this option causes the grade annotation to be created in decimal format. For example, uphill grade will be created as "1:50 Up" and downhill grade will be created as "1:50 Down".

Direction: Choosing this option causes the strings "Up" or "Down" to be written along the segment depending on whether the slope is going downward or upward.

Arrow in Elevation Direction [Up->Down]: Choosing this option draws an arrow along the segment in Upward to Downward direction with respect to the elevation.

Arrow in Elevation Direction [Down->Up]: Choosing this option draws an arrow along the segment in Downward to Upward direction with respect to the elevation.

Degrees: Choosing this option causes the slope values in degrees to be annotated next to the segment.

Per Mille: mean 'Per 1000' : This slope annotation method is often used in hydraulics to denote the slopes of canal beds and similar structures. It is
denoted as 'x o/oo', where 'x' is the amount of slope per 1000 of horizontal distance.

Precision for grade value: Enter the number of decimal places to be used in the precision for grade values.

Treat polyline as elevation value: If this option is checked, the polyline is treated as an elevation view (or long/cross section as called in some countries) and the segment slope annotation is done accordingly. In elevation view, the polyline is assumed to be drawn in the Z plane.

Vertical exaggeration factor: This is the factor by which the Z value of the polyline vertices must be multiplied when the polyline is being viewed
in 'ElevationView'.

Annotation Position:

Along Segment: Choosing this option places the annotation text along the direction of the segment.

Perpendicular to segment: Choosing this option places the annotation text perpendicular to the direction of the segment being annotated.

The next two options further specify the annotation text placement positions by specifying if the annotation is along the segment, above or below it. For Perpendicular to segment option above, The Above, Below and On Segment option in this section will be grayed out.

Above Segment: The annotation will be placed above the segment. For the purpose of determining the position of anotation, the segment is imagined from its start point to end point as a horizontal X-axis, and the the space above it is considered as the Space Above and vice versa.

Below Segment: The annotation will be placed below the segment. For the purpose of of determining the position of anotation, the segment is imagined from it start point to end point as a horizontal X-axis, and the space below it is considered as the Space Below and vice versa.

On Segment: The annotation will be placed on and along the segment.

Left of segment: This option enables the annotation to be placed to the left of the direction of the segment being annotated. This is applicable only when the Perpendicular option is chosen.

Right of segment: This option enables the annotation to be placed to the right of the direction of the segment being annotated. This is applicable only when the Perpendicular option is chosen.

Text Orientation:

Always upright: Flips text by 180 degrees to make them readable.

Always aligned: Does not perform any text flipping. The rotation angle will be as determined, entirely by the segment direction.

ARC label options:

Midpoint of arc: Choosing this option places the label at the midpoint of each arc segment. This may be an arc segment of a polyline or an ARC object.

Midpoint of chord: Choosing this option places the label at the midpoint of each chord length of the arc segment. This may be an arc segment of a polyline or an ARC object.

Label Formatting:

Label Text Height: Specifies the label text height.

Watch:

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Label polyline angles
CmdLine : CP_ANGLABEL

The CP_ANGLABEL command is used to quickly label all interior / exterior / left or right / deflection angles of a selected polyine.

If an open polyline is selected, CP_ANGLABEL offers the options to label either the Left or Right side included angled or the Deflection angles.

If a closed polyline is selected, CP_ANGLABEL offers the options to label either the Interior / Exterior or Deflection angles.

Label layer: Displays the selected layer name.
Select: Pops-up the Select Label Layer dialog box for choosing the required layer.

Watch:

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Annotate ends of lines / polylines with symbols
CmdLine : CP_ANNOTATEENDS

The CP_ANNOTATEENDS command is used to place a block at either or both ends of a curve object. A curve object can be either a LINE, POLYLINE, ARC or SPLINE.

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Annotate points, based on layer names
CmdLine : CP_ANNOTPOINTS

The CP_ANNOTPOINTS command is used to annotate a set of points based on a layer lookup table. This command is useful in several surveying applications where the raw data is first imported into AutoCAD / BricsCAD as a set of random point objects placed on several different layers. It is then often required to label these points with meaningful and descriptive text labels with correct text style and height. This command helps to create such a labeled text. Each set of annotation parameters (like text label, style, height etc) is specified on a per-layer basis. These sets of per-layer annotation parameters can be saved/restored from ASCII files.

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Create/update length annotation
CmdLine : CP_LENTEXT (aslo runs as CP_AREATEXT)

The CP_LENTEXT command creates a length or area annotation. If you have a line, polyline, arc, spline or a circle, its length (and area, where applicable for closed curves) can be easily annotated as text using this command. You can create .

The CP_LENTEXT command has been completely revamped and improved. In addition to length annotation, this command now supports area annotation also, which is also exposed through a new command alias called CP_AREATEXT.

The following improvements are made in the functioning of this command:

  • For length annotations, you can now use arcs, circles and splines also, in addition to lines and polylines.
  • For area annotations, you can use closed polylines, splines and circles.
  • Area annotations from closed curves can be created as text objects, or existing ones updated (similar to CP_LENEXT functions).
  • When existing text is updated with length or area values, you now have an option to append the value to the existing text. This feature was added based on user requests from many of our CAD detailing users who often want to capture a name and length/area quickly in DWG and export as CSV files to Excel. For example, a reinforcement detailing drawing containing the bar names and length, or bounded area names and area can now be easily tagged together in text objects (using the append option) and exported to Excel (via CSV) using the CP_TXT2FILE command easily. This significantly cuts down a painful and manual process of measuring each length using OSNAP and having to manually type it in along with the name into Excel. This enhancement is generic and is useful in a large number of CAD detailing situations in the quantity take-off department.
  • The 'Modify length/area' and 'Pre-set length unit conversions' are fully supported for both length and area annotations.
  • During length measurement of picked polylines, it is now possible to specify whether you want to annotate the full length of polyline or length of the picked segment alone. Earlier, the CP_LENTEXT command would only annotate the length of the picked segment and not the full length. With this optional setting, it is now easier for the users to have finer control of the output as desired.
  • A number of other improvements have been made in the user interface and messaging for a better user experience.

Watch:

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Create/update area annotation
CmdLine : CP_AREATEXT

Description Pending

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Create Elevation levels (LEVELIT)
CmdLine : CP_LEVELIT

Description Pending

Watch:

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Display object handles as text labels
CmdLine : CP_HNDLABEL

The CP_HNDLABEL command creates a text label of the object handle next to each selected object. The text labels are created for lines, points, blocks, polylines, arcs and splines. The labels are created in the CADPower temporary layer called 'CADPower_TEMP'.

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Mark levels above-or-below a selected datum
CmdLine : CP_MARKLEVELS

Mark levels above-or-below a selected datum): The CP_MARKLEVELS command is used to do ordinate dimension labelling using simple text objects. You are asked to specify a datum point. All other picked points are annotated with text representing height relative to the datum height. This is a very quick and handy tool to specify the height levels in geographic, piping or other machine drawings where heights need to be shown for purpose of assembly etc. There is also an option to change the annotation label units and display the levels in another unit. Supported units are mm, cm, m, in, ft and yards.

Toolbar : Annotation Tools
Menu : CADPower -> Annotation -> Automatic Polygon Detect & Label
CmdLine : CP_AUTOPOLYLABEL

The CP_AUTOPOLYLABEL command is an automatic polygon detect, shape detect and area labeling command rolled into one. It runs entirely on the command line and asks the user several questions like polygon edge layer(s), closed polygon and label layers, text height, polygon name and so on. The command applies the BOUNDARY command around the picked point to identify the enclosing polygon. The user is given a choice whether to create the actual closed polygon or just report its area and shape in the MTEXT object created. The resulting polygon geometry is also described as a shape (rectangle, square, circle or polygon with n sides).

While annotating areas, it is also possible to optionally acquire the area annotation and conversion parameters as set by the CP_CALCAREA command and use the same in this annotation as well.

Input transcript of the CP_AUTOPOLYLABEL command, along with command-line output

A Rectangle shape auto-detected and labeled using original linear units and converted sq.ft area units from CP_CALCAREA settings


Blocks Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Blocks Tools

Blocks Tools ››

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Globally modify block properties
CmdLine : CP_MOD_SHBL

Globally changes the block and shape properties like scale factors, rotation angles, relative scaling, relative rotation etc.

Rotation/Scaling Options
It is possible to rotate or scale the blocks about their own insertion point or about any other point relative to the insertion point. The relative point can be specified by means of an offset distance in X and Y directions from the insertion point.

If the Scale XY offsets by XY scale factors option is chb;ecked, the X and Y offsets are assumed to be defined for a unit scale and if the block has a scale other than 1.0, the offsets are also multiplied by the X and Y scale factors respectively.

Watch:

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Blocks-related -> Block Names Editor
CmdLine : CP_BLKMAN

The CP_BLKMAN command allows multiple blocks to be renamed in flexible ways using wildcards and patterns

.

Watch:

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-related -> Replace one block with another
CmdLine : CP_REPBLK

The CP_REPBLK command is used to replace all insertions of one named block with another. The source block must be defined in the drawing while the destination block can be defined in the drawing or available as a DWG file externally. When Blocks with attributes are replaced, their attributes also will be transferred, where possible. The number of attributes in the two blocks need not be the same. As many attributes as possible will be transferred. If there are less number of attributes in the target block than in the source block, they will be lost. If there are more attributes in the target block, they will be left blank. All extended entity data will be transferred to the target block.

Block redefinition options:

Read block definition from external DWG: Checking this option allows one block to be replaced with another block of the same name. The updated block definition will be read from an external DWG which also has the same name as the block. The external DWG file should be available in the AutoCAD / BricsCAD support path.

Read block definition from current DWG: Checking this option allows one block to be replaced with another block of the same name and the updated block definition will be read from within the current drawing.

Reposition target block attributes at source attribute locations: If this option is checked, the target block attributes will be placed at the same location as on the source blocks. If the source block attributes were moved manually, this option ensures that the newly created block attributes will also be positioned at the same location as in the source blocks.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Explode blocks and retain attributes
CmdLine : CP_XP_ATT

CP_XP_ATT is used to explode blocks, which contain attributes, but this explode results in the attributes to be converted into text entities rather than the attribute definitions (ATTDEFs).

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Compare block attribute and create report
CmdLine : CP_COMPAREBLKATTS

The CP_COMPAREBLKATTS command compares blocks in the current drawing (with attributes) and creates a report of all blocks which have the identical attribute structure. This is a good QA and analysis tool to identify multiple blocks in drawings which may have identical, slightly different or completely different attribute structures.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Connect blocks based on attribute values
CmdLine : CP_CONNECTBLOCKS

The CP_CONNECTBLOCKS command connects blocks based on attribute values. You can specify one of more block names, an attribute tag and a connect criteria. All blocks whose attributes match the specified criteria will be joined by a single polyline.

The 'Connect criteria' is specified in two ways:

Geographically Sorted: Checking this option sorts matching attributes purely based on a geographi sort order. The following geographic sort orders are supported:

  • Increasing X values
  • Increasing Y values
  • Decreasing X values
  • Decreasing Y values

By incrementing Point IDs: Checking this option sorts matching attributes purely based on the increasing order of their attribute values, and not geographically.

The values can be entered as follows: 1-50,60,90-End

The above syntax would connect points from 1 to 50, then 60, followed by 90 to the end (maximum) point number in the drawing.

Two special values permitted in the syntax are 'Start' and 'End' which would use the minimum and maximum point number respectively in the drawing.

Points connected using incrementing point ids (which are red from integer value attributes)

Points connected geographically by +X sort direction based on matching attributes

Watch:

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-related -> Multiple Redefine Blocks-Lyr/Clr
CmdLine : CP_MREDEFINE

The CP_MREDEFINE command is used to re-define objects in the block definition. All instances (insertions) of the block are automatically updated.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Explode only nested blocks
CmdLine : CP_EXPLODENESTED

CP_XPLODENESTED explodes only nested blocks i.e blocks which contain atleast one block (INSERT) object in its block definition. Any non-nested blocks will be ignored.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Explode blocks to a specified layer
CmdLine : CP_EXPLODE2LAYER

The CP_EXPLODE2LAYER command explodes selected blocks to a specified layer. This command has two modes of operation. The 'Automatic' option will explode all blocks in the drawing to the specified layer. The 'Manual' option operates only on the selected block(s).

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Place a block along each segment of the polyline
CmdLine : CP_DRAWSEGBLOCKS

The CP_DRAWSEGBLOCKS command can be used to place a stretched block along the segments of a line or polyline. The specified block is stretched such that its X scale factor is equal to the length of each segment. This can be a useful tool to create patterns along lines, polylines (often used after CP_EMBHATCH command to create custom embankment hatch patterns).

Note : It is recommended that the insertion point of the block to be stretched be at the left edge of the geometry and the block be defined along the CAD 0 (East) direction.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Trim Lines, Polylines along intersecting blocks
CmdLine : CP_MBLKTRIM

The CP_MBLKTRIM command is used to trim lines / polylines along intersecting blocks.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-related -> Express Block Insert
CmdLine : CP_BLOCKINS

CP_BLOCKINS cuts short the number of keystrokes required for a block insertion. Using the CADPower defaults for scale factors and rotation angle, this command allows blocks to be selected from a dialog box and placed by just picking the insertion point.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Repeat last block insert
CmdLine : CP_REPLASTBLK

This is a further improvement over the previous command CP_BLOCKINS. It eliminates the need to even select the block. The last block used by CP_BLOCKINS is automatically used.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-related -> Smart Block Insert
CmdLine : CP_SMARTINSERT

Description Pending

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Select and export Block to DWG
CmdLine : CP_BO

This is a quick macro tool that allows to select a block and export the same into a specified DWG.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Select and import Block from DWG
CmdLine : CP_BI

This is a quick macro tool that allows to select a block and import a new definition of the same block from a specified DWG.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-Related -> Slide (move) block relative to its rotation angle
CmdLine : CP_BLKSLIDE

The CP_BLKSLIDE command is used for moving blocks in a direction which is relative to the rotation angle. It can be also used for increasing or decreasing the spacing between blocks and adjoining features by moving them in a specified direction.

Toolbar : Block Tools (CP)

Menu : CADPower -> Blocks -> Block-Related -> Export multiple blocks to DWG

CmdLine: CP_BLKS2DWG

Description pending

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Count occurence of blocks
CmdLine : CP_BCOUNT

The CP_BCOUNT command (or BCOUNT) is a simple block counter. It sums up number of occurences of unique block names selected and displays them in a table. It is also possible to export the same to CSV file. BCOUNT is a FREEWARE command and will not expire in CADPower. This command is provided to make it easy for AutoCAD users who are used to a similar command from Express Tools.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-related -> Interactive XY Scale editor
CmdLine : CP_SCLEDIT

The CP_SCLEDIT command is an interactive X & Y scale editing tool for blocks.

If offers tools for interactively increasing or decreasing X & Y scale factors of a selected block and visually see the effects of that change on the screen. It functions entirely on the command line and optionally, you can also update an attribute with the X and Y scale factors. This tool can be used with any block but the inspiration to create it arose from the need to interactively size the tile (or panel) block that may need to be precisely scaled in order to fit neatly in a given space. Suppose, you have placed a standard block as a 600 x 300 panel but want to scale it interactively so that it fits in the given space, this tool is a saviour. You can scale up or down X & Y factors independently in user-controlled amount until you get the desired fit.

Watch:

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-related -> Interactive XY Scale Flip
CmdLine : CP_SCLFLIP

The CP_SCLFLIP command is an interactive X & Y scale flipping tool for blocks.

If offers tools for interactively flipping the X and Y scale factors of a selected by changing the sign of the scale factors.

For example, if X and Y are the scale factors of the block, the command presents visuallt the scale factors (-X, Y) , (-X, -Y), (X, -Y) and (-X, -Y) and allows you to interactively select the desired scale. Instead of using the properties panel to chnage the scale factors manually, the CP_SCLFLIP offers a more convenient and visual alternative that lets you zero in quickly on the desired representation.

Watch:

Toolbar : Block Tools (CP)
Menu : CADPower-> Blocks -> Block-related -> Insert similar
CmdLine : CP_INSSIMILAR

Descrption Pending

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Blocks-related -> Convert to anonymous block
CmdLine : CP_ANONYMOUSBLK

The CP_ANONYMOUSBLOCK command can be used to create an anonymous block out of selected objects. Anonymous blocks are internal blocks which don't have a user-recognizable name but are nevertheless blocks for all purposes and can be used to create a grouping of objects. Anonymous blocks are now recognized by our CP_BOM Quantity Estimation tool also. The anonymous blocks get an automatic name which looks like *Unn.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Block-related -> Adjust spacing of blocks based on insertion point
CmdLine : CP_BLKSPACING

The CP_BLKSPACING command adjusts the spacing between blocks based on their insertion points. The spacing is adjusted eith horizontally or vertically.

Toolbar : Block Tools (CP)
Menu : CADPower -> FREEWARE-By-CADPower -> Nested Block Copy (NCOPY)
CmdLine : CP_NCOPY

Description Pending

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Global Attribute Editor
CmdLine : CP_ATTEDIT

The CP_ATTEDIT performs global editing of block attributes as shown in the dialog box below.

Watch:

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Multiple-Choice attribute editor Setup
CmdLine : CP_EASYATT

The CP_EASYATT command makes entry or editing of attribute data easier by offering a pre-defined, configurable set of values for each attribute, selectable from a drop-down list.

There is also a setup command called CP_EASYATT_SETUP provided which allows the block names / attribute names / attribute values to be specified and optionally saved into ASCII INI files, which can be restored in a later session of AutoCAD.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Multiple-Choice attribute editor setup
CmdLine : CP_EASYATT_SETUP

The CP_EASYATT_SETUP allows the block names / attribute names / attribute values to be specified and optionally saved into ASCII INI files, which can be restored in a later session of AutoCAD.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Change block, layer/color based on attribute values
CmdLine : CP_EASYATTCLASS

The CP_EASYATTCLASS command changes the layer and/or color of the selected blocks based on the values of the attributes. The parameters required for this command, namely the values of attributes and the layer/color to be used, are set using the CP_EASYATT_SETUP command. The CP_EASYATT_SETUP command is now a common setup command for the CP_EASYATT command also.

For example, if you have an attribute called CONSTRUCTION_STAGE, and if the possible values are "InProgress", "Completed", "Demolished", you can change the blocks to go to their respective layers or have different colors depending on these values.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-related -> Extract Block attributes to file
CmdLine : CP_ATTEXT

The CP_ATTEXT command extracts selected attributes from blocks along with a number of other basic properties like insertion point, X, Y scale factors, rotation angle and handle.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Transfer CAD properties to Blocks Attributes
CmdLine : CP_PROP2ATT

The CP_PROP2ATT command allows object properties from blocks to be transferred as attribute data.

The following properties can be transferred:

Insertion point (DXF Code 10)
Block Name (DXF Code 2)
Handle (DXF Code 5)
Layer (DXF Code 8)
Rotation Angle (DXF Code 50)
Color (DXF Code 62)
Flag (DXF Code 70)
Elevation[Z] from DXF Code 10
X Scale Factor
Y Scale Factor

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-related -> Export Block Attribute Tags to ASCII file
CmdLine : CP_TAGEXT

The CP_TAGEXT command is used to extract block attribute tags and their properties into an ASCII text file.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-related -> Rename block attribute tags, prompts and defaults
CmdLine : CP_TAGREN

The CP_TAGREN command is used to rename block attribute tags, defaults and prompts. While renaming tag names, the command ensures that any repositioned attributes (moved manually from their default locations) will be retained at their existing locations.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Delete block attribute tags from block definition
CmdLine : CP_TAGDEL

The CP_TAGDEL command is an block definition management tool used to delete attribute tags from a block definition and update all inserted blocks with the new block definition.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Move Attribute
CmdLine : CP_ATTMOVE

The CP_ATTMOVE command moves a single picked attribute to a new location.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Rotate Attribute
CmdLine : CP_ATTROTATE

The CP_ATTROTATE command rotates a single picked attribute about its insertion point.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-related -> Move all attributes together
CmdLine : CP_ATTMOVEMULT

Description Pending

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-related -> Rotate all attributes together
CmdLine : CP_ATTROTATEMULT

Description Pending

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Make attribute readable
CmdLine : CP_ATTUPRIGHT

The CP_ATTUPRIGHT command rotates a single picked attribute about its insertion point, making it readable by rotating it by 180 degrees if its rotation angle is between 90 and 270 degrees.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Transfer attributes between blocks
CmdLine : CP_ATTXFER / CP_AX

The CP_ATTXFER command transfers attributes from one block to another. You can specify the source attribute tag name and the target attribute tag name to transfer or let CP_ATTXFER do an automatic transfer of all attributes of the same name between source block and target block.

The CP_ATTXFER command brings up the dialog box each time for setting the parameters. To go directly to the command, use the CP_AX command at the command prompt.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Transfer text strings to block attributes
CmdLine : CP_TXT2ATT

The CP_TXT2ATT command is used to transfer text strings as block attributes. Using this command, you can select a block name and specify the attributes you wish to transfer. Each attribute will then be populated with selected text strings.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> Re-order attributes in block
CmdLine : CP_ATTREORDER

CP_ATTREORDER command is used to reorder attributes in a block. This command offers functionality that is similar to the BATTMAN command of AutoCAD. CP_ATTREORDER command is significant as it makes the attribute re-ordering functionality available for BricsCAD users also. In addition, CP_ATTREORDER allows re-ordering of ATTDEF objects in a block DWG. This is something that is not possible with BATTMAN. BATTMAN requires that the block be first inserted in the current drawing and then the attributes re-ordered. CP_ATTREORDER allows re-ordering of attribute definition at the ATTDEF level also.

Please be aware that CP_ATTREORDER will only re-order the attributes in the block definition. This will come into effect only on future insertions of the block. If you want to update and synchronize the existing instances of blocks with the new attribute order, you must run the CP_REPBLK command and replace each block with the new definition. This does not affect any values assigned to attributes in each block.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> ATTOUT: Attribute Export
CmdLine : CP_ATTOUT

Description Pending

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Attribute-Related -> ATTIN: Attribute Import
CmdLine : CP_ATTIN

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Search and replace text/attributes
CmdLine : CP_ZOOMTXT (or CP_ZT)

CP_ZOOMTXT is a tool for text search and replace.

Search embedded text: Enables or disables checking of embedded parts of text or attribute strings.

Case sensitive: Enables or disables case sensitive text handling.

Search Block Attributes also: Enables or disables search block attribute text.

Replace searched TEXT: If enabled, the search text string is replaced with the replace text string

Interactive Replace (confirm each replace): If enabled, each replace operation will seek confirmation before proceeding.

Search for: Enter text string to search for.

Replace with: Enter text string to replace searched string.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Edit block graphics and attribute properties independently
CmdLine : CP_BLKEDIT

The CP_BLKEDIT command is a block editing tool which allows both block graphics and attributes to be edited independently. Depending on whether the graphics or attributes option is chosen, the block is edited accordingly.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Place Block - position attributes interactively
CmdLine : CP_DYNATTPLACE

The CP_DYNATTPLACE command is used for placing blocks with attributes and move the attribute positions interactively.

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> [Quick] Create an attributed block
CmdLine : CP_CREATEATTRIBUTEDBLOCK

Description Pending

Toolbar : Block Tools (CP)
Menu : CADPower -> Blocks -> Search blocks for text strings
CmdLine : CP_SRCHBLK4TXT

The CP_SRCHBLK4TXT command searches block definitions for embedded text strings and lists all blocks matching the given text string specifications. Text String to search: Enter the text string to search here. Wildcards are accepted.

Case sensitive: Checking this option causes the search to be case-sensitive.


Text Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Text Tools

Text Tools ››

Toolbar : Text Tools (CP)
Menu : CADPower-> Text-> Creation-> Draw Quick Text (running numbers)
CmdLine : CP_TC

The CP_TC command can be used to quickly create multiple text objects with sequential (running) numbers. It can also create multiple block insertions with sequential (running) attribute values. For instance, if you want to create a number of electric poles or water pipe junctions whose attributes have to be sequentially incremented, simply define your block with the necessary attributes and run CP_TC specifying the block name and attribute to use. Additionally, you can set prefixes and suffixes for both text and block objects.

This command can also be used to update existing text or block objects with the current settings.

Text Height
Defines the height of the text.

Rotation Angle
Defines the rotation angle of the text.

Block Scale Factor
Defines the scale factor of blocks as they are inserted.

Starting Numeric Value
Defines the starting value to use for the next text or block attribute

Starting Character Value
Defines the starting alphabet to use for the next text or block attribute

Format width
Defines the width of the numeric text. For example, if the starting value is specified as 1 and the Format width is specified as 3, the number will be written as 001 i.e each number will have at least three digits in them.

Value Increment
Type the integer amount by which each consecutive insertion should be incremented.

Layer
Displays the layer name selected.

Select
Pops up the Select Layer dialog box for selecting the layer to create the text.

Prefix
Enter the prefix that should be appended before each text string

Suffix
Enter the suffix that should be appended after each text string

Update underlying object, if present
This option will check if there is a text object within the specified search distance (see below) of a picked point and update it with the current text counter value. If there is no text object, a new object is created at that location.

Search distance for underlying object
Defines the amount (in drawing units) to search around the picked point for any existing counter object.

Text Counter object to create
Three types of sequential text objects can be created. 'Text', ' Blocks (with attributes)' or ' Update sequential, sorted text'.

If 'Block' is chosen as the counter object, you must also specify the attribute name to be used. Blocks that do not contain attributes will not be listed in the dialog box.

If 'Update existing, sorted text' is chosen as the option, you must select a set of existing text objects and they will be updated in sequence as per currnt settings, and the sorting order can be specified, eith as +X, -X, +Y or -Y directions.

Select block
Drop-down list to select the blocks defined in the current drawing document.

Select counter attribute
Drop-down list to select the attributes defined for the currently selected block.

Insert in existing series

Use this option to insert a new text in an existing series of text objects and automatically update the rest. For example, if you have a existing text series like A1, A2, A3, A4, A5 and so on, you can insert a new text object called A3 and the program will automatically renumber all existing text objects greater that the picked value. A3 becomes A4 and A4 becomes A5 and so on.

Delete from existing series

Use this option to delete a text from an existing series of text objects and automatically update the rest. For example, if you have a existing text series like A1, A2, A3, A4, A5 and so on, you can delete A3 and the program will automatically renumber all existing text objects greater that the picked value. A4 becomes A3 and A5 becomes A4 and so on.

Create Range Text

Choose this option to create an automated range of text objects in the specified pattern range. The text can be arranged in horizontal, vertical or aligned direction. The spacing between the text columns (for vertical alignment) or row (for horizontal alignment) can be specified. The start of the range is taken from the main settings, while the end value of the range must be specified in this sectionhere.

Watch:

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Creation -> Create a text along a curve
CmdLine : CP_CURVETEXT

This command allows you to write text strings along a curve

Text Offset from line: Text is placed at the specified offset from the curve

Text Spacing between each character: Enter the spacing required between each character of the string

Text Spacing between each word: Enter the spacing required between each word

Annotation text height: Enter the text height here

Annotation interval: Enter the spacing at which the text string should repeat itself

Picked Point: Choosing this option causes text to be placed from the picked point onwards

Automatic: Choosing this option causes text to be placed automatically at the specified annotation interval along the curve

Annotation Layer: Choose the layer in which you want the text to be placed

Watch:

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Creation -> Create text aligned to a curve
CmdLine : CP_EASYTEXT

The CP_EASYTEXT command helps to place text strings (labels) along a curve like polylines, arc, splines etc. This is not a curved text creator tool. Instead it just places text strings at an angle which is pre-set and aligned along the slope of the curve at the picked point on the curve.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Creation -> Create date/drawing stamp
CmdLine : CP_DATESTAMP

The CP_DATESTAMP command is used for inserting current system date and current drawing file name along with its file path.

What stamp to create?

Date Stamp: Selecting this option allows inserting current system date in the drawing.
Drawing Stamp: Selecting this option allows inserting current file name in the drawing.
Both: Selecting this option allows to insert both current system date and current file name. DateStamp Format: Allows selecting the format in which date will be inserted.

Show path in drawing name: Checking this box displays the complete file path

Automatically update existing date/drawing stamps: Checking this box updates both the date/file name stamp with the current values

Text Height: Enter the required text height for date or drawing stamp.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Creation -> Draw multiple text
CmdLine : CP_MT

This is a quick text creation command wherein the text height and rotation angle that you enter are taken as the defaults and the program inserts multiple text at user-defined points of insertion.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Editing -> Globally modify TEXT/MTEXTDone
CmdLine : CP_MODTXT

CP_MODTXT allows global editing of text and MText properties like Justification, Style, Height and rotation angles (both absolute and relative), increment / decrement text, set constant value etc. The required properties can be selected and applied to a multiple selection of text/MText objects.

Note: The Justification property is not applicable to MTEXT objects.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Editing -> Text filter
CmdLine : CP_TXTFILTER

This command allows a selection of Text and MText objects to be filtered based on their text string value. Two methods of filtering can be applied:

Text search
Fltering is done based on wildcard patterns matching the text string.

Numeric Search
The text is considered as a number and filtering is done by applying the values to operators like <, >, = or /=.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Editing -> Round Off numeric text
CmdLine : CP_TXTROUND

The CP_TXTROUND command is useful to round off numeric text to a specified precision. The text selected is assumed to be numeric and its floating point value is displayed with the specified precision.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Editing -> Enclose Text in Box
CmdLine : CP_ENCLOSE

CP_ENCLOSE is used to enclose selected TEXT and MTEXT objects with either a circle, box or a slot symbol. The box is created as a 3DFACE with its Z values just under the TEXT or MTEXT. So, this technique can be used to hide the objects under the TEXT or MTEXT when the drawing is plotted.

Toolbar : Text Tools (CP)
Menu : CADPower-> Text-> Editing-> Consolidate Text into MText
CmdLine : CP_CONS_TXT

The CP_CONS_TXT command allows to consolidate number of Text and Mtext objects in order to create a single Mtext object or into one concatenated text object.

Watch:

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Editing -> Consolidate Text into MText (quick version)
CmdLine : CP_CONS_QMTXT (or CP_TXT2MTXT)

The CP_TXT2MTXT command (also runs as CP_CONS_QMTXT command) is a quicker version of the existing CP_CONS_TXT command that more closely emulates the AutoCAD command by the same name. This command is available in the BricsCAD version only.

The CP_TXT2MTXT command allows user to pick multiple text objects and convert them all into one single MTEXT object with the insertion point being the most top left corner of the text in the selection.

This command is a variant of the CP_CONS_TXT command which allows user to pick multiple text objects in order and assemble them all into a single MText or concatenated single new text object.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Editing -> Split long text strings into individual strings
CmdLine : CP_SPLITTEXT

The CP_SPLITTEXT command is used to split a long line of text or Mtext string into a number of smaller text strings based on a delimiter. So, if you have a text string that looks like: "The,Quick,Brown,Fox,Jumps,Over,The,Lazy,Dog" and if the comma character "," is specified as the delimiter, this command will create individual text strings like "The" "Quick" "Brown" "Fox" "Jumps" "Over" "The" "Lazy" "Dog" at almost the same insertion point locations as where the original string was in the combined string.

Delimiter for string splitting: Enter the delimiter to be used for splitting text strings.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Editing -> Unclutter text objects
CmdLine : CP_UNCLUTTER

The CP_UNCLUTTER command is used to automatically move overlapping text objects around and unclutter the drawing.

The program uses a compute-intensive (slow execution) but result producing algorithm to actually do a trial-and-error by moving the overlapping text around in all or any of the four directions, namely Up, Down, Left and Right or in two-direction combinations like Left-Right and Up-Down. By doing so, when it detects a clear space it place the text there.

Label movement direction:

In this section, you specify the direction in which the program must scan to look for available free space to place the labels.

All: Check this option to scan for label space in all four directions around the pick points. The four directions are Up, Down, Left and Right.
Left: Check this option to scan for label space only to the left of the picked point.
Right: Check this option to scan for label space only to the right of the picked point.
Up: Check this option to scan for label space only in the direction above the picked point.
Down: Check this option to scan for label space only in the direction below the picked point.

As the names suggest, selecting the directions UpDown, LeftRight, Rotate Clockwise, Rotate Counter-Clockwise, Rotate Both will scan the drawing in two directions together.

Other parameters

Movement increment: Specify how much distance to move in the specified direction during each new check for free label space.
Display leaders: Checking this box causes the annotation to be displayed with leaders.

Watch:

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Editing -> Slide [move] text relative to its rotation angle
CmdLine : CP_TXTSLIDE

The CP_TXTSLIDE command slides or moves text in a direction which is specified relative to the rotation angle of the text. This command can be used in various imaginative ways and to achieve several editing requirements. For instances, this command can be used to increase or decrease the spacing between text labels and adjoining features by moving them in a specified direction. Since the direction of movement is specified as an angle relative to the rotation angle of the text, this can be used to move the text in a 360 degrees direction by any amount specified in the slide distance. For instance, to move the text in a direction vertically above, enter the slide direction as 90 degs.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Editing -> Write text to FILE
CmdLine : CP_TXT2FILE

The CP_TXT2FILE command writes selected TEXT and MTEXT objects into an ASCII TEXT file.

File: Specify the output file-name here.

Sort Order / Type: Specify the text sort order in output text file.

Numeric: Sorts text strings after converting them into their numeric values.
Character: Sort text strings as characters.
Unsorted: Does not sort text strings.

Write unique text strings only: Checking this option causes only unique text strings to be written in the text file.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Editing -> Global multiple text editor
CmdLine : CP_TXTEDIT

CP_TXTEDIT is used for copying Multiple text selected from the drawing to Notepad text editor, where in we can make changes in the required text easily. And after making changes when you save and close the notepad editor the same change are updated in the drawing.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Conversion -> Convert text strings to attribute definitions
CmdLine : CP_TXT2ATTDEF

This command is used to convert text objects into attribute definitions. One of the places where this command can be useful in when you want to have text objects in mirrored blocks. AutoCAD / BricsCAD mirrors all text objects within blocks making them unreadable irrespective of the MIRRTEXT system variable setting. A solution to this is to create constant attribute definitions instead of text objects. Such ATTDEF objects within blocks respond to MIRRTEXT settings and you can prevent mirroring of text in blocks.

Toolbar : Text Tools (CP)
Menu :CADPower -> Text -> Conversion -> Convert attribute definitions to text strings
CmdLine : CP_ATTDEF2TXT

This command converts attribute definitions to text objects.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Conversion -> Change Case
CmdLine : CP_CHCASE

The CP_CHCASE command allows changing the case (Capitalization) of Text, MText and block attributes. Text strings can be converted to upper, lower or mixed case with an additional option of using a text translation dictionary.

What to process: Text / MText: Choosing this option processes the text and mtext objects only. Attributes: Choosing this option processes only the attributes of as block Select Text case: Upper:Changes all selected text / attributes to upper case Lower:Changes all selected text / attributes to lower case Mixed (Title) case:Changes all selected text / attributes to mixed case. Mixed case capitalizes the first alphabet of each word. For example, the string "THE NATIONAL GEOGRAPHIC CENTER" would become "The National Geographic Center". Options: Use translation dictionary:Using a translation dictionary, you can replace text strings completely with alternative text. Think of this as a global and variable text search and replace. Text is replaced "as-is" without applying any case conversion logic. The translation dictionary is a simple delimited text in which the first field contains the <text/string to search> and the second field contains the <text/string to replace>.

Example:
LTA,Land Transport Authority
USA,USA
MCDONALDS,McDonalds

This would convert all strings "LTA" to "Land Transport Authority", "USA" will remain as "USA" and "MCDONALDS" would become "McDonalds". Delimiter to use:Specify the delimiter to use in the translation text file. Dictionary file: Specify the name of the dictionary file Block parameters: Name: Pick and choose the block name. Attribute: Pick and choose the attribute tag name for the selected block.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Display -> Align Text objects
CmdLine : CP_ALIGNTEXT

The CP_ALIGNTEXT command aligns selected TEXT objects either to a horizontal, vertical or inclined reference line. You must specify the alignment by picking a single reference point (for horizontal / vertical alignment) or two points (for inclined alignment)

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Display -> Align Text objects to a line
CmdLine : CP_ALIGNTEXT2LINE

The CP_ALIGNTEXT2LINE command aligns selected TEXT objects to an LINE and PLINE object. This is a quick means to align text so that their rotation angle is the same as that of the selected reference line object.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Display -> Adjust spacing of text objects
CmdLine : CP_TXTSPACING

The CP_TXTSPACING command can be used to adjust vertical or horizontal spacing between text objects. You can specify an exact spacing to be maintained between the text or opt for an equal spacing to be computed between the bottom-most and top-most text in the selection.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Display -> Exchange one text with another
CmdLine : CP_TXTCHANGE

The CP_TXTCHANGE command is used to exchange one text object with another. There are two options available. In the 'ObjectFlip' option, one text is physically moved to the location of the other. In the 'ContentFlip' option, only the text strings are exchanged. All other properties remain the same.

Watch:

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Display -> CP_TXTCHANGE settings
CmdLine : CP_TXTCHANGESETTINGS

The CP_TXTCHANGESETTINGS command is used to control the operating parameters of the CP_TXTCHANGE command. There are two options available. In the 'ObjectFlip' option, one text is physically moved to the location of the other. In the 'ContentFlip' option, only the text strings are exchanged. All other properties remain the same.

Watch:

Toolbar : Text Tools (CP) (BricsCAD only)
Menu : CADPower -> Text -> Display -> Text Orient: Make Text, Mtext readable
CmdLine : CP_TORIENT

The CP_TORIENT command is written specially for BricsCAD users to make a multiple selection of text, mtext and block attributes upright (readable). It will flip over (rotate by 180 degrees) any text that is rotated between 90 and 180 degrees, thus making such text readable.

Toolbar : Text Tools (CP) (BricsCAD only)
Menu : CADPower -> Text -> Display -> Underline Text
CmdLine : CP_UND_LINE

The CP_UND_LINE command is a quick way to add or remove underlining from selected TEXT.

Toolbar : Text Tools (CP) (BricsCAD only)
Menu : CADPower -> Text -> Display -> Text Mask
CmdLine : CP_TEXTMASK

The new CP_TEXTMASK command in BricsCAD emulates the TEXTMASK command in AutoCAD. The CP_TEXTMASK command uses WIPEOUT objects underneath to mask the text. These are created with frames set to OFF. The only difference between the AutoCAD implementation and the BricsCAD implementation is that, in BricsCAD, the WIPEOUT does not automatically move or update with the text if text is updated. This command is available in the BricsCAD version of CADPower only.

Toolbar : Text Tools (CP) (BricsCAD only)
Menu : CADPower -> Text -> Display -> Count occurence of text objects
CmdLine : CP_TCOUNT

The CP_TCOUNT command is a simple text string counter. It sums up number of occurences of unique TEXT & MTEXT strings selected and displays them in a table. It is also possible to export the same to CSV file. TCOUNT is a FREEWARE command and will not expire in CADPower. This command is provided to make it easy for AutoCAD users who are used to a similar command from Express Tools.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> Display -> Apply arithmetic/statistical operations on text objects
CmdLine : CP_TXTEVAL

The CP_TXTEVAL command allows you to select text objects representing numbers and apply a number of arithmetic or statistical operations on them - like arithmetic/geometric/harmonic mean, median, mode, highest, lowest, summation, standard deviation etc. The result is reported on the screen as well as created as a text object. This command can work on values taken off block attributes as well.

Toolbar : Text Tools (CP)
Menu : CADPower -> Text -> List drawing fonts
CmdLine : CP_DWGFONTS

The CP_DWGFONTS command is used to write all the font file names used by the text in the current drawing to a text file. This information can be used to make a list of dependent font files of a drawing. (Useful when shipping the DWG to a third party).


Extended Entity Data

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Extended Entity Tools

Extended Entity Data ››

Toolbar : Extended Entity Tools (CP)
Menu : CADPower -> Extended Entity Data -> Remove Xdata
CmdLine : CP_REM_XD

The CP_REM_XD command removes extended entity data belonging to specified applications from selected objects.

Watch:

Toolbar : Extended Entity Tools (CP)
Menu : CADPower -> Extended Entity Data -> Rename XDATA application name attached to entities

CmdLine : CP_XD_RENAMEAPP

The CP_XD_RENAMEAPP command is used to change the application name in XDATA that is already attached to entities. Use this tool as a means to transfer extended entity data from one application to another.

Watch:

Toolbar : Extended Entity Tools (CP)

Menu : CADPower -> Extended Entity Data -> Search & replace extended entity data
CmdLine : CP_XD_SEARCH

The CP_XD_SEARCH command does a search (and optional replace) of extended entity data. You can search xdata fields by code as well as by position in the xdata structure. The search type will automatically be numeric or text based on the field type being searched. When there are multiple occurrences of the same code within the xdata structure, you can specify which occurrence to be subjected to the search / replace.

Toolbar : Extended Entity Tools (CP)
Menu : CADPower -> Extended Entity Data -> Display extended entity data from picked object
CmdLine : CP_SHOWXD

The CP_SHOWXD command displays on the command line extended entity data from a single selected object for specified application names (see dialog box).

Successive calls to this command can also be made with the shortened command version, CP_XD which will display the extended entity data without displaying the dialog box to specify the xdata application to be used. Use the full command CP_SHOWXD only if you wish to change the application names to be displayed.

Toolbar : Extended Entity Tools (CP)
Menu : CADPower -> Extended Entity Data -> Extract extended entity data to ASCII file
CmdLine : CP_XD_EXTRACT

The CP_XD_EXTRACT command is used to extract extended entity data into ASCII text files. The ASCII format of the exported data is generic and designed in such a way that any third-party program can be written to read the information from this file without difficulty.

Toolbar : Extended Entity Tools (CP)
Menu : CADPower -> Extended Entity Data -> Create text labels from object data / extended entity data

CmdLine : CP_OD_XD_LABEL

The CP_OD_XD_LABEL command creates text labels from object data or xdata. The labels can be created using multiple fields with specified prefixes, suffixes etc.

In the case of extended entity data, the fields are specified based on their DXF codes applicable to xdata. The following DXF codes are allowed for labeling: 1000 (string), 1001 (string), 1040 (real) and 1070 (integer). The same xdata code can be chosen multiple times in any order. However, this order must be as per the order of xdata fields in the objects being processed.

Toolbar : Extended Entity Tools (CP)
Menu : CADPower -> Extended Entity Data -> Checks for No Xdata / Object data

CmdLine : CP_NODATA

The CP_NODATA command is used to identify objects in the drawing that do not contain any object data or extended entity data belonging to selected object tables or application names respectively. This is useful in QA/QC procedures.

Toolbar : Extended Entity Tools (CP)
Menu : CADPower -> Extended Entity Data -> Edit XDATA in a dialog box

CmdLine : CP_EASYEED


BOM-BOQ Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


BOM-BOQ Tools

BOM-BOQ Tools ››

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM/BOQ Tools -> Create Bill of Materials/Quantities

CmdLine : CP_BOM (or CP_BOQ)

The CP_BOM tool is a Bill of Materials / Quantity take-off tool that also doubles up as an attribute extraction and CSV data import/export tool.

The CP_BOM tool support variious formats of quantity computation, like computing the quantity and cost based on the number of blocks (identified by names). You can also produce reports based on attribute values. You can produce quantities based on the number of times a particular attribute value occurs. You can compute and create a report of blocks based on the scale factors (area and volume calcculations).

The main BOM/BOQ computation starts with blocks as the primary input data. Blocks may or may not have attributes. It depends on the type of ouput required. All workflows and their parameters are defined in the main dialog and can be saved in INI files for easy restore. The format of the INI files is descibed below. Output from the CP_BOM tool is a table of text objects or a CAD Table entity and optionally exported into a CSV (or other delimited) file. The ASCII output format is easily imported into popular spread-sheets like Excel, Open Office etc.

The opertating parameters of the CP_BOM-Q command are stored in a paremeter INI file, which is a simple ASCII file. This file has several sections and they are described below under each relevant section

BOM Type:

Attribute extract: Single block name, multiple attributes extraction, tabulation, Excel CSV export/import (round-tripping possible)

This is an attribute extraction tool. Using this option, you select a single block name, extract its attributes to a CSV file, create a table of text in CAD and optionally, you can import the same table back from Excel after adding / deleting new data. During export of data into CSV, the handles of the blocks are exported as well. This enables the data to be updated into the attributes after import. Using this tool, you can export all attribute data to CSV, edit it in Excel and bring back the updated attribute data into CAD. A complete round-tripping of attribute data with dynamic update is possible.

[ATTRIBUTE_TAGS]
SHOP_NAME=Shop Description
AREA=Area (sq.m)
SHOP_NUMBER=Address
FLOOR=Floor Number
RENTAL_STATUS=Lease Status
[ATTRIBUTE_TAGS_END]

The attributes to be extracted must be specified in the INI file under the [ATTRIBUTE_TAGS] section as shown above. The values contained are the tag name and the attribute description (separated by =) as must appear in the table and CSV. If your block has many attributes, you do not need to create this section manually. You can select the attributed block from the pull-down and then select the Add ALL attributs to INI check-box.

Attribute extract (per polygon): sam as the Attribute Extract option above but multiple BOQ tables are created based on selected polygon boundaries.

This is an attribute extraction tool on a per-polygon basis. You select multiple closed polylines and it will generate the table of attribute quantities within each closed polyline.

The rest of the options and workflow in this option is similr to the Attribute Extract option above.

You can use the CP_PARTASSIGN command to assign an name or ID to each one of the closed polyline. If such an ID is defined, it will be printed in the header of the table. This option can be used to generate an attribute quantitry table for a number of named polygons. For example, if you want to quantify the attribute values and count on a per-room basis, this option can be useful.

Multiple Named Blocks: Quantity and cost estimation of blocks by name. Creates table in CAD, exports CSV data. Accepts anonymous blocks also in the selection.

Using this option, multiple block names can be selected for processing and a table of block count can be generated. If there is a cost and time value associated with each block, it can be specified in the INI file and cost / time computation also be displayed in the table as well as the CSV file.

[BLOCK_NAMES]
BALOON_BLOCK=Standard baloon,50.0,2.5
BP-PLATE=Base Plate-generic,45.00,5.0
BP-SB=Base Plate Square,200.00,12.5
BP-SB1=Base platge Square Special,100.00,2.3
BP-SBAL=Base Plate Aluminium,24.00,8.5
BP-SBDC=Base Plate DC,80.00,12.8
BP-SBDO=Base Plate DO,130.00,45.8
CAPA3=Capcity Plate,45.00,1.5
CHICAGO-CYL=Chicago Cylinder,100.00,5.6
CHICAGO-CYL-FS04=Chicago Cylinder Special,200.00,4.5
CHICAGO-CYL-FS04_KEYSW=Chicago Cylinder FS,230.00,6.5
CUSTOM_AFF=AFF Block,150.00,7.8
Piston=Drive Piston,500.0,15.0
Crank Shaft=Sumi Drive Crank Shaft,100.0,8.0
Casing=Toshiba MC500 Casing,126.0,95.0
Bolts=25 mm bolts,30.0,15.0
[BLOCK_NAMES_END]

In the above example, the syntax is as follows:

<block_name>=<description>,<cost>,<time>

The multiple block names are specified in the INI files under the [BLOCK_NAMES] as shown above. If your drawing has many blocks, you do not need to create this section manually. You can select the blocks in the main dialog box and select the Add selected blocks to INI check-box.

The entries in the [BLOCK_NAMES] section need not be defined-in-the-drawing or physically inserted blocks. You can even include entries here which are components of a composite block (see below - info about composite assembly blocks).

Composite Assembly blocks: It is also possible to have advanced quantty computation based on assemblies of block. For example, if you have a block called ENGINE, which is made up of a number of component parts, which you would also like to include in the quantity, cost and time computation, you can specify the ENGINE as a composite block. In this case, you will need to specify the components of the ENGINE block.

An example of how the [COMPOSITE_BLOCK_NAMES] section would lool like is shown below:

[COMPOSITE_BLOCK_NAMES]
A=[A1=5],[A2=10],[A3=20]
B=[Screws=15],[Bolts=18],[Nuts=13],[Nails=14]
ENGINE=[Piston=4],[Crank Shaft=2],[Casing=1],[Bolts=28]
[COMPOSITE_BLOCK_NAMES_END]

This means that the ENGINE block assembly is made up of Piston (4 numbers), Crank Shaft (2 numbers), Casing (1 number) and Bolts (28 numbers).

Each one of these components is defined in the [BLOCK_NAMES] section above. You can see that the last 4 items represent the component of the composite block.

When the CP_BOQ tool sees an ENGINE block, it is recognized as a composite block and the quantities within them will be taken and computed. Please note that the composite blocks within the ENGINE block need only be described in the INI file and need not be physically defined or inserted in the drawing.

Multiple Named Blocks (per polygon): same as the Multiple Named Blocks option above but multiple BOQ tables are created based on selected polygon boundaries. Entities inside each selected polygon are grouped into one table each.

This is an block name counter tool based on a per-polygon basis. You select multiple closed polylines and it will generate the table of block count quantity within each closed polyline.

The rest of the options and workflow in this option is similar to the Multiple Named Block option above.

Attribute extract (multiple blks) : Multiple block names with common attributes extraction, tabulation, Excel CSV export/import (round-tripping possible)

This option is similar to the Attribute Extract, but supports multiple block names sharing the same attribute names. Everything else is similar to the Attribute Extract option.

Count block scale factors : This work-flow is based on the X & Y scale factors of a template 1 X 1 unit block. For example, if you want to cover a flat area with panels, tiles or patterns that are defined as scaled blocks, you can use the CP_TILEPLACE command to do so and then use this BOQ option to make a summary of the scale factors and dimensions.

Descriptions and costs for each size of block are to be defined and stored in INI files. The program computes the number of each size of scaled block and also computes the area of each pattern and the total area.

The scale factors of various blocks, their descriptions and cost are defined in INI file in the section named as under:

[SCALEFACTOR_DEF]
TILE_ATT,1x1,Unit Size-Demo,100.0
TILE_ATT,300 x 800,Full-Sized,1700.0
TILE_ATT,400 x 800,Full-Sized,1800.0
TILE_ATT,300 x 700,Custom-Large,1800.0
TILE_ATT,300 x 50,Custom-Tiny,700.0
TILE_ATT,300 x 150,Custom-Small,600.0
TILE_ATT,300 x 300,Custom-SmallX1,650.0
TILE_ATT,300 x 300,Custom-SmallX2,700.0
TILE_ATT,300 x 450,Custom-SmallX3,600.0
TILE_ATT,300 x 200,Custom-SmallX5,550.0
TILE_ATT,300 x 250,Custom-SmallX6,750.0
TILE_ATT,300 x 550,Custom-MediumX4,1200.0
TILE_ATT,300 x 650,Custom-LargeX2,1850.0
TILE_ATT,300 x 500,Custom-MediumX2,1400.0
TILE_ATT,300 x 750,Custom-LargeX2,1800.0
TILE_ATT,300 x 400,Custom-MediumX3,1200.0
TILE_ATT,300 x 600,Custom-MediumX4,1300.0
[SCALEFACTOR_DEF_END]

In the example above, TILE_ATT is the name of the block, followed by its size, Description and Cost. Note carefully that all parameters are separated by a comma.

Another section of the INI file is the [SCALEFACTOR_RECORD] which defines the order of entries in the table as well as the CSV export. The key item names are shown as #Desc, #BlockName, #UnitCost, #TotalCost, #Size, #Quantity, #UnitArea and #TotalArea which must be specifed exactly as shown but in any order or combination as desired.

[SCALEFACTOR_RECORD]
RECORD_STRUCTURE=#Desc,#BlockName,#UnitCost,#TotalCost,#Size,#Quantity,#UnitArea,#TotalArea
LENGTH_UNIT_FACTOR=1.0
LENGTH_UNIT=mm
AREA_UNIT=sq.m
COST_UNIT=INR
[SCALEFACTOR_RECORD_END]

There are additional parameters like LENGTH_UNIT_FACTOR which you can specify to report the output in a unit that is different from the drawing unit. For example, the drawing unit may be mm and the panels may be sized and scaled in mm but the final area calculations need to be in sq.m or sq.ft. To handle such situations, this parameter helps.

Defining additional material resources

There is another section in the INI file that can be defined and it is called [RESOURCE&MATERIALS_DEFINITION]. This is a section where you can define cost/unit length, weight/unit length and time/unit length, and the same can be applied to linear objects quantity, time and cost calculation. Please be aware that this section strictly defines these parameters on a per unit length basis and not per block. If you want cost and time per block, it must be defined in the [BLOCK_NAMES] section anto not here.

[RESOURCE&MATERIALS_DEFINITION]
Cement=0.1,5.0,3.0
Glue=0.05,2.0,0.0
[RESOURCE&MATERIALS_DEFINITION_END]

For example, the above section defines the additional material resources that are added to linear objects in linear quantities computation. Example: Cement and Glue that is used to place a tile is defined here. The syntax is:

<Material_Name>=<Cost/unit length>,<Weight/unit length>,<time/unit length>

The above section is used in the computation of quantities using the CP_TILEPLACE or the CP_LINEQTY commands of the BOM-Q tools.

Count Attribute Values : Allows a bill of quantities to be generated based on the number of times a specific attribute value occurs. Attribute values can be linked to a description and cost which are specified in the INI file.

[ATTRIBUTE_VALUES_AND_COST]
W1=Window Type 1, 100.0
W2=Window Type 2, 125.0
V1=Ventilator Type 1,75.0
W4=Window Type 4, 50.0
FW1=Front Window Type 1, 120.0
W3=Window Type 3, 300.0
W10=Window Type 10, 3000.0
[ATTRIBUTE_VALUES_AND_COST_END]

The ATTRIBUTE_VALUES_AND_COST of the INI file contains all the info that is necessary to define the various attribute values and their cost. In the example shown above, you can see vraious window and ventilator types along with their cost information.

IndexedBOM: method allows to aggregate, count and report drawing data which are labeled using balloon blocks. A balloon block is a symbol (block with an attribute) created to represent a single part or cluster assembly in the drawing (the references are named A, B, C.... 1, 2, 3.... and so on). For each of these indexes, a description can be specified in the INI file and data can be presented in tabular form.

An example of data in the INI file is shown below

[INDEX_OF_ENTRIES]
1=Description of first entry
2=Description of second entry
A=Description of another entry
[INDEX_OF_ENTRIES_END]

For Indexed BOM, you need to have a block called BALOON_BLOCK which has an index attribute. The name of the index attribute is specified in the Select index attribute pull-down menu. A sample of such a block named BALOON_BLOCK is shipped along with CADPower and is found in the SUPPORT/BOM under the installation folder. The index attribute is called INDEX.

PartNames Count: This method will link directly to the CP_PARTCOUNT command of CADPower. This is work in progress and yet to be implemented.

Import Table Only: This method allows to simply import a CSV file from the disk and create a CAD tavle out of it. It does not create any BOM-Q.

Dynamic Blocks: A new option called 'Dynamic Blocks' has been added. Selecting this option allows you to select dynamic blocks which can be tabulated and counted as per their 'Visibility' states.

General parameters in INI file

[GENERAL_PARAMETERS]
EXPORT_FILE=F:\BricsCAD_Collaterals\BricsCAD_Demo_DWGs\2d_drawings_for_BOM\Space_Planning.csv
IMPORT_FILE=F:\Bricscad_Collaterals\BricsCAD_Demo_DWGs\2d_drawings_for_BOM\Space_Planning.csv
SCALE_FACTOR_FOR_TABLE=400.000000
BOM_TYPE=ScaleFactor
COLUMN_SPACING=1300.000000
TITLE_TEXT_HEIGHT=100.000000
DATA_TEXT_HEIGHT=50.000000
BLOCK_NAME=POLE
CREATE_TEXT_TABLE=Yes
EXPORT=Yes
IMPORT=No
BLOCK_NAMES_MULTIPLE=TILE_ATT2
INSERTION_POINT_OF_TABLE=2094464.272974,787664.229658,0.000000
KEY_ATTRIBUTE1=
KEY_ATTRIBUTE2=
INDEX_ATTRIBUTE=
DELIMITER_BETWEEN_TOKENS=,
[GENERAL_PARAMETERS_END]

The information contained under the [GENERAL_PARAMETERS] section above is where the general operating parameters of the CP_BOM command is stored, as described above.

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Place Tiles / XY Panels

CmdLine : CP_TILEPLACE

This is a space planning / filling tool. The CP_TILEPLACE command fills a closed polygon with a block which will be inserted to a specified scale of 'Length' X 'Breadth'. Useful for architects, engineers and anyone who wants to place rectangular panels or tiles which are cut to standard & custom sizes.

There are other options to place the rectangular block as well. You can just pick two corners by free-hand pick and let the command place automatically sized blocks which can also be rounded off to the specified value as entered in this dialog box.

Lastly, there is also the option to exactly enter the 'Length' and 'Breadth' value you required and you can place an exactly sized block at the desired location.

CP_TILEPLACE command requires a unit-sized ( 1 x 1 ) block to be defined with optional attributes for size and description. There can be any number of CAD entities within the 1x1 sized block. You are then asked to select a closed polygon (polyline, spline, ellipse or circle), and specify a 'standard' size for your panel, which will be placed and fitted in rows and columns across the area. These blocks will be scaled with the specified X and Y scales representing Breadth and Length respectively. When there is not enough space at the ends, near the polygon boundary, a smaller filler block will be used. The filler block has the same Breadth as the standard block. The length will be adjusted as per available space. It is possible to specify a rounding off dimension as well as gap distances along the panels and across the panels. There is also an option to fill the polygon with an image.

It is also possible to attach an image (JPG etc.) within the block. The image should be ideally square in size and represent a material pattern or poster or such feature. Selecting an image which is not a square will result in the image being scaled in X and Y dimensions. Using the image fill option, it is possible to closely match the SUPERHATCH functionality that is available in the Express Tools. To add an image in your panel, please check the option called Attach an image.

The CP_TILEPLACE command now automatically detects and processes island polygons within the main one. And the panels are placed accordingly.

The CP_TILEPLACE command works closely with the CP_BOM command. The parameters for this command are defined in the INI file which is used by the CP_BOM command. This command creates scaled tile blocks which are used by the 'Count block scale factors' workflow of the CP_BOM command.

The CP_TILEPLACE command finds great use with fabrication engineers, construction form-work designers and similar kinds of processes.

After the initial block has been placed, you can also use the CP_SCLEDIT command to interactively edit and change the X and Y scale factors of the block interactively and dynamically.

Other settings:

Attach an image: Checking this option allows to attach an image in your tile block. The image will be scaled and applied across the area that needs to be covered.
It must be a raster image and ideally should be square in size, to minimize distortions and unexpected scaling.

Horizontal (length) tile dimension: This is the standard length of the tile in X direction. When the unit block is placed with a rotation of 0.0, the X scale factor is considered as the horizontal or length dimension.

Vertical (height) tile dimension: This is the standard length of the tile in Y direction. When the unit block is placed with a rotation of 0.0, the Y scale factor is considered as the vertical or height dimension.

Round off tile dimension: Any standard tile at the ends which don't fit is rounded off in the X direction to the value specified here. If you have 300X800 as the standrad size and 50 as the round-off dimension, the edge pieces are created as 300x750, 300x700 and so on.

Gap between tiles (running length): This is the gap that must be left between the two tiles in the direction in which it is placed.

Gap between tiles (across rows): This is the gap between two tiles between adjacent rows.

Joint offset distance (across rows): This is the offset distance between the tile gaps in adjacent rows. By default, this is set as 0 which means there is no overlap between the joints in adjacent rows. It is often required to have the joints staggered in between in the middle between each row. In such a case, the joint offset must be entered as as half of the length dimension.

General tips: A little bit of trial and error is necessary to understand how the program places the rows and columns of panel blocks. Once you understand the functioning of this tool, it is quite a powerful tool in being able to perform a lot of your presentation and quantity computation tasks.

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Offset Tiles / XY sized panels

CmdLine : CP_TILEOFFSET

The CP_TILEOFFSET command is used to offset a single tile or an entire row of tiles along the direction of their placement. The panels can be placed placed manually or using the CP_TILEPLACE command. Selecting one single panel gives the user the option to automatically scan and select the entire row of panels at once. The direction of the row which will be offset is identified by the rubber-band drag line which connects the middle of one of the segments of the tile and the other end as indicated by the setting of the ORTHO mode.

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM/BOQ Tools -> Create Bill of Materials/Quantities

CmdLine : CP_TILECOUNT

The CP_TILECOUNT command runs the CP_BOM tool and is provided for convenience and visibility. The CP_BOM tool supports a workflow that counts the block scale factors. All block scale factors that are likely to be used in the drawing must be defined in the INI file.

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Edit Tiles / XY panels

CmdLine : CP_TILEEDIT

The CP_TILEEDIT command is an interative editor for X & Y scale factors of panel blocks. If you have a row of XY panel blocks and want to edit the X or Y scale factor of all blocks together, you can use this command. This tool is useful to trim the blocks at the boundaries of the area where you are placing the panels.

Using CP_TILEEDIT, you first edit one block and specify the desired X and Y scale factors. You can also set the anchor point around which the scaling must happen. Based on this, you select all the other blocks in the row (or column) and the command automatically applies the same editing operation on all the blocks.

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> Blocks -> Block-related -> Interactive XY Scale Editor

CmdLine : CP_SCLEDIT

Description Pending

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Draw Developed Walls from plan footprint

CmdLine : CP_BUILDWALLS

The CP_BUILDWALLS command is used to draw a developed elevation view of a set of connected walls from its plan footprint. The walls are all represented as closed rectangular polylines and numbered sequentially from 1, and placed in an appropriate layer determined by the floor number.

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Set Height & Length of wall segments

CmdLine : CP_SEGLENHGTSET

The CP_SEGLENHGTSET command is used to set the heights of individual walls in a room. The room footprint is represented by a closed polyline and each wall is a segment of the polyline.

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Place Openings

CmdLine : CP_PLACEFIXTURES

CADPower defines two blocks for openings: SP_OPENINGS_ELEV and SP_OPENINGS_PLAN. This is a simple rectangular block that has the following attributes: SILL_HEIGHT, WIDTH, HEIGHT, DEPTH (for recesses) & TYPE.

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Compute Wall/Openings areas

CmdLine : CP_COMPUTEWALLAREAS

The CP_COMPUTEWALLAREAS command takes wall elevations and the window/door/openings and computes a schedule of fixtures, their areas as well as the net area of walls.

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Compute linear quantities

CmdLine : CP_LINEQTY

The CP_LINEQTY command creates a summary of linear quantites by computing length of selected objects and using wieght/unit lengh and cost/unit length as primary input parameters. All data required is attached as DATA to the linear entities. The XDATA is attached to the entities using the CP_DATAMAN command and its structure defined in an INI file.

The INI file must have a minimum of 3 fields. 'Name', 'Cost per Unit length' & 'Weight per unit length' in exactly the same order. A fourth suggested field is 'Supplier' or similar but is not mandatory. Additionally custom XDATA fields can be added but it ignored by the CP_LINEQTY command. The output of CP_LINEQTY is the cost, weight and length calculations in table form based on 'Name' (the first field) and optionally 'Supplier' (the fourth field).

A sample structure of the INI file for computing length and weight/cost of reinforcement bars looks like this. Explanation about the syntax is provided after each section.

[*RECORD] Name=LINE_INFO
Type=XDATA
FIELD=Name,String,Linear Part
FIELD=Weight per unit length,Real,1000.0
FIELD=Cost per unit length,Real,500.0
FIELD=Supplier,String,Linear Part Manufacturer
[*RECORD_END]

>> The name of the record is LINE_INFO, It can be used to describe your linear element, which can be a rebar, pipe, cable, duct or casing etc.
>> The Type field is XDATA. Leave it as it is. It means that data is attached to entities as XDATA
>> The first 3 fields of the INI file are mandatory. The first field (in this example, 'Name') is used to identify the linear element and can have any name.
>> The second field 'Weight per unit length' must be as it is and defines the weight per unit drawing length
>> The third field 'Cost per unit length' must be as it is and defines the weight per unit drawing length
>> The fourth parameter is optional and, if present, will be used to compute a table of quantities based on this parameter.
>> The fifth parameter is also optional and, if present, will be used to compute a table of quantities based on this parameter.

[*FIELD_VALUES]
Name=Name
Values=Type 1
Values=Type 2
Values=Type 3
[*FIELD_VALUES_END]

>> These are the different pre-defined values of the first parameter (in this case, it is called 'Name')

[*FIELD_VALUES]
Name=Weight per unit length
Values=100.0
Values=200.0
Values=300.0
[*FIELD_VALUES_END]

>> These are the different pre-defined values of the second parameter (called 'Weight per unit length)

[*FIELD_VALUES]
Name=Cost per unit length
Values=1000.0
Values=2000.0
Values=3000.0
[*FIELD_VALUES_END]

>> These are the different pre-defined values of the third parameter (called 'Cost per unit length)

[*FIELD_VALUES]
Name=Supplier
Values=Company 1
Values=Company 2
Values=Company 3
[*FIELD_VALUES_END]

>> These are the different pre-defined values of the fourth (optional) parameter (called 'Supplier')

[*SIZE_VALUES]
Name=Size
Values=Size 1
Values=Size 2
Values=Size 3
[*SIZE_VALUES_END]

>> These are the different pre-defined values of the fifth (optional) parameter (called 'Size') You need to first attach data to linear entities like CIRCLE, LINE, ARC, POLYLINE, LWPOLYLINE or SPLINE objects. This is done using the CP_DATAMAN command using the same INI file as above.

Once the data is attached, you can derive the linear quantities using the CP_LINEQTY command.

A sample INI file to define the above data structure in included in the installation. It is available in the SUPPORT folder under CADPower installation.

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM/BOQ Tools -> Estimate reinforment quantities

CmdLine : CP_BARMAN

Description Pending

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM/BOQ Tools -> ERP Export Tools -> Convert text table to Excel CSV data

CmdLine : CP_CONVERT2EXCEL

Description Pending

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Parts Management -> Assign part names

CmdLine : CP_PARTASSIGN

The CP_PARTASSIGN command assigns a part name to selected objects. This is a simple data assignment tool that attaches a string (we call it Part Name) to one or more objects. When you have a drawing with multiple objects tagged with part names, it is used to create part labels, count them and present in a simple table of part names versus number of times it occurs. This forms the basis of a simple quantity
table.

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Parts Management -> Un- Assign part names

CmdLine : CP_PARTUNASSIGN

The CP_PARTUNASSIGN command removes part names attached to objects by the CP_PARTASSIGN command.

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Parts Management -> Label part names

CmdLine : CP_PARTLABEL

The CP_PARTLABEL command creates a text label that represent the part name attached to selected objects. It is created at the centroidal location of the object with a user-defined text height.

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Parts Management -> Count part names

CmdLine : CP_PARTCOUNT

The CP_PARTCOUNT command summarizes the occurences of part names attached to selected objects and writes them down in a simple 2-column table. The same is exported to a CSV file to further action in Excel.

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM/BOQ Tools -> Panels, Layout & Sizing -> Cut a rectangular sheet with gap allowance

CmdLine : CP_SHEETCUTTER

Recently, we met a few CAD users whose job is to lay polymer sheet cuts and create lining for the insides of hoppers and silos. These kinds of companies start with a rectangular standard sheet and cut pieces are generated out of it such that wastage is minimal. Optimization is the key.

The first tool in this series has been created under a new sub-heading called 'Panels, Layouts & Sizing' under the BOM/BOQ tools.

The CP_SHEETCUTTER command takes a closed, rectangular polyline and cuts it into two parts as per required measurement. The cut is made across the rectangle with a specified gap for the cutting tool. The end result are two closed polylines meeting the design requirements. There is an option to enforce a symmetric or non-symmetric cut with precise positioning.

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM/BOQ Tools -> Panels, Layout & Sizing -> Cut an artibrary shaped sheet with gap allowance

CmdLine : CP_SHEETCUTTERARBITRARY
.

The second tool in this section extends the functionality of the first one, the CP_SHEETCUTTERARBITRARY command allows to split a multi-sided irregular polygon into two pieces with a specifed gap in between. Automatic part numbering of the two ieces are also automatically done.

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Parts Management -> Cut a linear item into pieces

CmdLine : CP_PIECEMAKER

The CP_PIECEMAKER command is used to create a quantity schedule of smaller cut pieces from a larger un-cut length. This can be useful for scheduling of linear elements like reinforcement, pipes, wires, cables etc.

There are a number of inputs you must provide as shown below:

The CP_PIECEMAKER command is used to schedule your cuts efficiently. Starting with a full un-cut piece of linear element, you can now easily create a quantity schedule of cut pieces. The gap allowance also needs to be specified (optional) and the quantity schedule of cut lengths and their quantities are displayed in a CAD table as well as exported to Excel-ready CSV files.

A pictorial true-to-scale representation of the cut pieces is also generated in the drawing.

Output created as a CAD table in BricsCAD

Output exported to Excel via CSV files

Watch:

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM/BOQ Tools -> Panels, Layout & Sizing -> Slide a polygon and create adjacent copy

CmdLine : CP_POLYSLIDE

The CP_POLYSLIDE command is created to precisely position tapered cut pieces that fit along the slope of a larger polygon. The CP_POLYSLIDE command requires that you first start with a geometry that is a polygon with two parallel sides. For example, if you have arrived at a trapezoidal shape that needs to be fitted within a polygon, and require that the shape be placed adjacent to each other with a specified gap, this is the right tool to use.

The CP_POLYSLIDE command asks for the first slide point, second slide point and a third adjacent side point. The polygon then slides in that direction, applies a gap and places the next piece in the way that makes sense for sheet placement.

Toolbar : BOM-BOQ Tools(CP)
Menu : CADPower -> BOM-BOQ Tools -> Parts Management -> Dynamic and precise polygon editing

CmdLine : CP_MVEDIT

We have had the CP_MVEDIT tool for many years. It had had a complete makeover now and can be used for polygon sizing.

There are two new options added in ths command - 'Move Dynamic [General]' and 'Move Dynamic [Custom]'. These two options allow you to select polyline vertices and move them dynamically in specified intervals until you are satisfied with the result.

The first option 'Move Dynamic [General]' allows moving the seleted vertices in any one of the direction X, Y, Z, XY, YZ, XZ and XYZ by specified increments. You can control the movements on the command line until you are satisfied with the result. There is also a 'Reverse' option that allows you to reverse the trend and move in the opposite direction of the selected axes.

The second option 'Move Dynamic [Custom]' allows precise movements of two (and only two) selected vertices in pre-defined directions like:

'TowardsEachOther'
'AwayFromEachOther'
'First2Second'
'Second2First'

With these options, you will be able to precisely position vertices based on measured, interactive movements.

Going forward, we will be adding more innovate ways to position the selected point. I request feedback from our users what they would like to see in this tool. We have created this tool for the panel sizing and layout process, but I foresee this as a generic requirement that almost any CAD user may have from time to time. The context and application are going to be different but the necessity is universal.

Watch:


ViewPort Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Viewport Tools

ViewPort Tools ››

Toolbar : Viewport Tools (CP)
Menu : CADPower -> Viewports -> Extract clipping boundary

CmdLine : CP_VPEXTRACT

The CP_VPEXTRACT command is used to extract the clipping boundary of a viewport as a closed polyline or circle. The extracted entity can be edited and used as an updated boundary for the next command, CP_VPBNDRYUPDATE .

Watch:

Toolbar : Viewport Tools (CP)
Menu : CADPower -> Viewports -> Update clipping boundary

CmdLine : CP_VPBNDRYUPDATE

The CP_VPBNDRYUPDATE command is used to update the clipping boundary of a viewport extracted by CP_VPEXTRACT command. And replace it with a new one.

Watch:

Toolbar : Viewport Tools (CP)(BricsCAD only)
Menu : CADPower -> Viewports -> Lock Viewports

CmdLine : CP_LOCKVPORTS

The CP_LOCKVPORTS command zooms and maximizes the model space extents of a paprt-space viewport. This is a command already available in AutoCAD and is provided in BricsCAD for compatibility purposes. This is a FREEWARE command and never expires from a CAPower trial.

Toolbar : Viewport Tools (CP)(BricsCAD only)
Menu : CADPower -> Viewports -> Lock All Viewports in current layout

CmdLine : CP_LOCKVPCURLAYOUT

The CP_LOCKVPCURLAYOUT is used to lock all viewports in the current paper-space layout. This is a command already available in AutoCAD and is provided in BricsCAD for compatibility purposes. This is a FREEWARE command and never expires from a CAPower trial.

Toolbar : Viewport Tools (CP)(BricsCAD only)
Menu : CADPower -> Viewports -> UnLock All Viewports in current layout

CmdLine : CP_UNLOCKVPCURLAYOUT

The CP_UNLOCKVPCURLAYOUT command is used to unlock all viewports in the current paper-space layout. This is a command already available in AutoCAD and is provided in BricsCAD for compatibility purposes. This is a FREEWARE command and never expires from a CAPower trial.

Toolbar : Viewport Tools (CP)(BricsCAD only)
Menu : CADPower -> Viewports -> Zoom MAX

CmdLine : CP_VPMAX

The CP_VPMAX command zooms and maximizes the model space extents of a paprt-space viewport. This is a command already available in AutoCAD and is provided in BricsCAD for compatibility purposes. This is a FREEWARE command and never expires from a CAPower trial.

Toolbar : Viewport Tools (CP)(BricsCAD only)
Menu : CADPower -> Viewports -> Restore paper-space views after CP_VPMAX

CmdLine : CP_VPMAXRESTORE

The CP_VPMAXRESTORE command is used to restore the paper-space views that existed just before running the last CP_VPMAX command. This is a command already available in AutoCAD and is provided in BricsCAD for compatibility purposes. This is a FREEWARE command and never expires from a CAPower trial..


Miscellaneous Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Miscellaneous Tools

Miscellaneous Tools ››

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> File Management -> File Manager

CmdLine : CP_FILEMAN

The CP_FILEMAN command provides an easy interface to copy, move, erase, touch and count your files.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> File Management -> DWG browser, with thumbnail preview

CmdLine : CP_DWGBROWSER

The CP_DWGBROWSER command is used to browse DWG files from multiple folders with a thumbnail preview image of each file. The selected file can then be inserted into the current drawing. You can specify a set of your favourite folders, give them a description each and store the settings in an ASCII INI file for subsequent retrieval. By default, the file will be called DWGBROWSER.INI and will reside (or be created) in your current drawing folder. Additional block insert parameters like x, y scale factors and rotation angles can be pre-set or specified on-screen as desired.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> File Management -> Detaches all unreferenced X-Refs and binds all others into current DWG

CmdLine : CP_BINDXREF

This is a cleanup tool that removes all unresolved external references and bind all valid attached xrefs. This is often the most common requirement and a procedure followed before sending a drawing containing XREFs to someone outside the office.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> File Management -> Batch process multiple drawings with scripts

CmdLine : CP_BATCHPROCESS

The CP_BATCHPROCESS command is used to select multiple DWG files and create a .BAT file to load each one into AutoCAD / BricsCAD and optionally perform automated script processing with as SCR file. The script file must already exist (if checked) while the batch file is created by this command to open your CAD software with the selected DWG files with the specified AutoCAD / BricsCAD profile and the script file.

If you check the box Process all DWGs, recurse into sub-folders also CP_BatchProcess command can do a recursive search starting from the selected folder and all folders below it and will create a BATch file to process all the files in one go.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> File Management -> Multiple DWG inserts

CmdLine : CP_MULTINS

The CP_MULTINS command is used to select at once multiple DWG files from one or more folders and insert them all into the current drawing.

The Remove All option clears the current selection of all drawings.
The Explode option allows each inserted drawing to be exploded upon insert into the current drawing.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> File Management -> Multiple drawings Xrefs

CmdLine : CP_MXREF

The CP_MXREF command is used to attach multiple DWG files at once as external reference (XREF)

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> File Management-> EXIF Data View/Extract

CmdLine : CP_READEXIF

CP_READEXIF is a generic tool to extract all the EXIF information from files and display it on the dialog box or save it into a .EXIF file.

EXIF stands for Exchangeable Image File Format. EXIF is a standard that specifies the formats for images, sound, and ancillary tags used by digital cameras (including smart phones), scanners and other systems handling image and sound files recorded by digital cameras. The GeoTIFF file format used in GIS and mapping is an example of how geo-referencing information is stored inside TIFF file using EXIF tags.

Watch:

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> File Management-> INI Editor

CmdLine : CP_INIEDITOR

The CP_INIEDITOR command is used to edit INI files used by various CADPower commands. While some of the commands have a built-in access to an 'Edit' button, many don't. If you need to edit an INI file, you can use this tool.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CSV Editor

CmdLine : CP_CSVEDITOR

CP_CSVEDITOR is used to edit comma delimited ASCII text files within the CAD editor. The current version allows to edit CSV files with a max. 8 columns of CSV data. The data is presented in a dialog box and each column can be edited by entering a new value in the edit box or choosing one from the pull-down menu. A pre-defined set of probable values can be defined and supplied to the command.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> File Management -> Move .bak files to a folder

CmdLine : CP_MOVEBAK (or MOVEBAK)

BricsCAD lacks the MOVEBAK command of AutoCAD. This is now available in BricsCAD via CADPower. The CP_MOVEBAK command allows the .bak folder to be specified via a dialog box, while the MOVEBAK command does the actual moving of .BAK files to the designated folder.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> File Management -> Drawing Recovery Manager

CmdLine : CP_RECOVERYMANAGER

The familiar drawing recovery manager from AutoCAD is now available in BricsCAD via CADPower. The CP_RECOVERYMANAGER is a FREEWARE command and available in the BricsCAD version only. It provides a work-around for the Drawing Recovery tool that is available in AutoCAD and which is missing in BricsCAD. This tools tracks the auto-save file that is created in the TEMP folder and restores the latest version available and offers to copy it to the same folder as your current drawing. The recovered file has a name _RECOVER.dwg and it functions almost identically to the AutoCAD tool.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> Export -> Layers to DWG

CmdLine : CP_LYRS2DWG

This command exports the contents of each layer into a drawing by WBLOCKing them into their own DWG file and whose filename is the same as the layer name.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> Export -> Split a drawing into smaller parts

CmdLine : CP_DWGSPLIT

The CP_DWGSPLIT command uses the WBLOCK command to split a given selection of objects into smaller drawing units. The drawing can be split either into a number of equal parts or containing a specified number of objects.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> Export -> Sort ASCII Files

CmdLine : CP_FILESORT

The CP_FILESORT command allows an ASCII file to be sorted based on data that can be defined either as a field number (separated by a delimiter) or based on start and end column numbers. The sort type can numeric or character.

Toolbar : Miscellaneous Tools (CP)
Menu :CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Match Properties

CmdLine : CP_MATCH

The CP_MATCH command matches properties of source and target objects. You can select the properties you want copied (or set) from the source to target object(s). Target object selection can be a single or multiple objects as specified in the dialog box

AutoCAD command: MATCH (for setting properties), MA (to start the command)

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Align Objects

CmdLine : CP_OBJALIGN

The CP_OBJALIGN command helps to align a selection of objects to a justification. CADPower applies an "extents" computation of the objects and based on these extents, the objects are moved (aligned) to share a common datum. The justifications that can be applied are the nine positions of text alignment viz, Top Left/Center/Right, Middle Left/Center/Right and Bottom Left/Center/Right.

The alignment operation can be applied on the whole selection as a single unit or on each object in the selection set individually.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Scale objects (unequally) in X, Y and Z directions

CmdLine : CP_XYZSCL

The CP_XYZSCL command performs non-uniform scaling of objects with specified X, Y and Z scale factors and a user-specified base point or you can use the 'R-Relative' option to specify scale factors in X and Y direction. This is similar to the SCALE command except that you can specify unequal scale factors in X, Y and Z directions.

Tech Info: The command does not work with blocks containing 3DSOLID objects because of an AutoCAD / BricsCAD limitation in older versions.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set

CmdLine : CP_ScaleToUnity

Description Pending

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Create a mean (averaged) point from cluster of points

CmdLine : CP_MEANPOINT

The CP_MEANPOINT command creates a mean point from selected multiple points and provides an option of connecting each point with the mean point by a line

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Flip reverse elevations(Z) from selected objects

CmdLine : CP_FLIPZ

The CP_FLIPZ command will reverse the z value sign of selected lines, polylines, point, text, 3dfaces, solids etc. So, an elevation of +2 would become -2 and vice-versa

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Round Off values from Point/Lines

CmdLine : CP_ROUNDOFF

The CP_ROUNDOFF command allows points, lines, polylines, blocks, text and shape objects to have their co-ordinates rounded off to the desired number of decimal places.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Extract (single entity) from Xref

CmdLine : CP_XTRACT

The CP_XTRACT command is used to extract entities from within a block or an XREF object. This command has been enhanced and improved significantly in V 18.02. You can now extract from XREF/blocks which have been scaled and rotated as well. The only limitation is that you cannot extract from non-uniform scaled blocks. It is also possible to place the extracted object either at the original location or move it interactively to a new location. This behavior is controlled by a new command called CP_XTRACT_SETTINGS, which is available only on the command line and not in the menus.

Upon running CP_XTRACT command, the availability of the CP_XTRACT_SETTINGS command is mentioned through a command line message. While using CADPower-GeoTtools, it always helps to keep an eye on the command line for important informative messages.

The CP_XTRACT command allows extraction of LINE, POINT, ARC, SHAPE, POLYLINE, SPLINE, TEXT, LWPOLYLINE and ATTRIBUTE objects.

Watch:

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Extract selected layers from multiple XREFs

CmdLine : CP_XTRACTXREFLAYERDLG

Description Pending

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Explode objects - Retain object table and extended entity data

CmdLine : CP_XP_RETDAT

The CP_XP_RETDAT command is used to explode polylines, blocks, hatches, regions and mulitple polygon and retain the extended entity and object table data contained in them.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Report areas covered by HATCH objects

CmdLine : CP_HATCHAREA

The CP_HATCHAREA command produces a report of selected hatch objects. It shows the area covered by each class of hatch pattern as well as number of hatch objects in each pattern, and additional information about solid/gradient hatches, color tones etc.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Flip ECS of arc with negative normals

CmdLine : CP_FLIPARCS

The CP_FLIPARCS command will reverse the direction of all normals of selected ARCs which are pointing in the negetive WCS direction. Running this command will make the normals positive (in the direction of positive Z axis of WCS).

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Change object visibility

CmdLine : CP_VISIBLE

The CP_VISIBLE command converts CAD graphical objects from a visible state to invisible state and back. The visibility state is set on the command line by means of the (V)isible or (I)nvisible keyword.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Change Dimension Precision

CmdLine : CP_DIMPREC

The CP_DIMPREC command can be used to change the linear precision of selected dimension objects.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Re-Create hatch boundaries from HATCH object

CmdLine : CP_HATCHBOUND

The CP_HATCHBOUND re-creates the boundaries from a HATCH object. This can be used as a handy tool to modify the hatch when the comprising boundary objects are not available.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Insert vertex in hatch boundary

CmdLine : CP_HATCHINSVX

The CP_HATCHINSVX command is used to add new vertices in hatch boundaries. This is particularly useful for BricsCAD users, who cannot otherwise add vertices to hatch boundaries. If there are multiple hatch boundaries, they are highlighted one by one and you can add vertex in each boundary independently. While adding a vertex, it is possible to do it by mouse-drag and pick or by entering the perpendicular distance from the middle of an existing segment.This is a FREEWARE command and never expires from a CAPower trial.

Watch:

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Delete vertex from hatch boundary

CmdLine : CP_HATCHDELVX

The CP_HATCHDELVX command deletes vertices from hatch boundaries by a single pick.This is particularly useful for BricsCAD users, who cannot otherwise delete vertices from hatch boundaries. This is a FREEWARE command and never expires from a CAPower trial.

Watch:

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> First Set -> Remove proxy references from entities

CmdLine : CP_PROXYREMOVER

The CP_PROXYREMOVER command is useful for BricsCAD users who routinely use AutoCAD Civil 3D/raster Design (or similar) drawings that contain references to proxy objects. Certain proxy object references prevent the objects from being copied to the clipboard. This command attempts to fix such errors. Please be aware that this is not a cure-all tool for all proxy related errors. It has ben developed as solution for one such proxy related issue that came up in one of our client locations.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Object Chopper

CmdLine : CP_CHOP

The CP_CHOP command chops lines and polylines into a specified number of divisions or creates chops of a specified lengths

Tech Info: CHOP only works with line and polylines objects. They must be de-curved (not fitted or splined) and must not have any arc segments in them.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Automatic Dimensioning

CmdLine : CP_AUTODIM

The CP_AUTODIM command accepts Lines, Polylines, Arcs, Circles as well as Splines as input and creates automatic dimensions cutting across all these entities.

Toolbar : Miscellaneous Tools (CP)
Menu :CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Control 3DFace normals

CmdLine : CP_FACENORMAL

The CP_FACENORMAL command allows control of direction of 3dface normals. If the vertices of the 3dface are in clockwise direction, then the normal is pointing downwards from the plane of the 3dface else if they are in counter-clockwise direction, the normal is pointing upwards from the plane of the 3dface. This command helps to control the normal direction in three ways:

Flip: Flips (reverses) the direction of the face normal

Align to an elevation: Aligns the face normals so as to point in the direction of a specified Z value. What this means is that if the target Z value specified is greater than the maximum Z of all 3dface vertices, the normal will be flipped if necessary so as to point towards the target elevation. This option can be used to make all normals of selected 3dfaces point to a common high or low elevation so that all faces can be made to point inwards or outwards.

Draw: Draws the face normal as it is. No flipping or checking is done. The face normal starts from a point in the plane of the 3dface at the centroid position and is drawn to the specified length in the direction of the normal.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Break (split) objects along a polyline

CmdLine : CP_CONTBREAK

The CP_CONTBREAK command is a general purpose command to break a drawing along a boundary. The boundary can be open or closed and must be defined as a polyline.

In the above illustration, you see a screenshot of a very dense contour drawing. By setting up appropriate closed polyline cutting edges (blue lines in the figure above), it is possible to break the contours easily at the boundary of these polygons. Once broken, each part can be exported into it own DWG using the CADPower CP_ESELECT and the WBLOCK command.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Zoom to extent of selected object(s) (with 5% margin)

CmdLine : CP_ZOOMENT

The CP_ZOOMENT command zooms to the extents of selected objects with a margin of 5% border on the sides of the current viewport.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Delete paper-space layouts

CmdLine : CP_DELETELAYOUTS

The CP_DELETELAYOUTS command will present you with a list of all paper space layouts and you can select multiple layouts and delete them in one go.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Delete NULL text

CmdLine : CP_NULLTEXT

The CP_NULLTEXT command gets rid of "ghost" text objects – i.e invisible text objects with an empty (null) string which are often created due to operator and programming errors.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Purge all un-used symbols

CmdLine : CP_PALL (also as PUA)

Purges all unreferenced symbols without the confirmation question "Yes/No". Use this command only if you are sure that you do not want ANY unreferenced symbol in your drawing.

Note: CP_PALL command is by default not enabled. To enable it, type CP_DEFMACROS at the command prompt.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Remove all unreferenced scales

CmdLine : CP_SCALECLEAN (AutoCAD only)

The CP_SCALECLEAN command removes all un-referenced scales. There is a bug in AutoCAD which causes the SCALELISTEDIT command to keep displaying all scales from any XREF drawings that are already detached. The CP_SCALECLEAN command helps to get rid of all these un-referenced scales by removing the entries from the AutoCAD dictionary.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Search / Replace attached URL

CmdLine : CP_REPURL

The CP_REPURL command is used to edit the URLs (hyperlinks) attached to CAD objects. The search/replace interface of CP_REPURL is similar to the one in CP_ZOOMTXT command and allows case-sensitive, partial and interactive search and replace.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Clip image along a closed polygon boundary

CmdLine : CP_IMAGEPOLYCLIP

The CP_IMAGEPOLYCLIP command is used to clip an image within a closed polygon or a linear open boundary. The CP_IMAGEPOLYCLIP eliminates the need to use the IMAGECLIP command and tediously enter the polygon coordinates by picking with entity snapping. If you already have your polygon defined, you can constrain your image within it by accurately clipping it using this command. For this command to work correctly, the image must be originally unclipped.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Clip image along a closed polygon boundary

CmdLine : CP_IMAGETRIM

The CP_IMAGETRIM command allows an image to be trimmed along an open boundary edge. Effectively, it is a tool that will clip and mask off the image that is on the clipping side of the trim boundary.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Shapes Manager

CmdLine : CP_SHAPEMANAGER

The CP_SHAPEMANAGER tool was created in response to requests from the fabrication, sheet cut material handling and architectural practices. The CP_SHAPEMANAGER command is a geometric pattern recognizer and replacement tool. The new functionality added in this update is the ability to create a table of contents of the selected shapes.

The ability to create a table also makes it easy to export the same to Excel as a CSV file. The command identifies geometric shapes, counts them and also optionally allows to replace one shape with another. The program works with closed shapes like circles, ellipses, closed polylines and forms a count list of uniquely shaped & sized objects. You can then replace one shape with another. The replaced shape also must be defined and available in the current drawing.

The CP_SHAPEMANAGER command recognizes standard geometrical shapes like:

Equilateral_Triangle
Isoceles_Triangle
Scalene_Triangle
Round
Square
Rectangle
Irregular_quadrilateral
Pentagon
Irregular_5-sided_polygon
Hexagon
Irregular_6-sided_polygon
Heptagon
Irregular_7-sided_polygon
Octagon
Irregular_8-sided_polygon
Nonagon
Irregular_9-sided_polygon
Decagon
Irregular_10-sided_polygon

Additionally, some standard shapes listed below used in the sheet-metal industry are also recognized:

Obround
Obround-Dimple
Single-D
Double-D
Rectangle_with_corner
Rectangle_with_corner [dimple]

The CP_SHAPEMANAGER command operates in two modes.

In the Shape Manager mode, it replaces one set if shapes with another, as shown in the illustration above. In the ''Create Shape Table' mode, it creates a table of the selected shapes, their count, aree and key dimensions (see example below).

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Determine the intersection of line and plane

CmdLine : CP_LINEPLANEINT

The CP_LINEPLANEINT command determines the intersection of a point with a plane -or- a line with a plane and marks a point at the intersection.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Divide a 3/4 sided polygon

CmdLine : CP_DIVPOLY

The CP_DIVPOLY command divides a triangle or a 4-sided polygon into an equal number of smaller polygons.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Join Collinear Lines and Polylines

CmdLine : CP_JOINCOLLINEAR

The CP_JOINCOLLINEAR command is used to join collinear line segments and replace them with one single line. Any extended data or object data contained in the line segments will be transferred to the new line created.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Perform drawing audit and cleanup

CmdLine : CP_DWGAUDIT

The CP_DWGAUDIT command is a utility to clean up a drawing of unwanted symbol table information, temporary blocks and also offers a method to flatten the Z values of entities within blocks. Background: Copy-Paste of entities in .dwg CAD can result in a large number of temporary blocks. In AutoCAD, these blocks have names starting with A$ while in BricsCAD the names of these blocks look like E83KJHYTFY and similar hex names.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> CAD Procedures -> Second Set -> Wipeout buffer around a polygon

CmdLine : CP_WIPEOUT

The CP_WIPEOUT command is useful to create a WIPEOUT mask around a closed polygon by defining a buffer (offset) zone around the polygon.

Toolbar : Miscellaneous Tools (CP)
Menu : CADPower -> Miscellaneous -> Wblock and preserve AutoCAD Map objects

CmdLine : CP_WBLOCKBC

CP_WBLOCKBC is a command which should be used in BricsCAD when you want to do a WBLOCK (Save Block) on AutoCAD Map drawings containing object data. This is a workaround command to overcome a bug in BricsCAD and prevent losing object data when doing a WBLOCK from BricsCAD on drawings saved in AutoCAD Map.


Selection Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Selection Tools

Selection Tools ››

Toolbar : Selection Tools (CP)
Menu : CADPower -> Selection -> Polylines based on properties

CmdLine : CP_PLFILTER

Filters polylines based on their properties.

The following properties of polylines can be filtered from the selection set.

2D | 3D | Open
Closed | Fitted | Arced
Splined | Meshed | Polyface
Z value | Length | Number of vertices
Area | Start-End Distance |

The length, area, number of vertices or start-end distances are specified by entering < n, <= n, > n, >= n, = n, /= n where "n" is the value to check for.

Specify the numeric logical comparative operator in one of these ways.

< 'Value' - Less than 'Value'
<= 'Value' - Less than or equal to 'Value'
> 'Value' - Greater than 'Value'
>= 'Value' - Greater than or equal to 'Value'
= 'Value' - Equal to 'Value'
/= 'Value' - Not Equal to 'Value'

Enter Length / Area / Z criteria: <= 55.0
This would select all objects with the specified property less than or equal to 55.0

Notes: The Start-End distances are always measured in slope in the case of 3d polylines. The Z value check will fail if there is even one vertex in the polyline that fails to meet the criterion.

Menu : CADPower -> Selection -> Circles based on radius

CmdLine : CP_CIRCFILTER

The CP_CIRCFILTER command is used to filter circles based on their radius.

Toolbar : Selection Tools (CP)
Menu : CADPower -> Selection -> Filter 3DFaces based on properties

CmdLine : CP_3DFFILTER

The CP_3DFFILTER command filters 3dfaces based on their derived geometric properties like area or perimeter and also look for a duplicate vertex within

Toolbar : Selection Tools (CP)
Menu : CADPower -> Selection -> Enhanced Entity Selector

CmdLine : CP_ESELECT

The CP_ESELECT command allows the Fence, CrossingPoly [CP] and WindowPoly [WP] selection modes to be applied automatically along multiple polylines which serve as boundaries for the selection.

Once the boundary polylines for selection are specified, the command zooms to each polygon and applies the selection mode. The results of selection from each polyline are combined and placed in the active selection set. This command can be used along with the CP_MAKESEL command to build very powerful selection filters.

Toolbar : Selection Tools (CP)
Menu : CADPower -> Selection -> Build a selection set

CmdLine : CP_MAKESEL

Description Pending

Toolbar : Selection Tools (CP) (BricsCAD only)
Menu : CADPower -> Selection -> Object selection FILTER

CmdLine : CP_FILTER

The CP_FILTER command provides the familiar object selection command in BricsCAD. With CP_FILTER, you can build your own powerful filter criteria using object properties, along with logical operator combinations (AND, OR or NOT).

The CP_FILTER command complements the QSELECT filter tool of BricsCAD as well as the CP_MAKESEL command of CADPower, both of which are also used for object selection and filtering, but have different approaches and interfaces.

Toolbar : Selection Tools (CP)
Menu : CADPower -> Selection -> Find objects in selected Z range

CmdLine : CP_FINDZRNG

The CP_FINDZRNG command selects all objects whose Z values fall within a specified range. This is a useful QA / QC tool.

Toolbar : Selection Tools (CP)
Menu : CADPower -> Selection -> Find points enclosed within 3dface space

CmdLine : CP_FINDENCLOSED

The CP_FINDENCLOSED command is a means to select point objects which lie within the space bounded by selected 3dface objects. This command was created in response to the requirements of the mining industry where the mining shafts and cut-outs are often modeled using 3dface objects, with a lot of neighborhood points representing data captured from various sources. This tool helps to select all such point features which lie inside or outside the space bounded by the 3dface objects.

Toolbar : Selection Tools (CP)
Menu : CADPower -> Selection -> Select current layer

CmdLine : CP_SL

The CP_SL command selects an entity and make its layer the current layer. Alternately, you can choose layers from a dialog box

Toolbar : Selection Tools (CP)
Menu : CADPower -> Selection -> Select current styler

CmdLine : CP_SS

Select a text and make its style the current text style. Alternately, you can choose available styles from a dialog box.

Toolbar : Selection Tools (CP)
Menu : CADPower -> Selection -> Put last CADPower selection in [active] 'previous' selection set

CmdLine : CP_LASTSEL

The CP_SSET command retrieves the last created or processed objects by a CADPower command and places them in internal memory as well as in the active [previous] selection set. The active selection may be overwritten at any time using other selection commands, but the last processed results of a CADPower command are always “remembered” by this command and can always be brought back to active selection using this command.


Inquiry Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Inquiry Tools

Inquiry Tools ››

Toolbar : Inquiry Tools (CP)
Menu : CADPower -> Inquiry -> Compute surface area of 3DFace(s)

CmdLine : CP_SURFAREA

Description Pending

Toolbar : Inquiry Tools (CP)
Menu : CADPower -> Inquiry -> Display angle between two lines

CmdLine : CP_ANGLE

This command determines the two angles (acute and obtuse) between two selected lines. The lines can either be Line objects or segments from polylines. The computed angle is displayed on the screen.

Select first line: (select the first line segment)
Select second line: (select the second line segment)
The two angles between the line segments are 26.54 degs and 153.46 degs

Toolbar : Inquiry Tools (CP)
Menu :CADPower -> Inquiry -> Compute Center of Gravity

CmdLine : CP_CGRAV

This command computes center of gravity of masses. The objects that you select should be polyline objects and they should define closed areas. The coordinates of the center of gravity are printed on screen and a point object is created at the CG location.

Toolbar : Inquiry Tools (CP)
Menu : CADPower -> Inquiry -> Display Drawing Statistics

CmdLine : CP_DWG_STAT

CP_DWG_STAT gives detailed statistics of the current drawing.

Toolbar : Inquiry Tools (CP)
Menu : CADPower -> Inquiry -> Compute running distance/perimeter

CmdLine : CP_PERIMETR

This command can be used to compute perimeter and area from picked points or from objects like lines, polylines and circles. The perimeter and area are displayed on the screen as the user picks the points. The enclosing polygon area is displayed at the end of the command.

The last computed perimeter is stored in memory and can be used in subsequent runs of this command.

[CumP = 0.00] Reset/Object <first point>:
[CumP = 0.00] Area/Reset/Object <next point>:
[CumP = 667.93] Area/Reset/Object <next point>:
[CumP = 1269.29] Area/Reset/Object <next point>:
[CumP = 1873.78] Area/Reset/Object <next point>:
[CumP = 2521.90] Area/Reset/Object <next point>:
[CumP = 3260.02] Area/Reset/Object <next point>:
[CumP = 4179.80] Area/Reset/ Object <next point>:

Toolbar : Inquiry Tools (CP)
Menu : CADPower -> Inquiry -> Object Selection Browser

CmdLine : CP_VISIT

The CP_VISIT command is an interactive pan through a selection of objects. It allows to visit (by panning each object in the selection to the screen center) all elements of a selection set. This can be a useful tool in quality control and error checking situations when you wish to step through a selection of objects and examine them one by one. The command offers sub-options like Next, Previous and GoTo to navigate through the selection set sequentially or randomly. There are also options to set the current zoom factors and highlight color. The CP_VISIT command maintains an internal pointer to the current object being visited (or borwsed through), so it is possible to resume the browsing at any point even after the main command has been exited. To achieve this purpose, two more related commands, CP_NEXT and CP_PREV are provided to enable an forward and reverse browse through the selection from the current object position.

Note: CP_NEXT and CP_PREV commands are related only to CP_VISIT command and therefore cannot be used independently.

Toolbar : Inquiry Tools (CP)
Menu : CADPower -> Inquiry -> Quick elevation Info

CmdLine : CP_QUERY

The CP_QUERY command displays the elevation of the object at the location of the picked point.

Note: CCP_QUERY command is by default not enabled. To enable it, type CP_DEFMACROS at the command prompt.

Toolbar : Inquiry Tools (CP)
Menu : CADPower -> Inquiry -> Enhanced DIST command

CmdLine : CP_DXY

The CP_DXY command is an extension to the DIST command. In addition to the information given by the DIST command, CP_DXY also displays the horizontal projected distance between the two picked points, in case of 3D points.

Note: CP_DXY command is by default not enabled. To enable it, type CP_DEFMACROS at the command prompt.

Toolbar : Inquiry Tools (CP)
Menu : CADPower -> Inquiry -> Island Area Detection

CmdLine : CP_ISLANDAREA

Description Pending

Toolbar : Inquiry Tools (CP)
Menu : CADPower -> Inquiry -> Calculator (BricsCAD only)

CmdLine : CP_CALCPOWER

Description Pending


Layer Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


Layer Tools

Layer Tools ››

Toolbar : Layer Tools (CP)
Menu : CADPower -> Layer -> Layer Names Manager

CmdLine : CP_LAYERMAN

The CP_LAYERMAN command is used for managing the layer names, you can add Suffix / Prefix to layer names, change the case of the layer name, Merge layers etc.

Watch:

Toolbar : Layer Tools (CP)
Menu : CADPower -> Layer -> Isolate layer(s)

CmdLine : CP_ISOD

The CP_ISOD command is used to isolate (segregate) layer-wise data from large complex drawings. It thaws and switches on the layers of selected objects and freezes all other layers in the drawing.

The CP_ISOD command provides two ways to select layers to isolate – by picking an object on the layer or by selecting from a list.

Note: CP_ISOD command stores the current layer settings as CADPower_ISO and can be restored using the CP_RESTORE command.

Toolbar : Layer Tools (CP)
Menu : CADPower -> Layer -> Restore Isolated layer(s)

CmdLine : CP_RESTORE

The CP_RESTORE command is used to restore the layer settings stored by the CP_ISOD command.

The next 3 commands CP_SL1, CP_SL2, CP_SL3 allow three pre-defined layer states to be set.

Toolbar : Layer Tools (CP)
Menu : CADPower -> Layer -> Save layer state - 1

CmdLine : CP_SL1

Description Pending

Toolbar : Layer Tools (CP)
Menu : CADPower -> Layer -> Save layer state - 2

CmdLine : CP_SL2

Description Pending

Toolbar : Layer Tools (CP)
Menu : CADPower -> Layer -> Save layer state - 3

CmdLine : CP_SL3

The next 3 commands CP_RL1, CP_RL2, CP_RL3 allow the three pre-defined layer states to be restored.

Toolbar : Layer
Menu : CADPower -> Layer -> Restore layer state - 1

CmdLine : CP_RL1

Description Pending

Toolbar : Layer
Menu : CADPower -> Layer -> Restore layer state - 2

CmdLine : CP_RL2

Description Pending

Toolbar : Layer
Menu : CADPower -> Layer -> Restore layer state - 3

CmdLine : CP_RL3

Description Pending

Toolbar : Layer
Menu : CADPower -> Layer -> Change to current layer

CmdLine : CP_CCL

The CP_CCL command changes selected objects to current layer.

Toolbar : Layer
Menu : CADPower -> Layer -> Copy to current layer

CmdLine : CP_CPCL

The CP_CPCL copies selected objects into current layer.

Toolbar : Layer
Menu : CADPower -> Layer -> Copy from one layer to another

CmdLine : CP_COPYLYR

The CP_COPYLYR command is used to copy all objects from one layer to anothe


FREEWARE-By-CAD Power

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


FREEWARE-By-CAD Power

FREEWARE-By-CAD Power ››


More Options

Toolbar : Other Tools
Menu : CADPower -> More Options -> Load CADPower command macros (shortcuts)
CmdLine : CP_DEFMACROS

The CP_DEFMACROS command is used to enable the command macros (shortcuts).

Toolbar : Other Tools
Menu : CADPower -> Settings
CmdLine : CP_GENSET

The CP_GENSET command allows the setting and editing of default CADPower operational parameters. The parameters set here are used by CADPower unless explicitly set by the command in their own dialog boxes. The distance values shown here are in DWG units. angular values are in degrees and precision units are integers.

Fuzzy search tolerance around points of interest: This is a value to indicate a very small search distance around a point. When working with units like meters and feet, a value like 0.0001 may be appropriate but when working with geographic units (Lat-Long). A very small vale would be something like 0.00000001. Set this parameter accordingly to produce correct result from Geoools.
Default Value: 0.00

Maximum Selection set length to store: Specify the maximum number of objects to store in a selection set produced by CADPower. Higher the value, larger the memory and disk space required. During the processing of extremely large selection sets. It is recommended to set this value low so that the overhead of "remembering" the selection set is avoided. Please be ware that setting a lower value may mean that selection sets larger than this value cannot be accessed with the "previous" command in AutoCAD / BricsCAD.
Default Value: 1000

Force reload of CUI at startup: If you force a reload of CUI at startup, you will be guaranteed to be looking at the latest CUI at all times. However, this causes a flicker and a slighly longer load time. In AutoCAD, this may also cause all the toolbars to open each time you start AutoCAD. If you want to prevent any of these, you can now control the startup behavior.

Display command line options: Checking this option will cause CADPower command to operate on the command-line (no dialog box) Default Value: Disabled

Do not show user-interface: Checking this option causes CADPower to load without any menus and toolbars. The commands are available for use on the command line.

Perform Show/Hide toolbars in all workspaces: Checking this option causes the toolbars to Show / Hide in all workspaces.

Enable voice mode for important messages / errors : Checking this option activates Windows speech tools to speak out the important prompts, messages or error notifications. This tool may be useful for those experiencing difficulties in readimg prompts on the command line or for those using the latest version of AutoCAD which makes it very difficult to read command-line prompts anyway.

Enable CADPower defined shortcut macros on start : Checking this option enables or disables shortcut macros for CADPower commands

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Help

Command line : CP_HELP
The CP_HELP command displays CADPower help.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Load CADPower

Command line : CP_LOAD
If CADPower has not been automatically loaded during startup, use this command to load CADPower in your current drawing.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Unload- CADPower

Command line : CP_UNLOAD
The CP_UNLOAD command unloads CADPower from memory.

Menu : CADPower [image] More Options [image] Reset command defaults in registry

Command line : CP_REGRESET - Reset CADPower command defaults in registry

The CP_REGRESET command is used to reset or clear the registry entry (default value) that is made for each CADPower command

Tech Info: All CADPower operating defaults are stored in HKEY_LOCAL_MACHINE\Software\Four Dimension Technologies\CADPower

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] CheckUpdates

Command line : CP_CHECKUPDATES

The CP_CHECKUPDATES command checks our web-site for newer versions of CADPower that may be available.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] DebugInfo

Command line : CP_DEBUGINFO

The CP_DEBUGINFO command lists some key license info that is essential in the running of CADPower software. It lists the computer appkeys, license file location and appkeys from the license file, validity etc.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Show system paths

Command line : CP_SHOWPATHS

The CP_SHOWPATHS command lists many of the system paths in which the CAD support files are saved. The first part of the command lists the system paths as shown below.

Upon selecting the option that you want to browse, it is opened in Windows Explorer. This is a useful support tool to help users reach out to the different folders where support files are located.

The second part of this command lists the drawing folders. Both AutoCAD and BricsCAD specific folder are listed and you can browse to them using Windows Explorer using the key provided.

The CP_SHOWPATHS command has been improved significantly in V 19.18. Selecting each path item in the list now copies the same into the clipboard, even if you do not exit the dialog box with an 'Ok'. This is a quick and handy way to copy a Windows and System paths into the clip-board.

Clicking 'Ok' anyway copies the selected path to clipboard and it also opens Windows Explorer with that path. Clicking 'Cancel' now also copies the last selected path to the clipboard but DOES NOT open Windows Explorer and browse to the path.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Search GeoTools / CADPower Command

Command line : CP_CMDSEARCH

The CP_CMDSEARCH allows a complete search of all GeoTools and CADPower command names and descriptions. You can use this command to search for a string that occurs in either the command name or description. For example, if you want to know about all commands concerning polyline vertices, you may type "vertex" as the search string and search through all the commands in GeoTools and/or CADPower. Whether you are an evaluation user or existing user, this is a useful tool to check which of the tools exist in GeoTools or CADPower as well as the location and names of such tools.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] About CADPower

Command line : CP_ABOUT
The CP_ABOUT command displays information about the CADPower software.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] ReadMe and Installation

Command line : CP_README
The CP_README command displays information from the CADPowerReadMe.txt file.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Display CADPower license information

Command line : CP_DISPLAYLICENSEINFO
The CP_DISPLAYLICENSEINFO command displays the current CADPower license information.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Information about purchasing CADPower

Command line : CP_ORDER
The CP_ORDER command displays ordering and purchase information

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Display Application Key

Command line : CP_APPKEY
The CP_APPKEY command displays the CADPower application key for the computer.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] List GeoTools/CADPower commands

Command line : CP_CMDLIST

The CP_CMDLIST command displays a category-wise lists of all commands in GeoTools and CADPower. It also produces a common list of commands which are present in both GeoTools and CADPower.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Specific command help

Command line : CP_CMDHELP
The CP_CMDHELP command displays online help for the specified CADPower command. And if it does not exists in CADPower it checks if its available in GeoTools

Note: You need to have internet connection for using this command

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Displays help for last command

Command line : CP_LASTCMDHELP
The CP_LASTCMDHELP command displays online help for the last used CADPower command.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Maintenance/Housekeeping

Command line : CP_MAINTENANCE

The CP_MAINTENANCE command performs various kinds of maintenance and house-keeping for your CAD environment.

The CP_MAINTENANCE command allows various CAD organization and Windows operating system related tasks to be performed from within the comforts of the CAD environment. We have expanded the list significantly by providing quick access to a number of Windows tasks that are often required by users.

Here is the complete list of CAD tasks (including some for BricsCAD support) that you can launch from from this command. Please be aware that not all of them are implemented at the time of this writing. Run them to know which ones are already implemented and which ones are work in progress.

  • CADPower: Create macro to switch off CADPower toolbars
  • CADPower: Create macro to switch off GeoTools toolbars
  • CADPower: Create macro to switch off CADPower & GeoTools toolbars
  • Show Windows System path
  • BricsCAD Setup/Organize: Show BricsCAD related Support folder path
  • BricsCAD Setup/Organize: Overwrite default.cui with factory defaults
  • BricsCAD Setup/Organize: Copy BricsCAD *.PAT files to specified location
  • BricsCAD Setup/Organize: Copy BricsCAD *.LIN files to specified location
  • BricsCAD Setup/Organize: Copy BricsCAD *.PAT files to install default location
  • BricsCAD Setup/Organize: Copy BricsCAD *.LIN files to install default location
  • BricsCAD Setup/Organize: Copy BricsCAD Drawing Templates to a specified location
  • BricsCAD Setup/Organize: Copy BricsCAD Drawing Templates to install default location
  • BricsCAD Setup/Organize: Copy BricsCAD Plot Styles to a specified location
  • BricsCAD Setup/Organize: Copy BricsCAD Plotter Configuration to a specified location
  • BricsCAD Setup/Organize: Set command prompt string
  • BricsCAD Setup/Organize: Create an AutoCAD-like toolbar with common tools
  • BricsCAD Setup/Organize: Check text for missing (replaced) fonts
  • BricsCAD Setup/Organize: Copy BricsCAD default.cui file to specified location
  • AutoCAD Setup/Organize: Copy AutoCAD *.PAT files to specified location
  • AutoCAD Setup/Organize: Copy AutoCAD *.LIN files to specified location
  • AutoCAD Setup/Organize: Copy AutoCAD Drawing Templates to a specified location
  • AutoCAD Setup/Organize: Copy AutoCAD Plot Styles to a specified location
  • AutoCAD Setup/Organize: Copy AutoCAD Plotter Configuration to a specified location
  • BricsCAD licensing: Cannot connect to a network license server (error 17)
  • BricsCAD licensing: How to migrate my license (up to V13) to another computer?
  • BricsCAD licensing: How to try a higher features level (Pro or Platinum)?
  • BricsCAD licensing: How can I see which license key is in use on a computer.
  • BricsCAD licensing: Can't connect to Bricsys License Activation Server (err:132/136)
  • BricsCAD licensing: License Error Code 1024
  • BricsCAD licensing: Windows Network License server setup help
  • BricsCAD licensing: How do I setup my network license server on the same computer as license
  • BricsCAD licensing: How to activate a single license or volume license
  • BricsCAD licensing: How to configure the proxy server for license activation
  • BricsCAD licensing: How to configure the proxy settings permanently for Network License use
  • BricsCAD licensing: Manual License Activation procedure
  • BricsCAD licensing: Error reading from network (error: 105)
  • BricsCAD licensing: Manual license activation fails (error: 1007)
  • BricsCAD licensing: How to revoke an activation after system crash?
  • BricsCAD licensing: Display the local computer network server administration
  • BricsCAD licensing: Unknown error - 1030
  • BricsCAD licensing: License Error code 1024
  • BricsCAD licensing: How to move a network license to another server?
  • BricsCAD licensing: Error in http transaction with Activation server.

Here is the complete list of Windows tasks that you can launch from your CAD software:

  • Windows Services: services.msc
  • Windows Remote Desktop Connection: mstsc
  • Windows System information: msinfo32
  • Windows Backup and Restore: sdclt
  • Windows Computer Management: compmgmt.msc
  • Windows Disk cleanup utility: cleanmgr
  • Windows Event viewer: eventvwr.nsc
  • Windows Control Panel: control
  • Microsoft Management Console: mmc
  • Windows System resource monitor: resmon
  • Windows - Change screen resolution: desk.cpl
  • Take snap-shot using sniping tool: taskmgr
  • Windows Task Manager: taskmgr
  • Windows Mouse properties: main.cpl
  • Problem Steps Recorder: psr
  • Start Chrome broswer: chrome
  • Start Firefox browser: firefox
  • Windows Action Center: wcui.cpl
  • Add/Remove programs: appwiz.cpl

This command works perfectly in AutoCAD and BricsCAD Pro+ and with some restrictions in BricsCAD Lite. The restrictions will be removed after the next update of BricsCAD Lisp engine, and will be applicable after the said update.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Watch Bricsys TV videos

Command line : CP_BRICSYSTV

The CP_BRICSYSTV command is mainly for BricsCAD users. AutoCAD users who want to know more about BricsCAD are also welcome to look at it. You can now access Bricsys TV videos directly from within CADPower using this command. A list of available videos is presented and you can search through them using wild-cards, select and view them on youtube. Locating your favorite tutorial or concept video on BricsCAD is now much easier.

Toolbar : Other Functions
Menu : CADPower [image] More Options [image] Watch CADPower videos

Command line : CP_VIDEOS

The CP_VIDEOS command displays all the current youtube videos available for CADPower commands. You can select the video from the link and it will open youtube and play the video. An internet connection is required for this command to function.

Toolbar : Other Functions
Menu : BricsCAD+ [image] Support [image] Drawing Settings

Command line : CP_DWGSET

The CP_DWGSET command provides a quick interface to some of the drawing settings that first time BricsCAD users most often want and find it difficult to find.

The current list of settings supported are:

  • Sets the size (in pixels) of the entity selection target [1-50]
  • Sets the size (in pixels) of the entity snap aperture box [1-50]
  • Sets the size (in pixels) of the snap marker [1-50]
  • Sets the cross-hair size as a percentage of the screen size [1-100]
  • Enable/disable right-click menu
  • Enable/disable middle button pan
  • Create crash dump file
  • Set Model/Paper Space background Color
  • Enable/disable When view changes, set related orthographic view UCS automatically
  • Enable/disable Open selection window anywhere (implied window selection)
  • Enable/disable Automatic boundary detection
  • Enable/disable In-place text editor
  • Display/Hide the View Control NAVCUVBE
  • Display/Hide 'Get Started' dialog'
  • .BAK file management. Specify folder for .BAK save
  • Set Drawing units
  • Set Insertion units
  • Set SAVE format
  • Set CLIPBOARD format
  • Define the Startup Options
  • Define the psoition of the Selection Prompt helper dialog
  • Enable/disable isometric snap
  • Control QUAD/RollOver tips and popular toolbar settings

The Important QUAD settings....and related

Under 'QUAD settings', you can control the following settings:

  • Switch On/Off the QUAD cursor, Rollover tips, Dynamic Input & Dynamic UCS
  • Set the Image cache folder location (useful while managing large multi--gigabyte images)

The Most Popular Toolbar Settingsi

Toolbar : BricsCAD+ [image] (BricsCAD Only)
Menu : BricsCAD+ [image] Support [image] Crash Report Manager

Command line : CP_CRASHREPORTMGR

The CP_CRASHREPORTMGR command analyzes a BricsCAD crash report file 'crash_report.txt' and offers an incident-by-incident view of the report file, sorted as per the crash date & time. Each incident report can then be saved separately into to sub-report file and used for further processing or send to support staff for necessary action.


More Options

More Options ››

Toolbar : More Options (CP)
Menu : CADPower -> Settings

CmdLine : CP_GENSET

The CP_GENSET command allows the setting and editing of default CADPower operational parameters. The parameters set here are used by CADPower unless explicitly set by the command in their own dialog boxes. The distance values shown here are in DWG units. angular values are in degrees and precision units are integers.

Fuzzy search tolerance around points of interest: This is a value to indicate a very small search distance around a point. When working with units like meters and feet, a value like 0.0001 may be appropriate but when working with geographic units (Lat-Long). A very small vale would be something like 0.00000001. Set this parameter accordingly to produce correct result from Geoools.
Default Value: 0.00

Maximum Selection set length to store: Specify the maximum number of objects to store in a selection set produced by CADPower. Higher the value, larger the memory and disk space required. During the processing of extremely large selection sets. It is recommended to set this value low so that the overhead of "remembering" the selection set is avoided. Please be ware that setting a lower value may mean that selection sets larger than this value cannot be accessed with the "previous" command in AutoCAD / BricsCAD.
Default Value: 1000

Force reload of CUI at startup: If you force a reload of CUI at startup, you will be guaranteed to be looking at the latest CUI at all times. However, this causes a flicker and a slighly longer load time. In AutoCAD, this may also cause all the toolbars to open each time you start AutoCAD. If you want to prevent any of these, you can now control the startup behavior.

Display command line options: Checking this option will cause CADPower command to operate on the command-line (no dialog box) Default Value: Disabled

Do not show user-interface: Checking this option causes CADPower to load without any menus and toolbars. The commands are available for use on the command line.

Perform Show/Hide toolbars in all workspaces: Checking this option causes the toolbars to Show / Hide in all workspaces.

Enable voice mode for important messages / errors : Checking this option activates Windows speech tools to speak out the important prompts, messages or error notifications. This tool may be useful for those experiencing difficulties in readimg prompts on the command line or for those using the latest version of AutoCAD which makes it very difficult to read command-line prompts anyway.

Enable CADPower defined shortcut macros on start : Checking this option enables or disables shortcut macros for CADPower commands.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Load CADPower command macros (shortcuts)

CmdLine : CP_DEFMACROS

The CP_DEFMACROS command is used to enable the command macros (shortcuts).

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Application Loader with Startupsuite

CmdLine : CP_APPLOAD

The CP_APPLOAD command extends the functionality of the APPLOAD command provided by BricsCAD. The main addition is that of a startup-suite, where you can add/remove applications that will be automatically loaded at startup.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Load CADPower

CmdLine : CP_LOAD

If CADPower has not been automatically loaded during startup, use this command to load CADPower in your current drawing.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Unload CADPower

CmdLine : CP_UNLOAD

The CP_UNLOAD command unloads CADPower from memory.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Reset command defaults in registry

CmdLine : CP_REGRESET

The CP_REGRESET command is used to reset or clear the registry entry (default value) that is made for each CADPower command

Tech Info: All CADPower operating defaults are stored in HKEY_LOCAL_MACHINE\Software\Four Dimension Technologies\CADPower

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Search CADPower/GeoTools commands

CmdLine : CP_CMDSEARCH

The CP_CMDSEARCH allows a complete search of all GeoTools and CADPower command names and descriptions. You can use this command to search for a string that occurs in either the command name or description. For example, if you want to know about all commands concerning polyline vertices, you may type "vertex" as the search string and search through all the commands in GeoTools and/or CADPower. Whether you are an evaluation user or existing user, this is a useful tool to check which of the tools exist in GeoTools or CADPower as well as the location and names of such tools.

Watch:

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> List GeoTools/CADPower commands

CmdLine : CP_CMDLIST

The CP_CMDLIST command displays a category-wise lists of all commands in GeoTools and CADPower. It also produces a common list of commands which are present in both GeoTools and CADPower.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> About CADPower

CmdLine : CP_ABOUT

The CP_ABOUT command displays information about the CADPower software.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> ReadMe and Installation

CmdLine : CP_README

The CP_README command displays information from the CADPowerReadMe.txt file.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Display CADPower license information

CmdLine : CP_DISPLAYLICENSEINFO

The CP_DISPLAYLICENSEINFO command displays the current CADPower license information.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Check Updates

CmdLine : CP_CHECKUPDATES

The CP_CHECKUPDATES command checks our web-site for newer versions of CADPower that may be available.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Activate CADPower license

CmdLine : CP_ACTIVATELICENSE

Decsription Pending

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Remove license

CmdLine : CP_REMOVELICENSE

Decsription Pending

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Llicense Info

CmdLine : CP_DISPLAYLICENSEINFO

Decsription Pending

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> DebugInfo

CmdLine : CP_DEBUGINFO

The CP_DEBUGINFO command lists some key license info that is essential in the running of CADPower software. It lists the computer appkeys, license file location and appkeys from the license file, validity etc.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Show system paths

CmdLine : CP_SHOWPATHS

The CP_SHOWPATHS command lists many of the system paths in which the CAD support files are saved. The first part of the command lists the system paths as shown below.

Upon selecting the option that you want to browse, it is opened in Windows Explorer. This is a useful support tool to help users reach out to the different folders where support files are located.

The second part of this command lists the drawing folders. Both AutoCAD and BricsCAD specific folder are listed and you can browse to them using Windows Explorer using the key provided.

The CP_SHOWPATHS command has been improved significantly in V 19.18. Selecting each path item in the list now copies the same into the clipboard, even if you do not exit the dialog box with an 'Ok'. This is a quick and handy way to copy a Windows and System paths into the clip-board.

Clicking 'Ok' anyway copies the selected path to clipboard and it also opens Windows Explorer with that path. Clicking 'Cancel' now also copies the last selected path to the clipboard but DOES NOT open Windows Explorer and browse to the path.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Maintenance / Housekeeping

CmdLine : CP_MAINTENANCE

The CP_MAINTENANCE command performs various kinds of maintenance and house-keeping for your CAD environment.

The CP_MAINTENANCE command allows various CAD organization and Windows operating system related tasks to be performed from within the comforts of the CAD environment. We have expanded the list significantly by providing quick access to a number of Windows tasks that are often required by users.

Here is the complete list of CAD tasks (including some for BricsCAD support) that you can launch from from this command. Please be aware that not all of them are implemented at the time of this writing. Run them to know which ones are already implemented and which ones are work in progress.

  • CADPower: Create macro to switch off CADPower toolbars
  • CADPower: Create macro to switch off GeoTools toolbars
  • CADPower: Create macro to switch off CADPower & GeoTools toolbars
  • Show Windows System path
  • BricsCAD Setup/Organize: Show BricsCAD related Support folder path
  • BricsCAD Setup/Organize: Overwrite default.cui with factory defaults
  • BricsCAD Setup/Organize: Copy BricsCAD *.PAT files to specified location
  • BricsCAD Setup/Organize: Copy BricsCAD *.LIN files to specified location
  • BricsCAD Setup/Organize: Copy BricsCAD *.PAT files to install default location
  • BricsCAD Setup/Organize: Copy BricsCAD *.LIN files to install default location
  • BricsCAD Setup/Organize: Copy BricsCAD Drawing Templates to a specified location
  • BricsCAD Setup/Organize: Copy BricsCAD Drawing Templates to install default location
  • BricsCAD Setup/Organize: Copy BricsCAD Plot Styles to a specified location
  • BricsCAD Setup/Organize: Copy BricsCAD Plotter Configuration to a specified location
  • BricsCAD Setup/Organize: Set command prompt string
  • BricsCAD Setup/Organize: Create an AutoCAD-like toolbar with common tools
  • BricsCAD Setup/Organize: Check text for missing (replaced) fonts
  • BricsCAD Setup/Organize: Copy BricsCAD default.cui file to specified location
  • AutoCAD Setup/Organize: Copy AutoCAD *.PAT files to specified location
  • AutoCAD Setup/Organize: Copy AutoCAD *.LIN files to specified location
  • AutoCAD Setup/Organize: Copy AutoCAD Drawing Templates to a specified location
  • AutoCAD Setup/Organize: Copy AutoCAD Plot Styles to a specified location
  • AutoCAD Setup/Organize: Copy AutoCAD Plotter Configuration to a specified location
  • BricsCAD licensing: Cannot connect to a network license server (error 17)
  • BricsCAD licensing: How to migrates my license (up to V13) to another computer?
  • BricsCAD licensing: How to try a higher features level (Pro or Platinum)?
  • BricsCAD licensing: How can I see which license key is in use on a computer.
  • BricsCAD licensing: Can't connect to Bricsys License Activation Server (err:132/136)
  • BricsCAD licensing: License Error Code 1024
  • BricsCAD licensing: Windows Network License server setup help
  • BricsCAD licensing: How do I setup my network license server on the same computer as license
  • BricsCAD licensing: How to activate a single license or volume license
  • BricsCAD licensing: How to configure the proxy server for license activation
  • BricsCAD licensing: How to configure the proxy settings permanently for Network License use
  • BricsCAD licensing: Manual License Activation procedure
  • BricsCAD licensing: Error reading from network (error: 105)
  • BricsCAD licensing: Manual license activation fails (error: 1007)
  • BricsCAD licensing: How to revoke an activation after system crash?
  • BricsCAD licensing: Display the local computer network server administration
  • BricsCAD licensing: Unknown error - 1030
  • BricsCAD licensing: License Error code 1024
  • BricsCAD licensing: How to move a network license to another server?
  • BricsCAD licensing: Error in http transaction with Activation server.

Here is the complete list of Windows tasks that you can launch from your CAD software:

  • Windows Services: services.msc
  • Windows Remote Desktop Connection: mstsc
  • Windows System information: msinfo32
  • Windows Backup and Restore: sdclt
  • Windows Computer Management: compmgmt.msc
  • Windows Disk cleanup utility: cleanmgr
  • Windows Event viewer: eventvwr.nsc
  • Windows Control Panel: control
  • Microsoft Management Console: mmc
  • Windows System resource monitor: resmon
  • Windows - Change screen resolution: desk.cpl
  • Take snap-shot using sniping tool: taskmgr
  • Windows Task Manager: taskmgr
  • Windows Mouse properties: main.cpl
  • Problem Steps Recorder: psr
  • Start Chrome broswer: chrome
  • Start Firefox browser: firefox
  • Windows Action Center: wcui.cpl
  • Add/Remove programs: appwiz.cpl

This command works perfectly in AutoCAD, BricsCAD Pro and Platinum and with some restrictions in BricsCAD Classic. The restrictions will be removed after the next update of BricsCAD Lisp engine, and will be applicable after the said update.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Watch BricsCAD videos on youtube

CmdLine : CP_BRICSYSTV

The CP_BRICSYSTV command is mainly for BricsCAD users. AutoCAD users who want to know more about BricsCAD are also welcome to look at it. You can now access Bricsys TV videos directly from within CADPower using this command. A list of available videos is presented and you can search through them using wild-cards, select and view them on youtube. Locating your favorite tutorial or concept video on BricsCAD is now much easier.

Watch:

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Information about purchasing CADPower

CmdLine : CP_ORDER

The CP_ORDER command displays ordering and purchase information

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Watch videos

CmdLine : CP_VIDEOS

The CP_VIDEOS command displays all the current youtube videos available for CADPower commands. You can select the video from the link and it will open youtube and play the video. An internet connection is required for this command to function.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Help

CmdLine : CP_HELP

The CP_HELP command displays CADPower help.

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Specific command help

CmdLine : CP_CMDHELP

The CP_CMDHELP command displays online help for the specified CADPower command. And if it does not exists in CADPower it checks if its available in GeoTools

Toolbar : More Options (CP)
Menu : CADPower -> More Options -> Display Application Key

CmdLine : CP_APPKEY

The CP_APPKEY command displays the CADPower application key for the computer.


BricsCAD+

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. by Rakesh Rao. All Rights Reserved.


BricsCAD+

BricsCAD+ ››

Toolbar : BricsCAD+ (CP)
Menu : BricsCAD+ -> Support-> Check and marge .PAT files

CmdLine : CP_MERGEHATCH

The CP_MERGEHATCH command is used to

Toolbar : BricsCAD+ (CP)
Menu : BricsCAD+ -> Support-> Update hatch patterns and/or fonts

CmdLine : CP_UPDATESUPPORT

The CP_UPDATESUPPORT command is used to